Getting Start

Getting Start

 This is the first topic Next topic

Getting Start

 This is the first topic Next topic

PDi CRM for Sage50c Pastel Accounting is an application that allows you to access your Pastel Customer, Supplier and Inventory information directly. PDi CRM has increased functionality, allowing you to track Tasks, Activities, and Sales Opportunities against your customers and prospects as well as maintain master record information and view sales and purchase information quickly from a central place.

To hold the extra information, PDi CRM requires a database to hold the table; PDi Spirit uses the FIREBIRD RDBMS database software. This gives you a full upgrade path as your size increases; the FIREBIRD RDBMS can be installed either as a standalone workstation or in a small workgroup environment or within a server environment, all from the same small install and without changing our upgrading your PDi CRM application, purchase additional licenses

Before you can use PDi CRM,severalf components must be installed and configured correctly to enable you to use the application.

The following outlines the components that require installation and configuration.


Firebird

Firebird

 Previous topic Next topic

Firebird

 Previous topic Next topic

The Firebird RDBMS is a fully functioning SQL compliant database that can be downloaded and installed for free from the Firebird project website.

You can also download the Firebird RDBMS from our website at the following URL.

http://www.pdispirit.biz/downloads/crm2009/fbinstall.exe

If you are setting up PDi CRM on a single machine, then you need to install the server and client DLLs on the single machine. If, you are installing in a workgroup or server environment, then you need to install the Server components on the machine acting as the server (making sure that it is running). You must then install the Firebird Client DLLs on each machine to make communication between the client workstation and the Firebird server software.

In addition, PDi CRM uses an ODBC connection to report from the Firebird Server and so the Firebird ODBC must be installed on each workstation and server if you intend to use the application on the server.

The Firebird ODBC can also be downloaded from the Firebird project website or by using the following URL:

http://www.pdispirit.biz/downloads/crm2009/fbodbc.exe

A tutorial video is available via You Tube to guide you through all the required component installations.

http://www.youtube.com/watch?v=axAxsMXd7bs


Connection Settings

Connection Settings

Connection Settings

 Previous topic Next topic

PDi CRM must communicate with the Firebird database to read and write data viewed within the application. To achieve this, you must run the CRMCONNECT.EXE application; or use the connection settings from the log-in screen. If this information is not set correctly, you will not be able to connect to the Firebird database.

When you run this application, a screen similar to the following will be displayed:

Connection Screen

Firebird Client DLL: This DLL will connect to the Firebird Server application; locate the FBCLIENT.DLL file using the folder icon. Usually, it will be located in the Firebird folder below the Windows Program Files folder.

Firebird server: Enter the machine name used as the Firebird server; if you are running PDi CRM as a stand-alone application, enter your machine name or the phrase localhost..

Connection Protocol: The default connection protocol is TCP. Only change this if you have a specific reason to do so.

System User ID: PDi CRM requires a user ID and password to create databases; log in initially to PDi CRM, and so you must select this correctly. Please note this has nothing to do with Pastel's user ID or password.

The default user ID that Firebird is installed with is SYSDBA.

System Password: Enter the password for the user ID you have captured above; for the default user ID of SYSDBA, the password is masterkey, and the user IDs and passwords are case sensitive.

NB: If you do not enter the settings correctly, you will not be able to create databases or make the initial connection to the new database


CRM Database functions

CRM Database functions

CRM Database functions

 Previous topic Next topic

This screen gives the user access to the CRM database creation and update tools.

PVSW DSN - This function will allow the user to create a Pervasive DSN (Data Source Name) and ODBC. This function will depend on the user's rights to Windows.

NEW CRM DB - Create a new empty CRM Database.

Update CRM - Update your CRM Database to the latest version.

Auditing - Turn on Audit logging (Inserts, Updates, Deletion) for select tables.

Empty DB - Empty the CRM database of all data and leave settings only.

Grant Access - Give user access to selected CRM Database(s).

Connection - Define the Firebird Connection settings.

Guided Tour - Create your CRM Database using a wizard to guide you through the settings.


PVSW DSN

PVSW DSN

PVSW DSN

 Previous topic Next topic

This screen will attempt to create the named database within PVSW and ODBC. This connects your CRM and Sage 50c Pastel databases for reporting, finders and widgets.

Connect to Pervasive server: Enter the machine/server used as your Pervasive / Actian database server. Once entered, press the [Connect to pervasive server] to complete the connection and retrieve any currently created Pervasive data sources.

Enter the name of your data source: If a data source already exists, select it from the list. Otherwise, enter a name that you will recognise in the future.

Description for your DSN: Enter a meaning description to help indicate what this was created for or connects to

Path to your Sage 50c Pastel Data: Enter the UNC path or mapped drive (if the same for all users) to the Sage50c Pastel data that needs to be accessed for this DSN/ODBC

Create DSN - This will create the DSN and ODBC on the server.

Create Local user DSN Only - This will create on the local machine only.

NB: This function will only work if the user has sufficient rights to create DSN / ODBC on the remote machine and/or locally.


New CRM Database

New CRM Database

New CRM Database

 Previous topic Next topic

This Option will create a new empty CRM Database and link it to your Sage50c Pastel accounting data.

Enter a new CRM Database to create: Enter the drive, path and filename for your new CRM Database. This must be on a physical drive on the machine where the Firebird Server was installed. Enter the path relative to that machine.

Sage50c Pastel Data: Enter the UNC path or mapped drive (if the same for all users) to your Sage50c Pastel Data

ODBC - Enter the DSN/ODBC that has been created previously. If the name is entered as PDICRMPASTEL, the application will attempt to change the local user ODBC settings when they login to the company. Depending on the user rights, this may fail.

Create tasks/activities from customer notes - If you have notes linked to customers within Sage50c Pastel and would like those transferred as Tasks/Activities, tick this box.

Once the settings have been made, press the [Create CRM Database] button to start the process.


Update CRM Database

Update CRM Database

Update CRM Database

 Previous topic Next topic

When a new version of PDi CRM is released, there may need to be a database update; this function is used to process the update.

Enter or select the available databases from the list and press Update CRM Database to start the process. Please ensure that a current backup is available before continuing.


Remove all Data

Remove all Data

Remove all Data

 Previous topic Next topic

This function can empty the database of all master data, and leave the settings only. This can be used if a trial CRM Database has been created and the same setup will be used. All the demo data can then be removed.

Enter the CRM Database name or path and press the Empty database. The process will remove all the master databases indicated by the above screen.


Grant Access to User

Grant Access to User

Grant Access to User

 Previous topic Next topic

This function will ensure that enabled users access to the CRM Database and related tables.

Enter the CRM Database alias name or path to the CRM Database and press the Grant Access to users. The process will grant access to all the enabled users within the CRM Database


Connection settings for Firebird

Connection settings for Firebird

Connection settings for Firebird

 Previous topic Next topic

PDi CRM uses the Firebird (2.5) database to hold the required data. This screen allows the user to set up the location of the Firebird database server and the connection DLL and initial passwords to use to make a connection to the database.

Firebird Client DLL: Enter the location of the FBCLient.DLL to use to connect to the server

Firebird server: Enter the name of the server where the Firebird database service is installed and running

Connection Protocol: Select the protocol to use for connections; TCP is recommended

System User ID: Enter the system user ID to make the initial connection, and that has sufficient access to create or update an existing CRM Database.

System Password: Enter the system password used to access the system user id entered.


PDiCRM Database Creation

PDi Spirit CRM for Pastel Partner Accounting

PDiCRM Database Creation - Firebird settings

PDiCRM Database Creation - Firebird settings

 Previous topic Next topic

PDiCRM Database Creation - Firebird settings

 Previous topic Next topic

This function will guide the user through the process of creating a CRM Database and linking it to your Sage50c Pastel accounting data.

This screen will display the connection settings for the Firebird Server; enter or check that they are valid.


Location of Sage50c Pastel Accounting Data

Location of Sage50c Pastel Accounting Data

Location of Sage50c Pastel Accounting Data

 Previous topic Next topic

Enter the path (mapped or UNC) to your Sage50c Pastel Accounting Data.

If the data path is correct and there is a valid Sage50c Pastel accounting dataset, the company name will be displayed, and the Pastel users will be loaded. Indicate which user should have initial access to the CRM Database. Enter the user's CRM ID, Full Name, email address and Access level. If the user ID doesn't exist, it will be created with the CRM default password of LETMEIN.


ODBC / DSN Connection details

ODBC / DSN Connection details

ODBC / DSN Connection details

 Previous topic Next topic

PDi CRM can use an ODBC for internal and user-defined reports and finders. This functionality requires an ODBC linked to a Pervasive DSN. This screen allows the user to setup the DSN / ODBC Information.

Enter the machine/server running the Pervasive/Actian service and connect. The wizard will give the suggested settings for the Name, Description and Path to the Sage50c Pastel accounting data. Press the [Create DSN] button and [Create Local user DSN] if a local connection is required.

The settings and DSN will be tested on the final screen.


Firebird database location

Firebird database location

Firebird database location

 Previous topic Next topic

A suggested database filename will be set, and changed if required.

Transfer existing customer notes: If the Sage50c Pastel Partner data has existing customer notes, these can be transferred as Tasks/Activities by ticking this option.

Create demo data-based: If this CRM database is being set up for demo purposes, tick this box and indicate how many tasks and sales opportunities are based on the Top n number of customers. Sales Opportunities can be created with random inventory items based on the Top N specified.


Create Database

Create Database

Create Database

 Previous topic Next topic

This is the last screen used to create the new CRM Database. If the DSN / ODBC has been created correctly and can be accessed, the traffic light will display green. If not, the DSN / ODBC settings must be checked. Otherwise, the user reports, finders and internal reports will not function.

Press the [Create Data] to start the process and create the new CRM Database, tables and any demo data that has been required. The process will be displayed on the screen, and any errors will be reported. If errors are generated, the the settings will need to be checked, and the process rerun.


Starting PDi CRM for the first time

Starting PDi CRM for the first time

Starting PDi CRM for the first time

 Previous topic Next topic

When you start PDI CRM for the first time, you will need to enter the path to the new PDI CRM Firebird database and also the initial connection details.

Connect to the data source: This is either the Firebird Alias or the path relative to the Firebird Server. In our database creation, we specified a path of c:\pastelxx\_demo\pdicrmdata.fdb, so this would be entered here.

User ID: This is the Firebird User ID and has nothing to do with your Pastel user details. As we have not created or assigned any Firebird Users, this will be the default Firebird User ID of SYSDBA.

User Password: This is the Firebird password (not your Pastel password), and for the default Firebird user ID, this is masterkey

NB: Passwords and User ID are case sensitive


About Screen

The PDi CRM About screen gives you access to information regarding the current settings the system is using. This can be helpful if you need to make adjustments or register your application past its trial period.

Licensed to: This will display the company/user that the application is licensed to

Version: The current version of the application you are running and the current database version - this is the internal CRM data version, not the version of Firebird

Days Left and Expires on: This will display the number of days you have until the application expires.

Pastel data: The path to the current Pastel data that CRM is reading from

CRM Data: The location, including the server details of your Firebird database

User local folder: This is the location of the user's local settings, including configuration settings for Firebird, last know grid settings. Double-click the folder to browse to this folder location. Please note that the folder location depends on the version of Windows you are using and may not be the same as shown above.

Reports Folder: The folder that reports are being loaded from

Reports engine: The version of the reports engine used for a report.

Remote Sessions allowed: If your license allows remote desktop connections to run the application, this will appear as Yes.

Maximum Allowed connections: Indicates the number of concurrent connections you are allowed in a Terminal Service or remote desktop environment.

FB Client version: Displays the version of the FBCLIENT.DLL component you are using to connect to the Firebird server

FB Version: The version of the Firebird RDBMS server you are using

Client library: The location of the FBCLIENT.DLL that is being used by the application to transmit data between the client and server

Access to Pastel Data format: This will indicate which versions of Pastels data you are licensed to connect to


Using PDI CRM

Using PDI CRM

Using PDI CRM

 Previous topic Next topic

PDi CRM is an application designed to enhance your use of Pastel Partner Accounting. It gives you direct access to your clients, suppliers and inventory information, including sales, current balances, available transactions and credit control information.

It also gives you the functionality of creating Tasks, sales opportunities, capturing prospect information, and several other features that exist and will be added as the software is updated.

PDi CRM uses the Firebird database to hold the extra information; this gives us a fast SQL compliant database to hold your information, which will allow you to grow as you grow your business.


Starting PDI CRM

Starting PDI CRM

Starting PDI CRM

 Previous topic Next topic

When you install the application, it will, by default, suggest that you install it to c::\pdi spirit\crm. Of course, you can change this during installation, but this section will presume that this is the location you installed PDi CRM too. The installation process will have set up an icon, on your Windows desktop similar to the one shown below; if you can locate this icon, you can use the Windows Start>>Programs or browse to the c:\pdi spirit\crm application folder and double click on the crmlite.exe

When you start PDi CRM for Pastel, a splash screen will display the current loading status.

PDI CRM for Pastel Splash screen

PDI CRM for Pastel Splash screen

This screen may be differ depending on the current version and release of PDi CRM Lite for Pastel. When the screen gets to the 'Requesting user log-in', the PDi CRM log-in screen will be displayed. If you have previously logged in, the settings you used will be displayed.

We are using a Firebird Alias (see the firebird configuration manual for details on setting up aliases), or it may be the path to the PDi CRM firebird database. If we have already logged in and assigned Firebird user IDs to this database, then we can use them to log in. Otherwise, the default SYSDBA and masterkey passwords can be set.

If you need to change your [Connection Settings], then use the button to display a screen similar to the following; that will allow you to amend the Firebird server and connection information required.

NB: From version 4.1.5.8, the default user name and password are also included on this screen.

This icon will display a list of available data sources that you can use within PDi CRM for Pastel.

This screen will also give you access to the CrmNewdb.exe via the [Create new database...] button and conversion of the prior data. You can also maintain the list of available CRM Databases should have more than one; linked to different Pastel company datasets.

Once you have logged in successfully, the PDi CRM desktop will display; its contents will depend on what was in view the last time you exited or if the first time you are loading, then usually, the customer desktop view will be displayed.


CRM Sidebar

CRM Sidebar

CRM Sidebar

 Previous topic Next topic

The CRM sidebar gives you access and the ability to scroll the master information held within CRM for Customers, Prospects, Suppliers and Inventory items. As well as the primary Process and Reports available within the system.

When viewing customers, prospects, suppliers or inventory items, the desktop area will change to the select master file type and display the selected record. You can filter these navigation grids using the filter button and specify values from the available grids.

The selected CRM sidebar will be displayed the next time you start the application and its associated desktop.

Each master file desktop area has its functionality, and these will be looked at later on the help file.


CRM Desktop

CRM Desktop

CRM Desktop

 Previous topic Next topic

Each of the primary master file desktops has its desktop functionality; these are split into tab sections, making it easier to find the required information. As well as the aero style navigation buttons, they also have an associated menu that gives quick navigation to the information required.


CRM Menu

CRM Menu

CRM Menu

 Previous topic Next topic

The CRM menu is a standard Windows-style application that gives you access to the main functionality and set-up that is not related directly the one of the master file desktops.


CRM Status bar

CRM Status bar

CRM Status bar

 Previous topic Next topic

The CRM Status bar gives you the following information.

·Firebird Server and Database are currently open.

·Logged in User Name.

·Current Date and Time.

·Pastel Company that is currently linked to.


CRM Grids

CRM Grids

CRM Grids

 Previous topic Next topic

The majority of the grids within the application are customisable; this means you can resize, move, and change the sorting order, and in some cases the grouping sequence of the grids. The changes made to the grid are saved for each user and can be different for each user logged in to CRM.

This button will be found in the area of the grid and when pressed will reset the grid back to the original factory default settings.


CRM Finders

CRM Finders

CRM Finders

 Previous topic Next topic

Dynamic finders are available where ever you see this button [image] a finder screen will be displayed containing the data relating to the finder pressed. In the following case the Customer account finder is displayed.

The [Search for] option will allow the user to filter the displayed records based on the available columns. Depending on the setting, this same filter can be applied when the finder is loaded.

Restore Layout - If columns have been repositioned or removed, this button will reset to the factory default.

Customise columns - This button will allow columns to be added or removed from the grid. Each user defines the layout for each of the available PDi Finders.

Load All - To improve performance, only a few 100 records are loaded initially. This will load all records; depending on the number of records available, this may take some time.

Settings - Each user can define how each PDi Finder grid functions. Use this screen to indicate how many records are loaded, whether grouping can be applied and if the last search entry is reapplied when the grid is loaded.

The screen will also display all the columns available in the selected finder; tick each column that should be searched when a value is entered.

Select record - This will return the selected master key field to the calling screen; it is the same as double-clicking on the required grid line.

Filter - This will display the advanced filter builder, allowing more detailed filters to be created and applied to the finder. All columns and multiple levels can be applied to retrieve the required data.

The following filter example; will load all customers that include the value 001 within the customer code AND the customer description contains the word City.

The filter layouts can be saved and retrieved for later use.


CRM Dymo Labels

CRM Dymo Labels

CRM Dymo Labels

 Previous topic Next topic

If this icon is visible, you have a Dymo LabelWriter installed and so you can print individual customer postal addresses and contact labels. Press this button to print a label for the selected record. There are two default labels postaladdr.lwl and deliveryaddr.lwl, that can be customised to fit your requirements and label sizes.

When you use the Dymo Label software to design your labels, you can use the following reference names within the object properties of the label design. The contents of the text object are then replaced with the relevant field.

_Contact the customer contact name will replace the object contents

_Account the customer account number; will replace the object contents

_address the selected postal or delivery address will replace the object contents


CRM Actuals application

CRM Actuals application

CRM Actuals application

 Previous topic Next topic

The PDi CRMActuals.exe application is a utility that will update the actuals if the customer budget at item level functionality is used. This process can take some time to update all actuals; this function allows the process to be scheduled to run when it does not affect the day-to-day business operation; while still ensuring that reports are up to date.

CRM Data to update: Enter the CRM data table and path or Firebird alias that you wish to be updated. The database path and name are entered relative to the Firebird server.

Pastel data to update from: Enter the location of the Pastel data that you wish to update the actuals from; this can be a mapped drive to Pastel.

CRM User name/password: Enter the Firebird user name and password that has rights to the entered CRM Data path.

Next run time: Enter the date and time that this process should be executed

Run every x day: This will add the number of days entered to the next run time on a successful completion.

Check for next run every: This value is when the application checks to see if it has reached or passed the next run time.


PDi CRM Document case

PDi CRM Document case

PDi CRM Document case

 Previous topic Next topic

PDi CRM allows for the attachment of documents from various sources to master records. Sales opportunities and tasks.

The document case screen is similar to the one shown below.

Add Document – will display the document attach screen as shown below. Multiple documents can be added to the current document case from the available sources.

The document screen gives access to the following file sources.

Local file system -your local network, local drives and shared folders by using the Select file button to load the open Windows dialogue.

Cloud sources – Dropbox, Google Drive, OneDrive – The first time you select a cloud source, you must supply your log-in details; this will retrieve, save and use the access tokens for future use.

The tree-view will load all the allowed folders and physical documents (short-cuts cannot be used).

Select the document and press the Attach Selected button to save the details to the document case.

SharePoint – Connection to SharePoint must be configured via the CRM Options and User Details screen. If configured correctly, your folders and documents will be loaded; select the document to attach.

Outlook – this will display all your Outlook message stores and allow you to navigate through available folders and attach messages to your document case.

NB: Currently, Google Drive API does not allow security log-in via an embedded browser. Any document added to a document case from Google drive must be viewed using the Open Document button or the Retrieve File button.

Detach Document – this will remove the document from the document case; the physical document itself will not be removed.

Open Document – this will open the document with the application associated with the document’s extension.

Retrieve File – if this document is from a cloud source, this will retrieve the document from the source.

Scanning a new document will allow a document to be scanned, cropped, and added to the document case.

Scan image – start the scan process from the selected scanner source.

Save – save the scan to an image file.

Flip vertical – flip the scanned image on the vertical axis.

Flip horizontal – flip the scanned image on the horizontal axis.

Crop Image – crop the image to the selected area.


Customers

Customers

Customers

 Previous topic Next topic

The customer desktop gives you direct access to the information held within Pastel. When changes to the primary address and contact information are made, this information is immediately updated within Pastel. Use the navigation sidebar or the nudge buttons to move through the available customers. The magnifying glass (zoom) button can also access a complete list of customers.

Both the grid and Postal address details are editable, and you can alter the information as required. Use the [Contact Details] and [New Contact for Account] buttons to create and amend your additional contact (or Delivery Addresses) as required.

This function tab also creates new notes, activities or tasks for the select contact.

Default Contact - this will display the customer's default contact information. This includes the same information as the blank default code on the [Contact Details] tab; and the Sage50 Pastel document and statement details.

Customer Terms - this displays the customer term and document processing details.

Additional Information - this displays the additional information assigned to the default customer contact record. Only the additional information records with a title will be displayed.

Customer Tags - displays the PDiTags assigned to the primary customer record. New PDiTags can be assigned to the customer, and created new PDiTags. Remove tags from a customer record by pressing the orange cross.


Contact Details

Contact Details

Contact Details

 Previous topic Next topic

When the user clicks on the [Contact Details] or [New Contact Account] button, a screen similar to the following will be displayed.

This screen allows you to set the additional contact information for the Pastel contact code. This information is written back to Pastel, ensuring that both are up to date.

PDiTags - Tags can be added to the individual contacts, and the primary Sage50c Pastel customer record. Use the [Enter tag text to add] to add existing tags or create new tags. Tags containing the text entered will be displayed as the tag text is entered. Select the PDiTag to attach to the customer contact or enter more text and [Add as New] to create a new PDiTag and attach it to the customer contact record.

[Additional Information] - This screen allows you to capture additional information, the labels associated with each field are definable within the System setup. Several additional texts, numbers, date fields and checkboxes are available.


Activity Tasks / Contact History

Activity Tasks / Contact History

Activity Tasks / Contact History

 Previous topic Next topic

The Contact history shows all open (or closed and open) contacts/activities/tasks for the selected customer. The grid is editable, and the essential information can be altered as required. Colour codes can be assigned to individual activities/tasks. This allows the user to identify import activities/tasks with a higher priority.

View Open Only: Only the activities flagged as open will be displayed if this is ticked. If the option is not ticked, both open and closed items are displayed.

New Note / Activity / Task... Edit selected Task... Follow up on the task... if any of these buttons are selected, a screen similar to the following will be displayed. If you select the [Follow up task] option, the selected task will be closed, and new activity will be created with the last details.

Linked to Sales Opp: If this Activity / Task is linked directly to a sales opportunity, the reference number will be displayed. If not linked, the task can be linked to a sales opportunity by double-clicking on the text.

Reference No: A reference number can be assigned to each Activity type; if this has been defined, the following reference number will be displayed.

Account code: The account number for the currently active record, along with the name.

Link to contact: This drop-down list will display all available contact/delivery codes, use the button [image] this will display the customer's full details, including address, telephone number, contact etc

Link to sales code: The sales code will default based on the contact code selected; however, the user can select a different sales code as required.

Subject: Enter a brief subject used to highlight the purpose or type of activity

Activity type: Select the activity/task type you wish to assign to the activity. This will set the action/follow-up date based on the number of days to follow assigned by the activity type selected. It will also set the activity action to perform and then email details if an email is to be created.

Activity/Note Open: A tick will indicate that the Activity/Task is open and must be completed.

Display in Whiteboard view: If this is ticked and the whiteboard view is being used, then this task will be included in the whiteboard view.

Action by: Select the user name from the available list that is responsible for following up on the activity

Entry date: The date the activity was created; this can be altered as required

Note Type: The activity can be one of three activity types

1. Standard Note - there is no action to perform if you select the Save / Do Action button

2. Create Email from Note - this will send an email to either the email address assigned to the activity type; or to the customer/supplier or request an email address

3. Create a document from Note - this will create a document from the template specified by the activity type

Start Date: Enter the date that indicates when the process started, this can be used to indicate how long the activity/task has been open.

Action Date: Enter the action/follow-up date for this activity

Scheduled time: Enter the schedule time start and end; this is used when viewing open tasks in a calendar view

Link to branch/store: If branch/store details have been defined with PDi CRM, select the branch/store related to this activity/task.

Priority: Select the priority level for this Activity/Task (Lowest - Critical)

Completion %: Enter the percentage of completion for this Activity/Task.

Status: Use when linking to MS Outlook calendar - Free, Tentative, Confirmed, out of office, Working elsewhere.

Private note: If your user ID should only see this note, then tick this box, and the note will remain private.

Remind: If a reminder is required then, tick the box and enter the number of minutes to remind before the action date (Remind x minutes before)

Add user timestamp (F4): This will add the user's name and time stamp details to the end of the note; this can be used if you are using the activity for tracking follow-ups made by individual users, for example, in a support environment.

Notes: The notes section is your area to type any notes you may wish to enter. If emailing, this will appear in the email, and this information can be added to the word template as required.

[Save and Do Action] when pressed, the action will be performed associated with the Note Type, so this will either be an email or document (word or internal report engine if the extension is .fr3).

[Save / Close] save the activity and close the screen.

[Cancel] Cancel the changes made.

[Print Activity] Print a document / report for the current activity / task. This can be used to create a document style of the Activity / Task.

[Go to Sales Opp] If this is linked to a sales opportunity, this will display the main sales opportunity entry screen for the linked sales opportunity.

[Outlook Calendar entry] Use this button to create an entry in the user's Outlook calendar. Deferred emails and confirmation emails can be defined and set based on the activity/task code.

[Create new Contact] this will create a new contact for the currently active account

Documents

Documents can be linked to the activity/task; use the Add Document button to select the document to add, Detach document to de-link the document from the activity/task. The Open Document will open the document with the associated application to the document extension. If you add shared documents, you should ensure that the document path is valid and available to all users.

If you enter a document on a mapped or remote drive, the UNC pathname will be added to ensure that it is accessible by all users.

Include if emailed: Tick this box if you wish the document included in the email (if the note type is set to 'Create email from note'). This function can be used in various incidents to send support documents, follow up details, copy invoices, and other documents you may wish to send to a client.

Documents can be linked to the local file system (including windows short-cut codes), DropBox, One Drive, SharePoint, Outlook messages and Google drive (with viewing limitations)

[Retrieve File] - this can retrieve the file from an online source if it cannot be viewed within the embedded browser (as with Google Drive).

[Scan new Document] - Scanned documents can also be added to the Activity/Task

Products on Activity

Adding products to an activity; will allow for tracking issues with a product and catching issues before they increase.

Create activity types to track calls linked to damaged, faulty products. When a call is received, an activity can be created, add the products, and assign to the user to follow-up and create the note detail as required.

Later, a report can be generated listing all activities captured for a given activity type range and product range, giving us a DOA (Dead on Arrival) report and allowing us to deal with future issues before they happen.

This tab page of the Task / Activity screen allows the user to add [New] products, selecting or entering actual product codes or even no product codes. The user can add a code (or none) and then just enter the description, obviously if we are dealing with actual product issues it is recommended that product codes are selected.

As many products as required can be attached to the task / activity screen.

A sales opportunity can be created from the Task using the products, pricing and quantities entered.

Serial numbers assigned to Task

Serial numbers can be added to activity/tasks allowing the function to record and keep track of serial records and services. Use the [Create/link to service] to create a service record for the selected Serial number. [Go to Service record] will take the user to the service record entered on the task.

Original Email

If this Activity/Task was created based on an email received to a POP3 account, an additional tab [Original Email] will be displayed. The original email subject and details will be displayed on this screen.


Customer Documents

Customer Documents

Customer Documents

 Previous topic Next topic

The documents tab allows you to add links to multiple documents associated with the customer. These could be business agreements, plans, pricing documents, plans, workflows any document that has been created and saved to an accessible location.

Use the [Add Document] to add any available document on your local or network (if you enter a local document, it will not be available to other users). The [Detach Document] button will detach the document from the customer list of documents, and it will not be remove the document physically from your storage device.

The [Open Document] button will open the document using the application associated with documents extension. If the document extension is not associated with any application, the document will not be opened.

[Retrieve File] will open the document if linked to a cloud source; this can be used if the document cannot be viewed in the embedded document viewer.

[Scan new document] - Documents can also be added from a scanner document.

You can assign a brief description of the document, to make location easier, and the date entered can also be altered if you don't want to set it to the date the document was added.


PDi DMS Link

PDi DMS Link

PDi DMS Link

 Previous topic Next topic

If the PDi Document Management system has been purchased, CRM can be linked to your DMS database. This tab will display all depositories available within CRM and all documents linked to this customer account.

Use the [Add selected file], [Remove selected] to add documents to the email attachments and then email those attachments to the customer. Documents can be retrieved and viewed from PDi DMS by double-clicking on them.


Customer Sales opportunity

Customer Sales opportunity

Customer Sales opportunity

 Previous topic Next topic

The sales opportunities tab gives you a list of all opportunities assigned to the customer and their current status.

New Sales Opportunity - this will display the sales opportunity entry screen, creating a new empty record.

Edit Sales Opportunity - this will display the sales opportunity currently selected, allowing the user to make changes as required.

Delete Sales Opportunity - will delete the selected sales opportunity as required.


Internal Products

Internal Products

Internal Products

 Previous topic Next topic

PDI CRM allows you to capture product details and purchase invoices for items that may not exist within Pastel Partner Accounting. It also allows you to track 'Expiry' dates, and this can be used if you are selling products that need renewing or have a warranty period.

[New] and [Edit] buttons will display the Internal Product screen, allowing you to capture the required information.

Internal Product code: Select one of the pre-defined Internal product codes defined via the setup menu. The internal product group will be set automatically based on the selected product code.

Product description: The product description will be set based on the selected product code, but can be overtyped as required.

Date purchased: Enter the date the product was purchased.

Licensed for (days): Enter the number of days for the license or warranty.

Expires: Set the expiry date for the product.

Invoice No: If the invoice was raised within Pastel, use the finder to display a list of available invoices for the current customer.

Serial No: If the product has a related serial number, then enter the serial number.

No. of Users: Enter the number of users relevant for the selected product.

Modules / Notes: Enter any notes or module information relating to the selected product.

The [Delete] button will remove the selected internal product.

The [Refresh] button will update the list of internal products for this customer.


Customer Product Sales

Customer Product Sales

Customer Product Sales

 Previous topic Next topic

This tab will retrieve all product sales captured in Pastel Partner Accounting. The grid is fully customisable and allows the user to a group by any column, by dragging the column into the grey group header.

The grid will not be loaded until the user presses the [Retrieve Products] button, and then all product sales still in the Pastel History lines table will be loaded. If you double click a document line, then a screen view of the document will be displayed.

[Export grid to Excel...] this button will export the grid in its current state to the required Microsoft Excel file.


Customer Budgets

Customer Budgets

Customer Budgets

 Previous topic Next topic

The customer budget screen gives you two methods of tracking budgets at a customer level.

Customer budgets by product: This method allows you to capture budgets against previously sold products (or all products if you wish to use this method)

Customer budgets period values: This method allows you to capture a monetary budget on a period-by-period value and then compare actual sales against the budgets captured

[Load Budgets] - this will load the budgets at a product level for the selected Budget Period and Value to Display. The value to display can either be in Monetary value or quantity sold.

If you wish to update the budget information, use the [Maintain Budgets] button to display the main selection screen.

As the screen has been called for a particular account, the account range, customer category and sales category will be disabled. Enter the inventory category and item code range to maintain budgets. Maintain budgets for items sold only. This will only add items that have been sold to the client (as you sell new products, you, will have to run this process to update the budget entry grid). If this box is not ticked, then every item within the range selected from the Pastel inventory table will be added, allowing you to add budgets for items that have not yet been sold to the client.

Update Actuals if this is ticked, then the actual monetary sales and quantity sold values held within PDi CRM will be updated from the sales information within Pastel. This needs to be run regularly to ensure that your reports and screen information are showing correctly.

Press the [Next] button to display the list of items you wish to update. You can set the values as required, moving through the items with the nudge buttons or using the [Find Item] button. The [Clear All Budgets] button will clear all budgets back to zero, allowing you to restart from a clean recordset.

The [Budgets as Actuals] button will set the budgets for the current product, based on either This Year, Last Year or Future periods.

Budgets for Customers Sales Only

This method allows you to capture budgets for each period, only tracking variance at the customer level.

Enter the Sales value for each period or enter a total value for this year, last year or future year and apportion equally across all periods.


Customer Pricing

Customer Pricing

Customer Pricing

 Previous topic Next topic

This tab allows you to maintain customer-specific pricing captured within Pastel Partner Accounting. Press the [Load Price Lists] button to retrieve the products and pricing captured within Pastel for this customer. You can then maintain, add or delete pricing information, updating Pastel directly.

The screen will also show the pricing information for the current item code and selected store. If you need to reset the expiry date for all items, TAG the item, set the expiry date and press the [Set Expiry Date] button to set the expiry date for the tagged item.


Customer Category Discounts

Customer Category Discounts

Customer Category Discounts

 Previous topic Next topic

This screen allows you to set custom pricing based on a customer discount level. The customer discount levels assign a default percentage discount for each Pastels Inventory category (defined via the setup menu).

Select the customer discount level and press the [Load Discounts] button to load discounts based on either previously captured percentages or the defaults for the select discount level.

Once you have made your discount percentages, use the [Create Pricing] button to create a specific price for each item based on the items inventory category and the select pricing. The pricing is automatically added to the relevant Pastel table, and you can use the [Customer Pricing] tab to view the created or updated products.


Customer Documents: Quotes to Debit Notes

Customer Documents: Quotes to Debit Notes

Customer Documents: Quotes to Debit Notes

 Previous topic Next topic

The Document tabs will display all available documents for each type from data within Pastel Partner Accounting. The name of tabs Quotations, Sales orders, Tax Invoices, Credit Note, Debit Notes will be set to the name given within the Pastel Partner Accounting Set-up manuals.

The document grids will display the header and line information (of the selected header) for the relevant document type. Double click on the document header to view the full document information.

As with all grids in PDI CRM, the columns are customisable; in that you can change the column width and positions.


Customer Balances

Customer Balances

Customer Balances

 Previous topic Next topic

The customer balances tab will display the outstanding customer balances for each period and the sales value for each period; this is the same information as within the Pastel customer master screen. The information is read-only and so figures cannot be altered.


Customer Open Item Transactions

Customer Open Item Transactions

Customer Open Item Transactions

 Previous topic Next topic

The Customer Open Item tab lists all outstanding open item transactions for the selected customer. You can also double click on the document lines to display the customer document screen. If the customer is a forward balance account, you can view the transactions as a balance forward account. If the View transaction allocations option is ticked that you can also view the allocations made against the document.


Customer Transactions

Customer Transactions

Customer Transactions

 Previous topic Next topic

Pastel Partner keeps two years' worth of ledger transactions, this tab will display the available transactions for the selected customer account.


Serial No(s) assigned to Tasks

Serial No(s) assigned to Tasks

Serial No(s) assigned to Tasks

 Previous topic Next topic

The serial numbers assigned to tasks viewed on the customer screen will display all serial numbers assigned to tasks for the active customers. Multiple tasks may appear if a serial number is assigned to more than one task.

The screen also allows direct access to the linked task, and if a service/repair document has been assigned to the task, it can be accessed via this tab.


External Account Mappings

External Account Mappings

External Account Mappings

 Previous topic Next topic

If a special import function is being used to create documents that use an external account, this screen will allow the wholesale and external account codes to be mapped.


Prospects

Prospects

Prospects

 Previous topic Next topic

PDi CRM for Pastel Partner has the functionality of allowing Prospect details to be captured. This allows the user to create Prospects, contacts, tasks/activities and sales opportunities details without opening an account in Pastel Partner Accounting.

If the prospect turns into a customer, then the prospect can easily be turned into a Pastel customer account easily and all the required information is captured in Pastel.

Both the grid and Postal address details are editable, and you can alter the information as required. Use the [Contact Details] and [New Contact for Account] buttons to create and amend your additional contact (or Delivery Addresses) as required.

This function tab creates new notes, and activities or tasks for the select contact.

Prospect Tags - Prospect tags can be assigned to the main prospect record. Existing PDiTags can be assigned as well as creating new PDiTags. Tags can be used to generate mailings; Tag reports as required.


Contacts

Contacts

Contacts

 Previous topic Next topic

When the user clicks on the [Contact Details] or [New Contact for Account] button, a screen similar to the following will be displayed. PDiTags can also be assigned (created) to individual prospect tags. Any tags assigned will be displayed along with the contact information.

This screen allows you to set the additional contact information for the contact code.

[Additional Information] - This screen allows you to capture additional information. The labels associated with each field are definable within the System setup. Several additional texts, numbers, date fields and checkboxes are available.


Contact History

Contact History

Contact History

 Previous topic Next topic

The Contact history shows all open (or closed and open) contacts/activities/tasks for the selected prospect. The grid is editable, and the essential information can be altered as required.

View Open Only: Only the activities flagged as open will be displayed if this is ticked. If the option is not ticked, both open and closed items are displayed.

New Note / Activity / Task... Edit selected Task... Follow up on the task... See the customer Activity task screen for the PDi CRM Task screen.


Documents

Documents

Documents

 Previous topic Next topic

The documents tab allows you to add links to multiple documents associated with the prospect. These could be business agreements, plans, pricing documents, plans, workflows any document has been created and saved to an accessible location.

Use the [Add Document] to add any available document on your local or network (if you enter a local document, then it will not be available to other users). The [Detach Document] button will detach the document from the customer list of documents; it will not remove the document physically from your storage device.

The [Open Document] button will open the document using the application associated with the document's extension. If the document extension is not associated with any application, then the document will not be opened.

You can assign a brief description of the document, to make location easier and the date entered can also be altered if you don't want to set it to the date the document was added.

Documents can be linked to local file sources, cloud-sourced documents and the Outlook Message store.


Sales Opportunities

Sales Opportunities

Sales Opportunities

 Previous topic Next topic

The sales opportunities tab lists all opportunities assigned to the prospect and their current status.

New Sales Opportunity - this will display the sales opportunity entry screen, creating a new empty record.

Edit Sales Opportunity - this will display the sales opportunity currently selected, allowing the user to make changes as required.

Delete Sales Opportunity - will delete the selected sales opportunity as required.


Internal Products

Internal Products

Internal Products

 Previous topic Next topic

PDi CRM allows you to capture product details and items that may not exist within Pastel Partner Accounting. It also allows you to track 'Expiry' dates. This can be used if you sell products that need renewing or have a warranty period.

[New] and [Edit] buttons will display the Internal Product screen, allowing you to capture the required information.

Internal Product code: Select one of the pre-defined Internal product codes defined via the setup menu. The internal product group will be set automatically based on the selected product code.

Product description: The product description will be set based on the selected product code; but can be overtyped as required.

Date purchased: Enter the date the product was purchased.

Licensed for (days): Enter the number of days for the license or warranty.

Expires: Set the expiry date for the product.

Invoice No: If the invoice was raised within Pastel, use the finder to display a list of available invoices for the current customer.

Serial No: If the product has a related serial number, then enter the serial number.

No. of Users: Enter the number of users relevant for the selected product.

Modules / Notes: Enter any notes or module information relating to the selected product.

The [Delete] button will remove the selected internal product.

The [Refresh] button will update the list of internal products for this customer.


Prospect Budgets

Prospect Budgets

Prospect Budgets

 Previous topic Next topic

When you click on the [Prospect Budgets] button from the main Prospect tab, a screen similar to the following will be displayed. This screen allows the user to capture projected sales for the prospect monthly, and the project Gross Profit percentage. You can also use the spread function to spread the projected sales equally across the months shown. This budget information will be transferred to the new customer account if your prospect becomes a customer.


Transfer Prospect

Transfer Prospect

Transfer Prospect

 Previous topic Next topic

This wizard-driven screen will turn your Prospect into a customer account. The wizard screens will request the required information to create a valid new customer record. Once the customer account is created, you can review and make changes within Pastel as required.

Confirm this is the correct Prospect record to tranfser Confirm this is the correct Prospect record to tranfser | The suggested customer account will be displayed, set the processing methods The suggested customer account will be displayed, set the processing methods
Select the Documents and Statement printing methods Select the Documents and Statement printing methods | Enter the Customer Terms, pricing and interest details Enter the Customer Terms, pricing and interest details
Once you have made your selections press the [Finish] button to transfer the Prospect in to a Pastel Customer Account Once you have made your selections press the [Finish] button to transfer the Prospect in to a Pastel Customer Account |


Suppliers

Suppliers

Suppliers

 Previous topic Next topic

PDi Spirit CRM for Pastel Partner Accounting is just for Customer Relation Management; no, you can also get at your Supplier information and capture additional contacts (which you cannot do within Pastel itself), view purchases, track activity/tasks and maintain the products you purchase from a supplier.

Both the grid and Postal address details are editable, and you can alter the information as required. Use the [Contact Details] and [New Contact for Account] buttons to create and amend your additional contact.

This function tab also gives you the ability to create new notes, activities or tasks for the select contact.

NB: As Pastel Partner does not have additional contacts for suppliers within the application, only the main address and contact details are saved back into Pastel.

Supplier Tags - Supplier tags can be assigned to the main prospect record. Existing PDiTags can be assigned as well as creating new PDiTags. Tags can be used to generate mailings; Tag reports as required.


Contacts

Contacts

Contacts

 Previous topic Next topic

When the user clicks on the [Contact Details] or [New Contact Account] button, a screen similar to the following will be displayed.

This screen allows you to set the additional contact information for the contact code. This information is returned to Pastel, ensuring that both are up to date; only the default contact (the record with a blank contact code) is returned to Pastel. PDiTags can be assigned to the supplier contact; these can be used in reports and mailing using specific PDiTags.

[Additional Information] - This screen allows you to capture additional information; the labels associated with each field are definable within the System setup. Several additional texts, numbers, date fields and checkboxes are available.


Contact History

Contact History

Contact History

 Previous topic Next topic

The Contact history shows all open (or closed and open) contacts/activities/tasks for the selected supplier. The grid is editable, and the essential information can be altered as required.

View Open Only: If this is ticked, only the activities flagged as open will be displayed. If the option is not ticked, both open and closed items are displayed.

New Note / Activity / Task... Edit selected Task... Follow up on the task... if any of these buttons are selected, a screen similar to the following will be displayed. If you select the [Follow up task] option then the selected task will be closed and new activity is created with the previous details.

Account code: The account number for the currently active record, along with the account name.

Link to contact: This drop-down list will display all available contact / delivery codes, use the button [image] this will display the supplier's full details, including address, telephone number, contact etc.

Subject: Enter a brief subject used to highlight the purpose or type of activity.

Activity type: Select the activity/task type you wish to assign to the activity. This will set the action/follow-up date based on the number of days to follow assigned by the activity type selected. It will also set the activity action to perform and then email details if an email is created.

Action by: Select the user's name from the available list that is responsible for following up on the activity.

Entry date: The date the activity was created, this can be altered as required.

Note Type: The activity can be one of three activity types.

1. Standard Note - there is no action to perform if you select the Save / Do Action button.

2. Create Email from Note - this will send an email to either the email address assigned to the activity type, or to the customer/supplier or request an email address.

3. Create Word document from Note - this will create a word document from the template specified by the activity type.

Action Date: Enter the action/follow-up date for this activity.

Scheduled time: Enter the schedule time start and end; this is used when viewing open tasks in a calendar view.

Private note: If your user ID should only see this note, then tick this box,, and the note will remain private

Add user timestamp (F4): This will add the user's name and time stamp details to the end of the note; this can be used if you are using the activity for tracking follow-ups made by individual users, for example, in a support environment.

Notes: The notes section is your area to type any notes you may wish to enter; if emailing this, will appear in the email, this, information can be added to the word template as required.

[Save and Do Action] when pressed, the action will be performed associated with the Note Type, so this will either be an email or word document.

[Save / Close] save the activity and close the screen.

[Cancel] Cancel the changes made.

[Create new Contact] this will create a new contact for the currently active account.

Documents

Documents can be linked to the activity/task; use the Add Document button to select the document to add, Detach document to de-link the document from the activity/task. The Open Document will open the document with the associated application to the document extension. If you add shared documents, you should ensure that the document path is valid, and available to all users.

If you enter a document on a mapped or remote drive, the UNC pathname will be added to ensure that it is accessible by all users.

Include if emailed: Tick this box if you wish the document included in the email (if the note type is set to 'Create email from note'). This function can be used in various incidents to send support documents, follow up details, copy invoices, and other documents you may wish to send to a client.

.


Document History

Document History

Document History

 Previous topic Next topic

The documents tab allows you to add links to multiple documents that are associated with the supplier. These could be business agreements, plans, pricing documents, plans, workflows, product brochures in fact any document that has been created and saved to an accessible location.

Use the [Add Document] to add any available document on your local or network (if you enter a local document,, it will not be available to other users). The [Detach Document] button will detach the document from the customer list of documents, it will not remove the document physically from your storage device.

The [Open Document] button will open the document using the application associated with documents extension. If the document extension is not associated with any application, then the document will not be opened.

You can assign a brief description of the document, to make location easier and the date entered can also be altered if you don't want to set it to the date the document was added.


Products Purchased

Products Purchased

Products Purchased

 Previous topic Next topic

This tab will retrieve all product purchases captured in Pastel Partner Accounting. The grid is fully customisable and allows the user to a group by any column, just by dragging the column in to the grey group header.

The grid will not be loaded until the user presses the [Retrieve Products] button, and then all product purchases still in the Pastel History lines table will be loaded. If you double click a document line, a screen view of the document will be displayed.

[Export grid to Excel...] this button will export the grid in its current state to the required Microsoft Excel file.


Preferred Supplier Products

Preferred Supplier Products

Preferred Supplier Products

 Previous topic Next topic

Pastel Partner allows you to capture Preferred Supplier information, this screen shows all the products that this supplier has assigned with Pastel.

This screen allows you to add and delete records directly from Pastel and set an expiry date for pricing. The grid also allows you to capture additional notes regarding the product for this supplier; these notes are held with the PDi CRM database. This screen also allows you to capture a Lead Time Day(s) indicating how long it will take to receive this product from the time of ordering. At present, this field is for reference only. Still, over time this function may become more integrated or as customers request a feature to be implemented with this field driving the business logic.


Supplier Documents

Supplier Documents

Supplier Documents

 Previous topic Next topic

The supplier document tables allow you to view Purchase Orders, Goods Rec Notes, Invoices, Returns and Credit to Supplier documents within the Pastel Partner Accounting software. The text on the tabs may be different as they are retrieved directly from the document names held within Pastel Partner Accounting.

The document grids will display the header and line information (of the selected header). Double click on the document header to view the complete document information.

As with all grids in PDi CRM, the columns are customisable in that you can change the column width and positions.


Supplier Balances

Supplier Balances

Supplier Balances

 Previous topic Next topic

The supplier balances tab will display the outstanding supplier balances for each period and the sales value. This is the same information as within the Pastel supplier master screen. The information is read-only so figures cannot be altered.


Open Item

Open Item

Open Item

 Previous topic Next topic

The Supplier Open Item tab lists all outstanding open item transactions for the selected supplier. You can also double click on the document lines to display the supplier document screen. If the supplier is a forward balance account, you can view the transactions as a balance forward account. If the View transaction allocations option is ticked that you can also view the allocations made against the document.


Transactions

Transactions

Transactions

 Previous topic Next topic

Pastel Partner keeps two years' worth of ledger transactions; this tab will display the available transactions for the selected supplier account.


PDi DMS Link

PDi DMS Link

PDi DMS Link

 Previous topic Next topic

If the PDi Document Management system has been purchased, CRM can be linked to your DMS database. This tab will then display all depositories available within CRM and all documents linked to this supplier account.

Use the [Add selected file], [Remove selected] to add documents to the email attachments and then email those attachments to the supplier. Documents can be retrieved and viewed from PDi DMS by double-clicking on them.


Inventory

Inventory

Inventory

 Previous topic Next topic

PDi CRM for Pastel Partner Accounting isn't just about Customer management or Supplier management but also inventory management. With PDi CRM, you can maintain and view product history and stock from a central location.

The main inventory tab gives you the global settings for the item across all stores, including the item description, item category, item bar code, item unit of measure, discount logic, commodity code and the net mass. This screen also allows the user to select the default Tax percentage for sales and purchases and the logic used in document processing.

Store details, the bottom section of the form contains the information related; select the store first, and then you can alter the leading inventory group (this is the group within Pastel that controls the general ledger codes for sales, purchases, and stock holding etc.). The user also has access to the Bin Number, the last purchase cost, and the product’s image. You can also view the current item average cost for the product, the last invoice, purchase dates and last purchase cost for the product


Pricing

Pricing

Pricing

 Previous topic Next topic

Pastel Partner allows up to 10 price lists (less if you use version 6 or lower). This tab gives the user access to those prices, including future pricing and special pricing information. Details captured here are transferred back to Pastel Partner.


ReOrder

ReOrder

ReOrder

 Previous topic Next topic

The Re-Order tab gives the user access to the supplier details for the currently active product and the minimum, maximum levels and current stock quantity details.


Supplier Pricing

Supplier Pricing

Supplier Pricing

 Previous topic Next topic

Sage50c Pastel Partner accounting data doesn't have a place to capture supplier pricing based on quantity breaks. This tab and linked grid allow for capturing extra supplier pricing information that cannot be captured in Pastel. While these prices will not be used in Sage50c Pastel documents, it allows for information to be reported using the PDi CRM user reports or widgets.

Multiple supplier information can be captured for each product, including the following information not available within Sage50 Pastel Accounting.

Notes: Capture additional notes or information for the inventory code and supplier.

Currency: The currency code the pricing is being captured in.

Expires / Set Expiry date: The date the pricing expires for this supplier and inventory item code.

Lead Time Day(s): The number of days it usually takes to receive the product from order.

Supplier Reference: The supplier item code (this is taken from Sage50c Pastel).

Quantity and pricing break: Enter the pricing break based on Quantity 1 - Quantity 2 (-1), Quantity 2 - Quantity 3 (-1), Quantity 3 and then the relevant pricing.

Set checked to expire dates to - this function allows the user to update the expiry date of the lines flagged as Set Expire date. Pressing the [Set expires dates] button will update all items on the active grid with the new expiry date.


Activity

Activity

Activity

 Previous topic Next topic

The Activity tab displays the inventory purchases, adjustments, sales, quantity on hand and average costs information broken day on a period basis. This screen is similar to the one available within Pastel Partner.


Serial No(s)

Serial No(s)

 Previous topic Next topic

Serial No(s)

 Previous topic Next topic

This tab will display the serial numbers available for the currently activated product and store code. Serial number information is only available if you have purchased the Pastel Partner serial number tracking module. If you don't have this module, the serial number list will always be empty.


PDI Serial Information

PDI Serial Information

PDI Serial Information

 Previous topic Next topic

The PDi Serial Information tab allows for the capture of serial number information. Set the availability of the serial number and the current unit status, which can be changed manually. Still, in some circumstances, the unit status is set automatically, such as when a Task linked to the serial number is set to the "Sale", "On Loan", or "To be disposed of" statuses. Following service dates are automatically updated when posting the service document linked to the serial number.

Preliminary information can be edited directly within the grid columns. Use the [New] or [Edit] button to display the main editing serial number information screen.

Select a serial number in the grid to view all the created service documents. The grid will display the work date, your job number, and the first 15 lines of the notes added to the service document. Double-click the service document to view the entire document details


PDI Serial Information - New/Edit

PDI Serial Information - New/Edit

PDI Serial Information - New/Edit

 Previous topic Next topic

The product serial new and edit information screen allows for the complete details to be captured.

Store code: If the Sage Pastel multi-store module is installed, enter the store code where this item is located or was issued from.

Serial No: The serial number can be updated if it has been previously incorrect.

Supplier code: Enter or capture the purchasing supplier; the supplier's description will be displayed.

Date Rec. In: The received into the stock date can be entered in this field.

Date Out: Enter the date that the serial number was issued or was taken out.

Unit Cost: Enter the unit cost for this serial number. It will initially default to the average cost held within Sage Pastel.

Last Service: Enter the last service of the unit; this will update the next service.

Service Internal: This represents the number of days between services.

Next Service: The service due date for this serial number is based on the last service date plus the number of days between services.

Unit Status: Select the current unit status; the last unit status will be updated automatically based on the unit status if changed.

Last Unit Status: Change the previous unit status if required; however, the status will change when the unit status is altered.

Unit available: Indicates whether the unit is available.

Blocked: Block the serial number if it has a history but should never be used in Tasks or service documents again.

Full Notes: Enter additional information for this serial number.

Print History: A complete history of serial numbers, including service documents, linked tasks, and serial numbers.


Extra Notes

Extra Notes

Extra Notes

 Previous topic Next topic

Sage Pastel Partner has a forty-character description length; this tab allows for additional information to be captured, perhaps technical information. These extra notes could then be printed on the sales opportunity documents and documents created within CRM, enabling the creation of more advanced invoices that include these additional specifications.


Product History

Product History

Product History

 Previous topic Next topic

The Product History tab gives the user access to transactions within the Pastel history lines table. Select the type of transactions to list; the available options are:

Sales Movements - all sales transactions for the currently active item and store

Purchase Movements - all the purchase transactions for the currently active item and store

Sales for Item Category - all sales for all items that have the same item category, irrespective of the item code

Purchase for Item Category - all purchases for all items that have the same item category, irrespective of the item code

The [Export grid to Excel] will create a spreadsheet of the currently active grid records. As with a number of the grids in PDI CRM, the grid is customisable and filterable. The grid can also be grouped based on the required columns.


Inventory Documents

Inventory Documents

Inventory Documents

 Previous topic Next topic

The inventory documents tab allows the user to add unlimited documents related to the selected item code, including product brochures, drawings, or product information. Use the [Add Document] button to add the required documents; if the selected document is on a mapped drive, the file location will be changed to a UNC path, ensuring that the document is available to all users. The [Detach Document] button will de-link the document from the item code; it will not delete the document from the original location.

The [Open Document] will open the document using the application associated with the document’s extension. The document will not be opened if the extension type is unknown or not linked to an application.

NB: If you add a local document that is not available across the network, other users will not be able to open the document.


User Defined

User Defined

User Defined

 Previous topic Next topic

Pastel Partner allows several user-defined fields for each product. The labels for these fields are defined within Pastel and displayed within PDi CRM when you select the tab. There are three character-based fields and three numeric fields; the 1st user-defined field is an index field and is searchable within Pastel Partner.


Language Translations

Language Translations

Language Translations

 Previous topic Next topic

This tab allows the user to define multiple inventory descriptions and notes in the required languages. This function allows documents to be created that include inventory descriptions in the appropriate language.

Select the language code and enter your translated description and item notes as required. See the pastelinvoice100afr.fr3 for an example of using the required inventory translations.


PDi DMS Link

PDi DMS Link

PDi DMS Link

 Previous topic Next topic

If the PDi Document Management system has been purchased, CRM can be linked to your DMS database. This tab will then display all depositories available within CRM and all documents linked to this inventory item code.

Use the [Add selected file], [Remove selected] to add documents to the email attachments and then email those attachments to the required email address. Documents can be retrieved and viewed from PDi DMS by double-clicking on them.


External Product Mappings

External Product Mappings

External Product Mappings

 Previous topic Next topic

If using the PDi CRM document import routines this allows for the mapping of the customer account and the product they may be using for your item code. The import will then check the account and product code and return your own inventory item code.


Setup Campaign Details

Setup Campaign Details

Setup Campaign Details

 Previous topic Next topic

This function allows the user to create and maintain the new campaign information.

New: Create the campaign; the basic information can be captured within the grid.

Campaign title: The title you wish to give to this campaign

Reason: The level that this campaign has can be:

Proposed - the campaign is a proposed campaign that may not be active

Pending - the campaign is waiting to be started

Opened - the campaign is open and running currently

Cancelled - the campaign has been cancelled

Closed - the campaign has been closed and completed.

Status: The status level of the campaign

Ready to launch: The campaign is ready to launch and can be started as required

Launched: The campaign has been launched and is currently running

Completed: The campaign has been completed

Cancelled: The campaign has been cancelled and is no longer in use

Closed: The campaign has been closed and fully completed

Campaign type: Select the campaign type

Advertisement: The campaign revolves around an advertisement that is being run

Direct Marketing: The campaign revolves around some form of direct marketing, mail-out, email campaign etc

Event: The campaign revolves around an event that is being held, a product launch, training session etc

Co-branding: The campaign revolves around some form of co-branding event that is being run

Web / online marketing: The campaign revolves around some form of online marketing event, advertisement

Other - The campaign revolves around some other type of process

Expected response: enter the number of expected responses for the campaign; this will allow you to track how successful your campaign has been

Price List to use: If your campaign includes products, then you can assign which Pastel inventory price list will be used for the products

Expected start date: Enter the expected start date that the campaign will be started

Expected end date: Enter the expected end date of the campaign

Actual start date: The actual start date will be set by processes within the application (i.e., when the campaign is started) - it can be adjusted if required (this allows you to set up campaigns that may already have been running)

Actual end date: The end date will be set by processes within the application (when the campaign is marked as completed); this can be updated manually if campaigns have already been completed or the date needs to be adjusted.

The campaign finished: This will indicate which campaigns are finished; it will be set once they have been flagged as finished but can be updated manually if required.

Details: This memo field allows the user to capture full details relating to the campaign that is being run

Offer: This memo field allows the user to capture the complete offer details for the campaign that is being run

Cancel: Cancel the changes made to the grid

Save: Save the changes made to the grid.

Delete...: Delete the currently selected campaign.

Campaign Settings: Make changes to the campaign’s main details, including results, stages, activities, questions, prospects etc.


Campaign define

Campaign define

Campaign define

Previous topic Next topic

This screen allows the user to capture/amend the campaign’s complete details. The screen is broken down into tabs, which allows the campaign's components to be defined.

The first screen allows the user to capture the same information as within the front grid within a more standard windows form layout. This screen also allows the user to print a complete campaign document that can be presented to other employees or used as part of the campaign documentation.


Campaign stages

Campaign stages

Campaign stages

 Previous topic Next topic

A campaign can be a single-stage and a single activity or multiple stages with multiple activities within each stage. How you set up your campaign depends on the requirements and what your campaign is doing.

In the screenshot above, we have three stages defined for our campaign and multiple activities that need to happen within each stage. As a campaign is flagged as completed, the next one is started, and the user responsible for that activity is informed.

Stages

The stage numbers are created automatically but can be changed if you wish to re-order the stages at any time. A brief stage title can be captured along with the percentage that this stage carries towards completing the campaign. Once all activities are completed within a stage, the stage is flagged as completed. However, the user can flag the stage as complete if required - this allows you to set up campaigns that may have already commenced, but you would still like to record within CRM.

Activities

Multiple or single activities can be created within the campaign stages tab; the first stage and first activity will be the starting point when the campaign is launched. You may have a campaign that requires some research process or development of advertising before you get to the main reason for the campaign; all these activities can be defined and assigned to an individual user within the system.

Sequence Nr: This is the order of the activity within the stage, the function will set the following sequence number automatically, but they can be re-ordered by changing the sequence number if required

Started: If the activity has been started, this will be ticked.

Details: Enter some brief details of the activity

Owner: Select the user (or primary user) that has been assigned to complete this event. If a committee has been formed for this activity, then select the head of the committee.

Delivery method: Indicate how the activity is to be completed; the available options are listed below

Face to Face: You will meet with the required people/organisations face to face (in person)

Phone calls: Phone calls will be made to complete this activity

Email: Email blasts will be sent to the required prospects

Mail letter: A mail-out letter will be sent to the required prospects

SMS: Send out messages via SMS gateway providers

Delivery filename: If the delivery method is email or mail letter, you can enter or select the file containing the contents. The email can be in plain or HTML format.

Type: Select the activity type from the available drop-down list

Meeting: A meeting is required to complete the activity

Research: The activity is just for research purposes, which could include finding out facts about the marketing, pricing etc

Calls / Action: A call or task action needs to be completed on this activity

Link to Supplier: If a supplier is linked to this activity, then enter or use the finder to assign the required activity type

Task Activity type: If a task will be created on this activity, select the activity type that will be used

Scheduled Start: Enter the scheduled start date for this activity

Scheduled End: Enter the scheduled end date for this activity

Actual Start: The actual start date will be set when the activity is started, but it can be set manually if the activity has already been created

Actual end: The actual end date will be set when the activity is completed; again, if the activity has already been completed, the user can set the date as required.

Budget: If a budget is associated with this activity, then it can be entered here

Actual Cost: Actual costs associated with the activity can be assigned as required

Priority: High, Low, Normal

Notes: Enter notes/information that relates to this activity. This may include further details for the assigned user to complete the activity.

Load prospects: If this is the activity where the prospects should be assigned to the campaign, tick this box. Only one activity within the campaign would typically be set to assign the customers/prospects to contact

Activity Complete: If the responsible user has marked the activity as completed, this will be ticked again. It can be ticked if required.


Campaign Products

Campaign Products

Campaign Products

 Previous topic Next topic

This tab allows the user to assign the products or services promoted within this campaign. Products do not need to be added if the campaign is not product geared; it could be a service code if you are selling training events or none if required.

This screen allows users to capture products and service codes from their Pastel inventory. The price list will be loaded based on the price selected for the campaign. Use the New Promotion Product button to create a new line and add the required Pastel code if required.

Product codes can be captured that do not exist within Pastel; the user can then enter the required description, quantity price and cost as required. This allows you to track items/services that may not be available within Pastel to sell directly.

Products can be removed from the campaign using the [Delete...] button.


Campaign Prospects

Campaign Prospects

Campaign Prospects

 Previous topic Next topic

If the campaign relates to selling to your existing customers and prospect list within CRM, this screen allows you to add or load them based on the required criteria manually. Depending on the size of your contact database, this may take a little time to load.

The grid can assign the customers/prospects to the list manually. Individual prospects can be removed using the [Delete] button or abandon the complete list and start again using the [Delete All...] button.

The grid is made up of the following information.

Account type: Whether the contact is an existing customer or a prospect from the CRM list of prospects.

Account Nr: The account number assigned to the contact

Name: The full company name or individual name of the contact

Linked to Sales Opp. As sales are made and opportunities created, then this will populate within the linked sales opportunity

Status: As calls are made, the user responsible for that contact can set the status to one of the following.

Call prospect: The contact should be contacted, by phone call, email or mail letter, depending on the activity delivery method.

Call made/follow up: A call has been made, and a follow up should be completed (a task can be created for the follow up)

Sale made / opportunity created: If a sale has been made directly or via a sales opp.

Prospect not interested: The contact has indicated that they are not interested in this campaign sale.

Do not call: A prospect can be flagged as do not call.

Assign calls to: If the assigned call is left empty, it will be available to all users on that activity. If the user is assigned to a specific user, it will only be viewable by that user.

Block Assign prospects/customers

This section allows you to block assigned customers/prospects based on specific parameters being met:

Account category: Use the customer category to limit which type of customers and prospects you wish to assign to the prospect

Product range: Enter a range of product codes; if a customer has previously purchased this product, they will be added to the list

Store code: Enter the store code to check the sale

Product category: Limit the products to a specific range of products, so if a customer has purchased that type of product, they will be included on the prospect list

User-defined 1-5: The Pastel customer user-defined fields can be used to limit the retrieved products

Assign users to calls: If you wish to assign all calls to a particular user.

Customers [] / Prospects []: Indicate which type of contacts the block assignment should be applied to (CRM prospects will not include the product information)


Campaign Questions

Campaign Questions

Campaign Questions

 Previous topic Next topic

This page allows the user to define global questions that can be used across all campaigns. These questions can then be assigned to individual campaign scripts; if you collect marketing information, you can define the sales scripts as required.

As many questions can be defined as required, and these are global questions available across all campaigns, the script tab allows you to limit questions to an individual campaign.

The Response type can be one of the following:

Drop Down: A drop-down list of available response types will be made

Yes / No: Will display a Yes/No response

Integer value: A control allowing the user to enter an integer value as required

Money value: A control allowing the user to enter the monetary value

Text Box: A control allowing the user to enter a text box response

Radio buttons: A radio control will be displayed, allowing the user to select the required response

The response will only be linked to some of the responses; this allows you to set the only allowed answers then. A screen similar to the one below will be displayed when this function has been selected. The required answers can then be entered (1 per line), or they can be loaded from a previously defined list (some are supplied).


Campaign Scripts

Campaign Scripts

Campaign Scripts

 Previous topic Next topic

If your campaign requires that the user promote a particular product, you can use this tab to create the type of scripts/questions to help guide the caller. The answers can then be used as part of the research, product development, guidance, or information about your user base for later campaigns.

The scripts/questions can be as many or as few as required and be used to assist in covering all the points required when making the calls. The answers are stored for each prospect and campaign so that you can report and view summaries of the answers received from the prospects.

Your scripts can be re-ordered using the [Order nr] field if they need to be repositioned. Time should be spent on getting the scripts correct along with the questions, which can be a unique activity within your campaign itself. The examples shown are very, very basic versions that can be used.


Campaign Start

Campaign Start

Campaign Start

 Previous topic Next topic

This function allows the user to start campaigns that have not already been started and have at least one defined activity that has not been started and is not complete.

The list will show all campaigns that can be started and flag the [Start Campaign] box to yes. If you do not want to start a campaign, uncheck the box as required and press the [Start campaigns...] button to commence the process.

The start campaign process is as follows:

1. The campaign header’s actual start date will be updated with today's date, and the campaign will be flagged as started

2. The first activity to be started with be flagged as started and the actual date flagged with today's date

3. A task activity will be created for the user to follow-up

3. A message will be created that can be viewed within the Campaign desktop indicating that an activity has been assigned to them

The campaign desktop is the central processing area for the user and campaigns.


Campaign desktop

Campaign desktop

Campaign desktop

Previous topic Next topic

The campaign desktop is the main work area for the user to work on calls, activities, follow-ups etc.

The campaign desktop comprises several panels; the panels can be moved, resized, minimised or close as the user requires. The panels’ status, size, and position will all be saved for each user.

The Campaign desktop is made up of the following panels (the order may be different if you have accessed the desktop for the first time or the user has repositioned their panels)

Activities assigned to you: This includes all activities for all campaigns that have been assigned to you that have not been completed. Activities are sequential, so you must complete your activity before starting the next one.

Tasks for prospect or campaign activity: This is a list of tasks that have been assigned to the campaign or the selected prospect. This lets the user see what else is going on (or has gone on); these tasks are also available via the standard CRM task views.

Campaign details: The basic campaign header information for the selected activity.

Products assigned to Campaign: This is a list of the products/services that have been assigned to the campaign to be sold.

Contact Details: The contact details for the selected prospect

Prospects Call list: This is the list of prospects assigned to the campaign (if done); only prospects assigned to the user (or not assigned to anyone) will be displayed.

Prospect Script/Question: This will display the questions/scripts to go through when the customer is called.

Show Panels - Will display a popup menu allowing you to select which panels to display.

Show All Panels – We will display all panels.

Close All Panels - will close all panels so that the desktop is empty

Messages - This will display the messages; the indicator will display the number of messages that have not been read


Campaign Destkop - activities

Campaign Destkop - activities

Campaign Destkop - activities

 Previous topic Next topic

This panel will display the activities that you are responsible for. Use the [Refresh] button to update this list as required. The grid will show the primary activity for the campaign and what needs to be completed.

If this activity requires that you load the prospects, then the [Load prospects...] button will be enabled, and you, the user, will be taken to a screen similar to the prospects tab within the campaign header.

If this activity requires that an email be sent out or a mail letter sent, then the [Create mail-out] button will be enabled, taking them to the CRM mail-out function.

Once the user has completed the tasks on this activity, they can use the [Complete Activity] button to close the activity and force the following activity to be opened and assigned as required


Campaign Desktop - Tasks for Prospect / Activity

Campaign Desktop - Tasks for Prospect / Activity

Campaign Desktop - Tasks for Prospect / Activity

 Previous topic Next topic

In some cases, a CRM task will be created for the activity or the prospect that a call is being made against (i.e., creating a follow-up phone call).

This Panel will display all open and closed tasks for the activity or prospect, giving the user complete history of that activity or prospect.

The task can be updated if required using the [Update Task...] button, which will take the user to the standard CRM task screen. Use the [Refresh] button to update the list as and when required.


Campaign Desktop - Details

Campaign Desktop - Details

Campaign Desktop - Details

 Previous topic Next topic

This screen will display the basic campaign header information, allowing users to see the notes, status and offer information.


Campaign Desktop - Products

Campaign Desktop - Products

Campaign Desktop - Products

 Previous topic Next topic

This screen will display the products/services that have been assigned to the campaign. It will display the items the user is to sell to the prospects and the price for which the item can be sold.


Campaign Desktop - Contacts

Campaign Desktop - Contacts

Campaign Desktop - Contacts

 Previous topic Next topic

This panel will display the list of contacts for the selected prospect, giving the user all the required contacts.


Campaign Desktop - Prospects

Campaign Desktop - Prospects

Campaign Desktop - Prospects

 Previous topic Next topic

This will list all prospects assigned to the user or assigned to no user. The default contact information will be displayed for each prospect contact. The user can change the [Status] by selecting the available drop-down list. Use the [Refresh] button to update the list of prospects as and when required.

Start Questions - This will display the first question for the selected prospect, allowing the question to be answered and moved on to the next one

Create Task - This will create a task linked to the prospect, allowing the user to create a follow-up or create a task for another user to follow up.

Update Task - This will display the CRM task screen, allow the task linked to the prospect to be updated

Create Sales Opp - if a sale has been made, this will allow the sales opportunity to be created for the selected products/services.

Edit Sales Opp - if the prospect is linked to the sales opportunity for this activity, then this will display the sales opportunity screen.


Campaign Desktop - Scripts

Campaign Desktop - Scripts

Campaign Desktop - Scripts

 Previous topic Next topic

This screen will display the scripts and questions for the selected prospect. Answer the questions based on information received and then move on to the next question using the Next button; you can move backwards and forwards using the First, Previous or Last buttons. The answers are stored and linked to the prospect and campaign, so they can be reviewed from this screen and reported on as required.


Campaign - Statistics

Campaign - Statistics

Campaign - Statistics

 Previous topic Next topic

This screen allows the user to view basic statistics for the selected campaign. Use the Campaigns to show statistics to load the campaigns based on the date selected, select a campaign and press the View Stats button to display the required information.

Display report - will display the complete metric information, including the graphs that show.

Show Panels / Show All Panels / Close all Panels - use these buttons to show/hide the required panels.

Sales opportunities will display the number of sales opportunities in graph format based on the status.

Campaign created sales opportunities will list all the sales opportunities created linked to the campaign header.

Campaign expected / actual responses will display the number of expected sales/responses and the actual number of items flagged as sales made / sales opportunities created.

Prospect Call results - This will display the results of the prospect call status - highlighting the actual number of sales made

Stage budget -v- Actuals - This will display the budgets and actual costs assigned to each activity and the grid information.

Questions / Answers - this will give the user an overview of each question asked to the prospects and the results.


Logout

Logout

Logout

 Previous topic Next topic

Log out of the current dataset and display the log-in screen. Before log-out, you will be able complete a backup of the database (if required).


CRM Data Import

CRM Data Import

CRM Data Import

 Previous topic Next topic

This function allows data to be imported into any PDi CRM tables.

Data will be validated based on any primary indexes and business logic applied to the PDi CRM Database.

Select CRM Table to update: Select the PDi CRM Table name to update or insert the new data

Import File to process: Enter or select the file to be imported. The file can be in CSV (comma separated) or Excel (XLS) format.

Import file specification: If you have asked PDi Spirit or one of its associates to create the import specification, select the supplied file. You can also use the [Create Specification] wizard to create your mappings and update specifications.

Generate a list of key values in the file but not in CRM Table - This can be used to list all new records that do not yet appear in CRM.

Key values in CRM Table but not in file - This can highlight any CRM data that should be located in the file but are not.

These two reports can be used to locate and validate missing records from the two sources.

The Reported error/statistics will be displayed in the progress area during the process. Fix any errors with the import file or specification as required.


Import Prospects

Import Prospects

Import Prospects

 Previous topic Next topic

This function will import prospects from either a Fixed-Length File Format or an Excel spreadsheet (if using an Excel spreadsheet, you may need raised privileges, depending on the Windows operating system).

Select the file to import and the file layout for this import file (either Fixed Length File Import or spreadsheet). Press the Start button to begin the import process.

Fixed-Length File Layout

This file format can contain physical prospect address details and contact details by changing the record type file at the beginning of each line. Each field must start at the position shown below to ensure the correct import.

Main prospect structure

Starting | Length | Details
1 | 1 | The record type should be set to 1 for Prospect details.
2 | 6 | Prospect Code (leave blank to have the import assign the code, the name must not be empty)
8 | 40 | Prospect name - must be supplied if the code is blank.
48 | 30 | Physical Address Line 1
78 | 30 | Physical Address Line 2
108 | 30 | Physical Address Line 3
138 | 30 | Physical Address Line 4
168 | 30 | Physical Address Line 5
198 | 16 | User-Defined Field 1
214 | 16 | User-Defined Field 2
230 | 16 | User-Defined Field 3
246 | 16 | User-Defined Field 4
262 | 16 | User-Defined Field 5
278 | 5 | Sales rep (analysis) code as defined with Pastel
283 | 16 | Main Contact name
299 | 16 | Primary Contact Telephone nr.
315 | 16 | Main Contact Fax nr.
331 | 16 | Main Contact Cell Phone
347 | 30 | Delivery Address 1
377 | 30 | Delivery Address 2
407 | 30 | Delivery Address 3
437 | 30 | Delivery Address 4
467 | 30 | Delivery Address 5
497 | 50 | Main Contact email address
547 | 2 | Customer category code - valid Pastel category

Additional Contacts for Prospects

Starting | Length | Details
1 | 1 | Record type should be set to 2 for Prospect additional contacts.
2 | 6 | Prospect Code - should exist as a prospect already within CRM or the Import.
8 | 3 | Additional contact code Alphanumeric
11 | 5 | Sales rep (analysis) code
16 | 16 | Contact name
32 | 16 | Telephone nr.
48 | 16 | Cell phone nr.
64 | 16 | Fax nr.
80 | 30 | Delivery Address 1
110 | 30 | Delivery Address 2
140 | 30 | Delivery Address 3
170 | 30 | Delivery Address 4
200 | 30 | Delivery Address 5
230 | 50 | Email Address

The status area will give information on the import progress and any issues with the import layout.

Excel Import

The first two rows are the column names; the data should start at row 3 in the spreadsheet.

Record type 1 - the main prospect details

Column | Field Name | Details
A | RecType | The record type should be set to 1 for Prospect details.
B | Code | Prospect Code (leave blank to have the import assign the code, the name must not be empty)
C | Name | Prospect name - must be supplied if the code is blank.
D | Address1 | Physical Address Line 1
E | Address2 | Physical Address Line 2
F | Address3 | Physical Address Line 3
G | Address4 | Physical Address Line 4
H | Address5 | Physical Address Line 5
I | UserDefined1 | User-Defined Field 1
J | UserDefined2 | User-Defined Field 2
K | UserDefined3 | User-Defined Field 3
L | UserDefined4 | User-Defined Field 4
M | UserDefined5 | User-Defined Field 5
N | Category | Customer Category
O | SalesMan | Sales rep (analysis) code as defined with Pastel
P | Contact | Main Contact name
Q | Telephone | Primary Contact Telephone nr.
R | Cellphone | Main Contact Fax nr.
S | Fax | Main Contact Cell Phone
T | DelAddress1 | Delivery Address 1
U | DelAddress2 | Delivery Address 2
V | DelAddress3 | Delivery Address 3
W | DelAddress4 | Delivery Address 4
X | DelAddress5 | Delivery Address 5
Y | Email | Main Contact email address

Prospect Additional Contact Information

Starting | Field Name | Details
A | RecType | Record type should be set to 2 for Prospect additional contacts.
B | Number | Prospect Code - should exist as a prospect already within CRM or the Import.
C | CCode | Additional contact code Alphanumeric
D | Salesman | Sales rep (analysis) code
E | Contact | Contact name
F | Telephone | Telephone nr.
G | Cellphone | Cell phone nr.
H | Fax | Fax nr.
I | DelAddress1 | Delivery Address 1
J | DelAddress2 | Delivery Address 2
K | DelAddress3 | Delivery Address 3
L | DelAddress4 | Delivery Address 4
M | DelAddress5 | Delivery Address 5
N | Email | Email Address

If you are unsure about the required structure, export the details first to see the resulting structure and replicate this for your Prospect import.


Export Customers / Prospects

Export Customers / Prospects

Export Customers / Prospects

 Previous topic Next topic

This function allows the customers and the prospects to be exported to an Excel spreadsheet or a fixed-length format file.

If an Excel spreadsheet is required, the application needs to be run with raised privileges to allow for an OLE connection to the Excel server.

Select the export method, either Excel spreadsheet or Fixed Length File format and then enter or browse to the location to save the file.

To export all customers, press the [Select Accounts] button; press the [Select Prospects] button to export all the prospects. This will tick all the Export columns for the relevant records; this column can also be manually selected. Once the required accounts have been selected, press the [Start] button for the file creation.


Import to / Export from Outlook contacts

Import to / Export from Outlook contacts

Import to / Export from Outlook contacts

 Previous topic Next topic

This function will import or export contact details from the Outlook contacts folder. Depending on your operating system, CRM may need to be run with raised privileges to gain access to the Outlook OLE Server.

This screen allows the definition of how CRM should integrate with Outlook and the fields.

Default Contact folder: The process will create new contact folders for CRM Accounts, CRM prospects and CRM Suppliers; if you do not want this to happen, remove the tick box and select the Outlook contacts folder from the available list.

Outlook field to account number: Select the field where you wish to place the CRM account code within Outlook. The default is Account, but you can set it to one: Billing Information, Customer ID, Email Address, Department, Profession, Organization ID Number.

Outlook field to hold alternative contact code: Each contact within CRM has a unique 3-digit code. Select the outlook field that will hold this information, the default is Customer ID, but you can set it to one of the following:

Account, Billing Information, Email Address, Department, Profession, Organization ID Number.

Set Customer, prospect, or supplier name to Select the field that will hold the account name within Outlook; by default, this will be the Outlooks Company Name field but can be set to one of the following: Outlooks File.

Select which record types you wish to transfer between CRM and Outlook and then press the Export to or import from, depending on the requirements.

Mappings

These screens allow for mapping where the information will be retrieved from and set for each contact type, customer, prospect, and supplier.

The literal texts on the left are the fields within Outlook; for each, you can indicate where you wish to save this information within CRM.

In the example above, the Business Street address from Outlook will be saved to Address lines 1 & 2 within CRM, and the Business City will be saved to Address 3. The Mailing Street will be saved to the delivery address 1 & 2 for the contact details.

The box to the side of each field indicates which alternative contact address you would like the Outlook details saved to. For example, you may want to keep all contact details from outlook by going to a unique alternative code of OUT

The additional fields allow for mapping fields within CRM and Outlook, such as company name, file as, contact etc...

The mappings are a two-way mapping, records going from CRM to Outlook and records coming from Outlook into CRM.


Import and Create Invoices

Import and Create Invoices

Import and Create Invoices

 Previous topic Next topic

This function will import and create the non-posted invoices based on the data supplied and the specification file layout.

Select import file template: Enter or select the PDi CRM specification file created by PDi Spirit or one of its associates.

Excel (XLS) file to import: Enter or select the Excel (XLS) file to import; this will typically contain the product lines to create the invoice for

Options can be selected as required.

The first row in the spreadsheet is the header of the invoice.

Map Accounts in XLS to Pastel accounts (based on the mappings within the Customer mappings tab)

Map item codes in the XLS file to Pastel Item codes (based on the mappings within the inventory mappings tab)

Pricing within the file is Inclusive of Sales Tax / VAT.

Create invoice documents based on the Mapped Account, Account Number or Internal Invoice

Invoice from Wholesaler code: This is the wholesaler code that is sending sales information which should then either be invoiced to a single account number or mapped to accounts

Document the date of the invoice

The import process could create single or multiple invoices based on the mapped account details.


Import Sales Data

Import Sales Data

Import Sales Data

 Previous topic Next topic

This function will import document invoices as posted invoices; they will not affect customer balances, inventory or GL balances. This process is pure to retrieve information into Sage50c Pastel and CRM for statistical and historical reporting.

This import is a unique process and expects the Excel spreadsheet to be created in a specific layout. This function can track sales for VIP customers, newsletters and multiple items in a single spreadsheet.

Please get in touch with PDi Spirit or one of its associates for more details on the use of this function and the layout required.


Delete in-active prospects

Delete in-active prospects

Delete in-active prospects

 Previous topic Next topic

This function allows for the deletion of the selected prospects and any related data—Mark which records need to be deleted by ticking the records in the Delete column. Once the selections have been made, press the Delete records to start the process.


Delete Sales Opportunities

Delete Sales Opportunities

Delete Sales Opportunities

 Previous topic Next topic

This process will remove sales opportunities; with the selected status between the required date. You don't have to delete sales opportunities; this function is there to clean up old data that you do not require anymore.

Once you have made the selections and the creation date range, press the Start button to delete the relevant sales opportunities.


Search duplicate prospect records

Search duplicate prospect records

Search duplicate prospect records

 Previous topic Next topic

This function will search for duplicate prospects based on the selected field. Select the field you wish to compare and then press the Search Duplicates button to give a results grid showing records with identical values for the search field selected. In the grid example below, we have searched for records with the same value for Address 1.

Once the process has been completed, the action can then be selected, either to delete the records or merge the details into the account code.

Once the operations have been selected, press the Process Changes button to delete or merge the relevant records.


Clear Budget Qty and Values

Clear Budget Qty and Values

Clear Budget Qty and Values

 Previous topic Next topic

This function will clear the CRM budgets and quantity and monetary values based on the selections made. The function can be used to reset all item-based budgets. Once budgets are cleared, it will give a fresh starting point for creating new budgets.

Select the budgets to clear and press the Clear Budgets button to begin the process.


Clear Budget Actuals

Clear Budget Actuals

Clear Budget Actuals

 Previous topic Next topic

This function will clear all budget figures and associated documents. This will allow the actuals to be recreated from the start. Select which actuals to clear, either the customer item actuals or the top-level actuals or both and press the [Start] process.


Move User Open Transactions

Move User Open Transactions

Move User Open Transactions

 Previous topic Next topic

This function will allow open transactions assigned to a user to be moved to a new user.

Select the existing user to whom the transactions are assigned and the new user ID to which the transactions should be assigned.

Select existing transactions that need to be changed; all possible options are selected by default.

Sales Opportunities – the open records assigned to the existing user that should be moved to the new user

Sales Opportunities Simple Tasks – Sales opportunities have a simple task list; select to move the simple tasks from the existing user to the new user.

Tasks – the main open tasks assigned to the selected user and move them to the new user.

General Tasks – the general tasks are a simple list of tasks not linked to any master record. The open tasks will be moved from existing to new users.

Campaign Activities – Activities within a campaign can be assigned to a user for completion. The activities not completed will be moved from the selected user to the new user.

Campaign Prospects – the calling list of a campaign can be assigned to individual users. The selected user-assigned prospects will be moved to the new user.


Auto Add Task Documents

Auto Add Task Documents

Auto Add Task Documents

 Previous topic Next topic

This function will scan the specified folder and attach documents within that folder to the activity / task record that has the reference number.

If a document has already been assigned to the activity / task it will be skipped and not added.


Process

Process

Process

 Previous topic Next topic

The Process menu and process sidebar give you access to the functions that will enable you to maintain and process certain information with PDI CRM. This includes sales opportunity processing, customer budget, document approval and Task/Activity views.


Sales Opportunities

Sales Opportunities

Sales Opportunities

 Previous topic Next topic

When you select the sales opportunity option from the Process menu or the CRM sidebar, a desktop screen similar to the one below is displayed.

The desktop shows all In Progress sales opportunities (unless the status type to display has been changed), and the grid is customisable so you can arrange and size as required. For the selected sales opportunity tasks, you can add, edit, and delete the tasks as required. All the contact details for the selected customer will also be displayed, including the primary and additional contacts. The desktop also displays all the sales opportunities that have ever been created for the customer of the selected sales opportunity.

Use the Add, Edit, and Delete buttons to maintain the sales opportunities from the primary grid. Double click the required sales opportunity will display the full sales opportunity screen.

The Refresh button will refresh the grid, picking up any new sales opportunities that other users have captured.

Graphs - display some simple graphs based on pre-defined settings.

Average Win % - displays a graphical view of the average win percentage.

Move on to the next stage - if you are using the Sales opportunity category as a stage process, use this function to move the opportunity on to the next stage for In-progress sales opportunities.

Copy selected enables the user to copy the selected sales opportunity to a new sales opportunity record, giving a template type functionality.


Sales Opportunity entry

Sales Opportunity entry

Sales Opportunity entry

 Previous topic Next topic

This is displayed when this function is selected; this tab allows the initial information to be captured for the new sales opportunity.

Document layout: Select the layout you wish to run when the details are printed. As many document layouts can be defined, you can create different layouts based on the different sales types that may be performed. See Document layout setup.

Opportunity Title: this field allows a title to be captured relevant to the sales opportunity. This title will display in the grids and give a quick reference to the contents of the sales opportunity.

Reference No: Enter or assign the following sales opportunity reference number using the quick button.

Currency code: Select the currency code in which this document will be quoted; it will default to the customer’s currency.

Exchange rate: Enter the exchange rate for the currency code selected; if home currency, 1.00 will be displayed.

User responsible: Select the user responsible for this sales opportunity; this is used in some sales opportunity reports, such as forecasts by the employee.

Start Date: Enter the date this sales opportunity is starting. Usually, this is the date the sales opportunity is created.

Expected Close Date: Enter the date that the sales opportunity is expected to be completed/closed.

Client Reference: Enter the customer’s reference number; this may be the customer's order number.

Sales Code: Enter the sales code to attach to this opportunity. Sales code must exist within Pastel.

% Achievement: Enter the percentage of how likely this sales opportunity will turn into an order. This is used to track your win percentage and rate of conversion. You can use the sliding bar to adjust the percentage if required.

Link to contact: This allows the contact linked directly to this sales opportunity to be selected. The contact details can be edited, and a new contact added.

New contact Added & Contact Amended: These checkboxes are manual checks for your use if required.

Current activity task: This allows an activity/task type to be added to the sales opportunity. This is updated when a new task is created.

Next Action date: Set from the activity type or enter the date as required

Opportunity category: These types are definable as required and can be assigned to the sales opportunity as a one-off type or as a workflow type indicating the current stage/status of the sales opportunity

Potential sales values and Costs: Enter the sales value and costs for this sales opportunity; if you enter product lines, this will be updated automatically when you save the entry.

License fee: Select the license fee type (literal can be changed to your use) from the defined list created under the Setup>Sales Opportunity menu functions.

License fee due: Select the license fee due type (literal can be changed to your use) from the defined list created under the Setup>Sales Opportunity menu functions.

External Reference: Enter an external reference as required.

Full Details: Enter the full details for this sales opportunity; this can be detailed on the opportunity, notes on what the customer is looking for and their requirements.


Formatted Details

Formatted Details

Formatted Details

 Previous topic Next topic

This screen can create a formatted note that can be included in your printed details. This differs from the Job Details, which are included on the email document option and are in plain text format only.

The formatted details tab includes standard basic text formatting capabilities, including font and size selection, font style (bold, italic), bullets, justification, copying, paste and spelling, and a link to the CRM thesaurus.

The data can be included on your printed form, using the forms designer rich text object.


Attachments

Attachments

Attachments

 Previous topic Next topic

The attachment tab allows you to attach documents related to the sales opportunity; if the document is on a mapped drive, the location will be converted to the UNC path. If you wish this document sent with the [Email Quote], then tick the Attach to Email check box.

The [Scan new document] button gives the functionality of scanning documents and saving the image to a folder, and attaching the document to the sales opportunity. When you can or add a new document, save the document to a location that is accessible for all required users.

The Open Selected button will open the document using the application associated with the document extension. If no application is associated, then the document will fail to open.


Status

Status

Status

 Previous topic Next topic

The status tab allows the current status of the sales opportunity; the status can be one of the following:

In progress - the sales opportunity is still in progress and waiting completely

Won - the sales opportunity has been won and turned into an order

Unsuccessful - the sales opportunity was not successful and did not turn into an order

Abandon - the sales opportunity was abandoned

Suspended - the sales opportunity has been suspended and may be re-opened at another time

Duplicate - the details have already been captured under another sales opportunity

Several reports give details on the current status and can be used to track the status of your sales opportunity and the percentage win rate.

The Completion Date will be available once the status has been changed from In Progress; this is the same as the Last Invoice No. field, which will show the last invoice created if you have multiple billing. The Actual Sales and Costs Values will be based on the invoices raised for the sales opportunity.


Product Charge Lines

PDi Spirit CRM for Pastel Partner Accounting

Product / Charge Lines

Product / Charge Lines

 Previous topic Next topic

Product / Charge Lines

 Previous topic Next topic

The product charge lines allow you to capture item codes, GL codes and remark lines used to build up your sales opportunity.

Line No: The value of this field is calculated based on the number of previously captured lines, can be overtyped if a change to the line order is required

Item Type: This can be one of 3 types Item Code, GL and remark. If the Item code is selected, you can use the CRM finder to display available product codes. If the GL code is selected, you can use a financial charge for the bill line. The Remark option allows you to enter a remark/description only line. This type of functionality is similar to the Pastel document line creation.

Several settings related to the functionality of PDi CRM are stored in the PDICRM.INI configuration, which is located in the systems user folder (see the About screen to locate your user folder, as it will depend on the version of your Windows operating system).

One of the settings within the configuration file determines whether the product lines should be validated. If this is turned off, you can enter a product code that doesn't exist within Pastel. Add the following key value to the Main_Desktop section of the configuration file.

[Main_Desktop]

Validate_Product=1

The above will ensure that only valid products, i.e. products within Pastel Partner, are entered; using the following value will turn this off, and any product code can be captured.

[Main_Desktop]

Validate_Product=0

NB: When changing the configuration file, please ensure that you have closed the PDi CRM application. Otherwise, your settings may be overwritten when the application closes.

Item Code: Enter the item code or GL code, or use the finder to select a valid code.

Enter a valid store code or use the finder to select a store code. If you are not using the store module of Pastel Partner, then this will be store code 001.

Description: Enter the description or remark line for the charge line.

U.O.M: Enter the unit of measure for the charge line; this will default from the item code if a Pastel Partner item code has been entered.

Quantity: Enter the quantity you quote for this product line and sales opportunity.

Unit Price: Enter the unit price of the item / GL code quoted for this product line.

Vat Code: Enter or select the TAX code applicable to this line; it will be defaulted by the product code entered or the customer’s tax processing rules.

Extended Price: This is a calculated value based on the Quantity multiplied by the Unit Price.

Home Value: This is calculated based on the extended price, and the exchange rate entered.

Cost Price: This will default to the current average cost for the selected product (if applicable); the value can be altered if required.

Total Cost: This is a calculated field based on the quantity multiplied by the cost price.

Profit and GP%: These are calculated based on the total cost and the extended price of the product line.

Invoiced: If this line has been invoiced, the box will be ticked; the sales opportunity process allows multiple invoices to be created from selected document lines.

If you have multiple remark lines to capture, then use the [Add multiple remark lines...] button to display a screen similar to the following:

Enter the required remark lines (limited to 40 characters per line, the same as Pastel Partner) and once you have completed, press the OK button to add these to your sales opportunity. Pressing the [Cancel] button will abort the process, and no remark lines will be added.

The [Set Expected Sales and Costs] button will update the sales and cost figures on the main details tab with the values from the current product charge lines. The figures will be updated when you save or return to the main details; this button can be used if you need the information updated sooner.

View Item Notes: Displays the PDi CRM additional notes for the selected item code.

Price Matrix: If the line should be linked to a price matrix type, allowing for multiple unit prices to be captured, then press this button

Item Prices: Displays all the Sage50c Pastel item pricing for the selected store

Set Expected Sales and costs: This will reset the unit pricing and costs back to the expected values, based on customer pricing and default price level.

Supplier Documents: Displays the purchase document generation function. See the supplier document for more information.


Price Matrix

Price Matrix

Price Matrix

 Previous topic Next topic

When the [Price Matrix...] button is pressed on a sales opportunity line, this screen will be displayed. Select a Matrix Name assigned to this sales opportunity line; this will set the heading names associated with the price matrix (see Setup Matrix Headings). The pricing for this product line can then be captured; the number of columns will depend on what was set up for the selected matrix name.

Sales opportunity reports can be adjusted to use the opportunity lines table linked to the price matrix allowing a simple price matrix quotation to be produced.


Sales Opportunity costs

Sales Opportunity costs

Sales Opportunity costs

 Previous topic Next topic

This tab allows you to capture costs that may have come from suppliers related to this sales opportunity, especially if the status has been turned in to win. As many costs as required can be entered; use the buttons below the grid to maintain the cost records for this sales opportunity.

If you double click the cost line, or press the [New Cost] or [Edit Cost] buttons, a screen similar to the following will be displayed.

Original cost: Enter the original cost quoted by the supplier.

Revised cost: Enter the revised cost if the supplier has altered the details

Exchange Rate: Enter the exchange rate if costs from the supplier are in a foreign currency

Markup %: Enter the markup percentage to achieve the required selling price

Selling Price: Overtype the selling price if you wish to alter or round.

Annual Lic. Fee: If the cost is subject to an annual license fee, enter the value here. This may also be an annual maintenance fee.

Projected quote to the client: Enter the projected quote for this portion of the project that has been passed on to the client

Quoted to client lic. fee: Enter the amount quoted to the client to cover the license fee cost from the supplier.

Invoiced to client: Enter the amount that has already been invoiced to the customer for this item/supplier cost.

Amount paid by client: Enter the customer’s amount already been paid.

Quoted by Supplier: Captured the amount quoted by the supplier.

Invoiced by Supplier: Enter the actual amount that the supplier has invoiced.

Paid to Supplier: Enter the actual amount that has been paid to the supplier.

Supplier Reference: Enter the Supplier reference for this supplier cost.

Supplier Invoice No.: Enter the supplier’s invoice number for this cost item.

Our Order-Nr. Enter the order number related to this document, which may be a sales order or invoice number.

Invoice No to client: Select or enter the invoice raised within Pastel Partner for this cost

Supplier Account: Enter the supplier account number for this cost entry.

Brief Details: Enter some brief details regarding this cost.


Linked Tasks

Linked Tasks

Linked Tasks

 Previous topic Next topic

These are Activities/Tasks directly linked back to the customer/prospect. Creating the activity here creates a direct link to the sales opportunity. It makes the activity available in the customer task view or the calendar view for the user responsible for the follow-up.

The process is the same as adding new activity/tasks to a customer, and the screen is the same as that of the customer/prospect/supplier activity screen (see Customer Activity / Task Details ).


Mini Activities

Mini Activities

Mini Activities

 Previous topic Next topic

This tab allows you to maintain Tasks / Activities that require completion this sales opportunity. This may be items that need completing to win the project or tasks that need to be completed now the opportunity has been won. Use the buttons below the grid to maintain the task details.

This screen gives access to creating and editing tasks linked to the sales opportunity.

Subject: Enter brief details relating to the Task / Activity; these will make it easier to process and locate the required task.

Start Date: Enter the date the task begins.

Due Date: Enter the date the task is due for completion.

Date Completed: If the Task is completed, set the completion date.

Status: Select the status of the Task

Priority: Select the Priority of the task

% Completed: Enter the percentage of how far along this task has been completed

Task completed: Tick this box if the task has been completed.

Notes: Enter full notes on the details of this task.


Invoice Documents

Invoice Documents

Invoice Documents

 Previous topic Next topic

The invoice documents screen lists all invoices that have been created from the sales opportunity invoice creation process. You can also add invoices that have been created within Pastel Partner and not from the Sales Opportunity module.

Use the buttons below the grid to add additional invoices and remove documents from the sales opportunity screen (it does not remove the document from Pastel). Press the [View Document] button or double click the required invoice number to view the document details.


Outlook Items

Outlook Items

Outlook Items

 Previous topic Next topic

The Outlook Items tab allows you to view all emails in the sales opportunities project folder. If you are not using Outlook or have not created a project folder within Outlook for this sales opportunity, nothing will be returned when you press the [Read Outlook Items] button.

To create a project folder within Outlook, press the [Outlook Project Folder] button; this will create a default folder name Projects and then a subfolder named Sales Opportunity Reference Number :: Opportunity Title, so using the sales opportunity below the subfolder would be named 00000001 :: Accounting Software request. You should ensure that this project name is not altered; otherwise, the outlook read items function will fail. You can then place emails relating to this project in the central location. The project folder will be created within your default outlook namespace and so should function even if you are using Microsoft Exchange to hold your Outlook data.


Email Quote

Email Quote

Email Quote

 Previous topic Next topic

This button will send a quote to the customer’s email address; the text used in the email can be altered via the language table. Any attachments you have flagged to be included in the email will also be added to the email message.

In this example, the email is sent via MAPI, and the user can interact with the email, i.e. alter it before the actual sending of the email.


Create Pastel Document

Create Pastel Document

Create Pastel Document

 Previous topic Next topic

The [Create Pastel Document] button will display a screen similar to the one shown below; this allows you to create either an Invoice, Sales Order or a quotation within Pastel. Select the lines you wish to transfer for this document and press the [Create document] to start the process. If any lines do not exist, they can be transferred as remark lines.

Once the process is completed, the created document number will be displayed, and you can then use Pastel Partner to make any adjustments, print and update the document. The created document will also be added to the invoices raised for the sales opportunity.

The function will also allow you to flag the sales opportunity as closed or leave it open so that more invoicing can be done from the remaining or newlines.

NB: A user can be limited to which documents they can create via the Setup user details screen.


Graphs

Graphs

Graphs

 Previous topic Next topic

The sales opportunity graphs show some simple pie charts for the following data.

In progress by the employee (Customer/prospect) shows the breakdown of sales opportunities assigned to individual employees, broken down by customers and prospects.

In progress by the employee - Shows the employee's breakdown of in progress opportunities, giving the totals by the employee.

Sales won by an employee between a given date - Will display the win sales totals by the employee; the start and end date can be captured to specify the transactions, including

Sales status created between a given date will give a breakdown of sales opportunities status between the starting and ending date.

Once the graph type has been selected, press the Build Chart button to display the required Pie Chart.

The graph can be saved using the Save Chart button to a graphic file for use within your presentation software. Formats include Tiff, GIF, PNG, Jpeg and BMP formats.


Average Percentage

Average Percentage

Average Percentage

 Previous topic Next topic

This shows a graphical representation of the average win percentage (as defined for each sales opportunity) for both open (in progress) and opportunities with the status of Won.

This example shows that our average win percentage (expectation) for open opportunities is 47%. Our average on won opportunities is 0%, indicating that we haven't won any of our sales opportunities yet.


Move on to next stage/step

Move on to next stage/step

Move on to next stage/step

 Previous topic Next topic

Suppose the sales opportunity category is used as a sequential stage indicator or stepping stone. This screen allows the user to move the selected opportunity to the next stage (based on the sequence number).

Select the sales opportunity to move on and press the Move On button to advance the category to the next category in the sequence. The sales opportunity can also be moved back using the Move back button.

The current category can also be moved on manually by selecting the current category as required.

The sales opportunity edit screen can also be called from this screen by using the Edit... button.

This screen only lists sales opportunities that are flagged as In-progress


Sales Opportunities Tasks

Sales Opportunities Tasks

Sales Opportunities Tasks

 Previous topic Next topic

This screen gives a list of open tasks for Sales Opportunities only. The entries can be maintained on the grid by clicking the [Edit] button to display the foremost sales opportunity tasks. New tasks can also be added using the [Add Task] button, which will display a finder containing open sales opportunities that the task is to be assigned.

Use the [Refresh list] to update the list of other users who have captured tasks since the view was opened.

See the Task Entry section of this document for further information on the fields available.


Duplicate Sales Opportunities

Duplicate Sales Opportunities

Duplicate Sales Opportunities

 Previous topic Next topic

This screen allows the user to duplicate the master information from an existing sales opportunity, including the main header, notes, attachments, product/charge lines and costing (if selected). Tasks will not be transferred as they relate to the earliest opportunity.

Select the sales opportunity to copy from (if selected from the main sales opportunity view screen, this will already be populated). Select the account type, or use the Charge to Account finder to select the customer or prospect account.

Duplicate cost records. If this is ticked, then the costs associated with the sales opportunity will also be transferred.

.

Once the correct and required settings have been made, press the [Create duplicate...] button to duplicate the sales opportunity to a new record with all the settings.

This enables you to use a sales opportunity as a basic template that can be added to as required.


Create Products in WooCommerce

Create Products in WooCommerce

Create Products in WooCommerce

 Previous topic Next topic

This function sends the products to WooCommerce, either simple or variant products. WooCommerce API integration must first be created within the WooCommerce (Word Press) setup, and then the API keys add to the setup within CRM (See CRM Options).

Simple products and variant products are terms from WooCommerce.

Simple products: These are a single level product code; this will create a one-to-one link between the Sage50c Pastel Item and the product within WooCommerce

Variant Product: This product may have different sizes or colours. As Pastel doesn't have this type of setup, we must create a link between the single items in Sage50c Pastel and a single product with variants in WooCommerce. This is achieved by first adding the First Variant. This is our top-level product; we then select items from Sage50c Pastel and then use the Add additional variant to get our different colours, sizes etc.

Item Code: Enter the item code or use the finder to select the product from Sage50c Pastel and then either add to the list as a Simple Product, Add First Variant or Additional Variant.

Before creating the products within WooCommerce, indicate whether the status of the products is Draft, Pending, Private or Publish. Only the essential information is created within WooCommerce, so you may want to create the new items as Pending so that additional information can be captured or images added.

Default option values: This section defines how stock quantities are calculated to show within the web store and the price list to send for each product (or variant) to the WooCommerce store.

Once all the required products have been added to the grid and the options selected, press the Create selected products in WooCommerce Store to start the process. Depending on the number of products and speed of the connection, and server specifications, this may take a while.

If any errors occur during the process, they will be displayed within the error column.


WooCommerce Stock / Price Transfer

WooCommerce Stock / Price Transfer

WooCommerce Stock / Price Transfer

 Previous topic Next topic

This function will load Sage50c Pastel inventory items that have already been mapped to WooCommerce and exist with the PDi CRM mapping tables.

Enter the item range to update WooCommerce by selecting the Item code range and Inventory Category range. Indicate which stores will be used to calculate the stock level and the Transfer price list. Press the Retrieve Pastel Products to load all the existing mapped products to the screen. Indicate which item codes to transfer and whether to update the stock and pricing by ticking the appropriate options.

Once all items have been selected and the values to update, press the Send selected updates to update the required stock items in WooCommerce.

Retrieve/update product id / SKU from WooCommerce - this function will load products from WooCommerce and attempt to map them to Pastel. All existing mappings will be deleted by checking the Clear out before retrieving the option. Retrieving product information WooCommerce can take some time, and SKU codes must already be matched within WooCommerce and Sage50c Pastel.


Create Sales Opportunities from WooCommerce Shop

Create Sales Opportunities from WooCommerce Shop

Create Sales Opportunities from WooCommerce Shop

 Previous topic Next topic

Orders can be retrieved from WooCommerce and create Sales Opportunities within PDi CRM. The Sales Opportunities can then be validated, printed and transferred to Sage50c Pastel as Orders or Invoices.

Select the WooCommerce shop to retrieve the orders from and the orders’ date; the date is used to ignore orders that are dated before the date specified. Press the Retrieve Orders button to retrieve all orders are the selected date.

The orders will be displayed in the grid; the header can be expanded to view the product lines linked to the order header. Indicate which orders should have a sales opportunity created and press the Create Sales Opportunities button.

Sales Opp Exists: This will be ticked if a sales opportunity is already linked to a WooCommerce shop order id. This will ensure that duplicate orders are not created unless that is required.

Create Sales Opp: Tick to have the process create a sales opportunity based on the order from WooCommerce.

Create Pastel A/c: If the WooCommerce customer ID is not linked to a Pastel account, the process will create automatically if this is ticked.

Pastel A/C: If linked to a Pastel account, the Pastel account will be displayed. If the Create Pastel A/C option is ticked and this field is blank, the Sage50c Pastel account will be created based on

the customer's name and the account number set within CRM Options.

Customer Name: This will be set based on the order retrieved from the WooCommerce shop.

Order status: Order status retrieved from WooCommerce.

Order Created and Modified: The date the order was initially created and then modified.

Totals: Order totals and date paid are also included.

When the order header is expanded, it will show the lines on the order retrieved. Select the lines to include on the Sales Opportunity.

Press the Create Sales Opportunities button to transfer the sales Order from WooCommerce to the PDi CRM Sales Opportunity module. Once the import is completed, a screen similar to the following will be displayed, showing the result of each order import.

If the WooCommerce orders are retrieved on the same date, the grid will indicate that the Sales Opportunity already exists and give the Sage50c Pastel customer account.


Calendar Task View

Calendar Task View

Calendar Task View

 Previous topic Next topic

The calendar task view gives a calendar style representation of tasks/activities linked to customers, prospects or suppliers.

The view shows a month calendar with days that contain activities to be completed with a red oval around them. The weekly task view contains the activities that need to be completed and assigned by date and time. If you have more than one activity in a given period, click on the column header to expand the day’s width and click again to reduce it.

Activities can also be clicked on to display the main Task / Activity window found within the Customer, Prospect and Supplier data views. The contact information display will be for the currently active task.

You can change the tasks to view using the drop list box of options; the available views are

All Open Activities

Your Open Activities

All activities opened or closed

All your activities opened or closed

All closed activities

All your closed activities

Even if you select to view available activities, you will not see activities/tasks as private if you are not assigned to them.

Tasks can also be filtered further by viewing tasks assigned to specific users and activity types using the linked drop-down box.

Click a task entry to view the basic information; double-clicking displays the Activity / Task main screen.


Task View

Task View

Task View

 Previous topic Next topic

The Task View gives a list of activities in a grid format; the grid is customisable in that you can change the order, size and group by the required columns. Certain information within the grid can also be edited, or the [View/Edit activity] button can be pushed to display the main Task / Activity entry screen.

The [Create Follow-up activity] button will close the currently selected activity and create a new activity transferring the required information; the new activity can be added to alter follow updates, users assigned etc.

The type of activities (i.e., whether you view open, closed, and all activities) can be changed using the drop-down list box; the date range of outstanding tasks can also be changed using the date range boxes.

The contact details for the active task can also be viewed above the grid; this is for reference only, and information cannot be altered within this screen.

This grid view can also be used to create new activity/tasks and print activity listings. If the task/activity code is assigned a colour, the type will be displayed with that colour.

The Task View grid can also be filtered by any column and tasks assigned to the user.


White board Task View

White board Task View

White board Task View

 Previous topic Next topic

The whiteboard task view will display the open tasks for all users ticked to be included in the whiteboard view.

The whiteboard view can be used on a separate screen and can be run from within the CRM application or using the optional separate application (crmwhiteboard.exe)

The view of the screen can be altered by moving the column, removing the columns with the customisation option, and the font and font size can also be altered by editing the PDICRM.INI located in the user's folder (c:\programdata\PDICRM if on Windows 7 or equivalent on other Windows versions). You can also access the INI settings for the whiteboard via the Help About and pressing the INI Settings button.

The columns can be resized, moved or removed from the customisation window (press the customisation button to display).

The number of minutes to refresh can also be changed to update the list with new and completed tasks as required.

I run from within PDi CRM; the screen is a parentless window and can be dragged onto another desktop (if you have more than one monitor attached).

Use the whiteboard view to highlight tasks that need to be completed by all staff or highlight jobs available to all staff to complete.


Service Documents

Service Documents

Service Documents

 Previous topic Next topic

Create service documents for a single serial number recording the required information. The following job number will be assigned automatically; there is also the ability to record an internal job number.

The labour cost will populate based on the currently active user or the default from the system options screen; record the number of hours worked if required.

The full notes section captures complete information regarding the service or repair, work carried out, tests run, etc.

The grid allows for the capture of item codes used on the service or repair and sundry costs and remarks.

The serial number is linked automatically when creating a service document from a task or activity. Otherwise, the serial number can be attached using the serial finder.

The card grid displays the attached serial number information to assign the correct serial number.

Link the contact type to the service document and the required account and contact details. Prospects can be linked to service documents, but it usually is customers. When creating a service document from a task or the customer account is set automatically.

Printing the service document can be designed to fit the requirements; the default shows the full details, costing lines, and the complete document notes captured.

Labour Rate is only used on service documents; repairs generated and billed to customers should have a financial line (or item code) added for the labour charge.

Pastel application: If the inventory journal does not exist for the user, a skeleton file needs to be copied to the Sage50c Pastel company folder; this can be found in the Sage50c Pastel application folder.

Posting Date: Enter the date that the inventory journal should be posted in Sage50c Pastel

Allocate sundry costs across item quantities: When ticked, the total sundry costs are equally divided across the physical item codes.

Post multiple service records: When ticked, a finder of open service documents is displayed, allowing service documents to be selected and transferred to the inventory journal batch.

The sidebar will show all open service/repair documents for the selected door, making it easier to find the documents to process. Multiple documents can also be linked to each service document, as with all document links; these can be local documents, cloud-sourced and outlook message store items.

Different documents can be created; use the PDi CRM document selector to choose which report to use and then press the Print Document button to generate. The layouts could be internal requisitions, labels or financial documents.


PDiTag Functions

PDiTag Functions

PDiTag Functions

 Previous topic Next topic

PDi CRM allows customers, suppliers and prospects to be tagged with user-definable codes that can be used to retrieve information, tasks, sales opportunities, sales figures, and create specific mailing documents.

Use the Select tags assigned to the account option, ticking the tags to include, then each of the panels has a Load matching button that will load all customers based on the selected tags. We NOT assigned option can be used to limit which data is loaded. For example, this could be, showing me all customers that have purchased during a given year but not flagged purchasing a particular product. Unlimited tags can be created and used to retrieve the required data.

Panels currently available

Search Companies / Contacts (including Suppliers | List customers, contacts and suppliers with the selected tag records. Selected records can then be tagged with new PDi Tag codes. Tasks can also be created for the selected records allowing for contact with customers, contacts and suppliers based on the tags used.
Customer Sales by Date | Lists all customer sales between the date specified for the customers that have the PDi Tag assigned to them. Selected companies can then be tagged with new PDi Tag records as required.
Top/Bottom x Customers | Lists the Top / Bottom n customers based on the selected tag records and the sales.
Top/Bottom x Products | List the Top / Bottom n products based on customers with the selected tag records. We may have a tag that indicates the Top N customers for a given year; the tag can then be used to retrieve all products that this group of customers purchased.
Sales Opportunities | List all sales opportunities between a given date for the selected rag records.
Tasks by Entry Date | List all activities/tasks (open or closed) for customers, contacts, and suppliers that have been flagged with the selected tags.
Tag Records | The panel allows new PDi tags to be created and used to assign new tasks to the selected records.

Using tags can extract statistical information and records beyond the standard customer categories, inventory categories and user-defined fields. What PDi Tags are created is up to you and maybe only relevant to your business. We can use PDi Tags in mail-outs and campaigns to select the required records.

Example

1. We don't select any PDi Tags (this will load all records as all customers, as we are asking for all records)

2. Load the TOP 50 customers for a date range of the given year

3. Create a new Tag SALESYYYY using the Tag Records panel YYYY = the current year

4. Select all TOP 50 customers and press the Tag selected records.

We now have all the top 50 customers for a given year and can use that to create follow up tasks or produce a campaign or mailshot specific to that tag code.


Purge Activities

Purge Activities

Purge Activities

 Previous topic Next topic

This function is a maintenance function that will allow the deletion of old activities marked as closed. Enter or select the date you wish to remove up to and including. The Entry date of the activity/task is used to determine whether the task/activity should be removed.

There is no compelling reason to removed old activities, as you may wish to keep them for historical purposes. But if you find that your database is growing out of control, then you can use this to remove such data.


Internal Products

Internal Products

Internal Products

 Previous topic Next topic

The Internal Products view screen will list all internal products that expire within the next seven days or all products irrespective of the expiry date. This can be used to see which client products are expiring and require renewing or new warranty/maintenance contracts. Double-click or use the [Edit] button to display the internal product maintenance screen.

The grid view can also be customised, allowing the columns to be moved and resized, and the information within the grid can be exported to Excel.


Block Customer Accounts

Block Customer Accounts

Block Customer Accounts

 Previous topic Next topic

The block customer accounts screen will display all your customer accounts, credit limit, whether they are over their credit limit and terms. The block flag can then be set manually as required. Individual customers can be blocked/unblocked and then transferred to pastel using the Update block status button.

The Block Wizard function can be used if a more automatic process is required.


Block Customer Wizard

Block Customer Wizard

Block Customer Wizard

 Previous topic Next topic

The wizard will give you a selection option to block or unblock the customers and automatically set them or create a mail merge option for the selected customers.

The welcome page is the starting place and lets you know which function you have requested and the chance to cancel before continuing.

Select the method required to load the customers that should be blocked or remove the block if already blocked.

1. Customer over credit limit - the customers whose balance is over the credit limit entered

2. Customer over terms - the customer is over their terms

3. Customers that are already blocked

4. Customers with a value in the current period + 1

5. Customers with a value in the current period + 2

6. Customers with a value in the current period + 3

7. Customers with a value in the current period + 4

8. Customers that have used n% of their credit limit. If this option is selected, then the Enter percentage value box will be displayed

The next screen will display all of the customers that meet the specified requirements.

Rows in the grid can then be selected and either set to Blocked or set to not blocked.

The final stage is to run the functions required.

1. Update all records based on the blocks / not block set

2. Update only the customers set to block

3. Update only the customers set to not blocked

4. Mail merge for the indicated records - the mail merge screen is loaded, and only the customers from the screen will be included


Customer Recurring Invoices

Customer Recurring Invoices

Customer Recurring Invoices

 Previous topic Next topic

Sage50c Pastel accounting allows for the creation of recurring invoices. This screen allows for a load of all recurring invoices linked to your Sage50c Pastel user ID.

Recurring Document Source - select which recurring documents to load - all of the current users’ recurring invoices

Document Date - Enter the date of the invoice documents to create

Order Ref - Enter the order reference, or leave it blank to use the recurring invoice order ref

Load Documents - this will populate the grid with the recurring invoices.

Abort documents - this will abort the process and clear the grid.

Create Invoices - Create invoices for the selected recurring invoices.

Indicate with documents to create invoices by ticking the Create Document check box. Once the invoices have been created, a detailed summary report can be generated. NB: The report can only be generated after creating the invoices. Once it has been created and the function has moved on, it will no longer be available.

The detailed and summary reports can be selected using the drop-down box to select the report layout to generate after the invoices have been created.

Highlight the required report and press the Hide button to close the screen.

Additional reports can be added to the list of reports using the [Add Report] button; the report can then be used during this and future recurring invoice generations.


Customer Sales

Customer Sales

Customer Sales

 Previous topic Next topic

This process gives a grid of customer sales showing this year, last year and variances, and if they Include quantities is checked, then the total units sold (this method takes longer as it needs to iterate through the document lines from Pastel).

The grid can be exported using the Export results to Excel. It can also be filtered and grouped (by dragging the relevant column to the section that says 'Drag a column header here to group by that column.'

The chart tab displays a chart of this year’s Sales and Last sales figure using the selected chart type, i.e., Pie diagram, line graph, area graph etc. The Data levels can be re-ordered by dragging into the required position and filtered on the first data level using the Select value drop-down list. If everything gets too much, the charts and data levels can be reset using the Reset chart Data groups/levels. Graphs can also be exported to a BITMAP image file for inclusion in your presentation.


Customer Budget by Item

Customer Budget by Item

Customer Budget by Item

 Previous topic Next topic

PDi CRM has the function of assigning budgets for customers at a product level. This set of menu functions allows the budgets to be maintained, updated, and actuals extracted from the Pastel.

Extraction and update of Actuals can be a lengthy process, so an external application is available (CRMActuals.exe) that can be used to retrieve actuals from Pastel Partner Accounting during the evening so as not to interfere with the general day business operations.


Maitain Customer Budgets

Maitain Customer Budgets

Maitain Customer Budgets

 Previous topic Next topic

The first screen allows you to limit / filter which accounts you wish to work on; this can be a single customer, a customer category range, sales rep/analysis code, and inventory code range and category range. Select either to work on all records, leaving the settings as shown, or use the finder and drop-down box to select the required value.

Maintain budgets for items sold only: If this is ticked, then the process will only add items to the customer budget table if the customer has purchased the item at any time, i.e., there is an entry in the Pastel Partner History Lines table if this is not ticked then every product that exists in the Pastel Inventory table. This method will create many items that the customer may never purchase.

Update Actuals: This will update the basic information held within PDI CRM from the values currently within the Pastel Partner History Lines. This function must be run regularly, either here or via the associated reports; this will ensure that the information shown on the reports is accurate. You can also use CRMACTUALS.EXE to update the actuals during the evening.

Press the [Next] button to begin the process. The system will first add missing item codes to the customer budget table, either all or just the one’s products have been sold for. Once this process has been completed, the actuals will be updated for the existing product codes.

Once the process has been completed, a list of customers with budgets to maintain within the specified parameters will be displayed. Select the customer and press the [Amend Budgets] to display the budgets screen for the selected customer, or press the [Back] button to return to the principal/first screen of the maintain customer budget wizard.

You can set the values as required, moving through the items with the nudge buttons or using the [Find Item] button. The [Clear All Budgets] button will clear all budgets back to zero, allowing you to restart from a clean record set.

The [Budgets as Actuals] button will set the budgets for the current product, based on either This Year, Last Year or Future periods.


Set Customer Budgets

Set Customer Budgets

Set Customer Budgets

 Previous topic Next topic

This function will allow you to create and update existing customer budgets

Account Range: Select the customer account range to limit the customer budget sets to work on

Customer Category Range: Select the customer category range to limit the customer budget sets to work on

Sales Analysis Range: Select the sales rep/analysis range to limit the customer budget sets to work on

Inventory Category Range: Select the inventory category range to limit the customer budget sets to work on

Item Code Range: Select the item code range to limit the customer budget sets to work on

Round Qty to x decimals: This can be a positive number to round to the number of decimal places or a negative number to round values to the nearest whole, tens, hundreds etc

Round Sales to x decimals: This can be a positive number to round to the number of decimal places, or a negative number to round values to the nearest whole, tens, hundreds etc

Refresh actuals and Validate Items: If this is ticked, the system will first refresh all actuals and enter empty budgets for any newly sold items. Refreshing actuals can take some time, and it is recommended that the CRMACTUALS.EXE application be used to schedule this process.

Unit Sales value defaults: This section allows the user to set how each sales value budget can be set; the This Year, Last Year and Future budget sets can be updated based on a previous budget set and increase (or decrease) by a given percentage.

Budgets can be set based on the following criteria.

Do Not Set: Skip setting this budget set

This Year Actuals

Last Year Actuals

This Year Budgets

Last Year Budgets

Future Year Budgets

Quantity value defaults: This section allows the user to show each quantity budget set can be updated. The settings are the same as with the Sales value defaults.

Set for periods: Select the period range that you wish to update budget sets for; you may wish to update the entire year or single months, quarters, set the periods as required

Set Sales based on SSP. This function will allow you to select specific item codes prices for each period and then update the sales in this year’s budget based on the budget quantities. The process will display a simple screen allowing you to capture product prices and then run the process to set the sales.

The grid can also be populated using the Import Excel File button from an Excel spreadsheet. The excel file should contain the item code in the first column and the prices for period 1 to period 13 in the subsequent columns.

Once the data has been captured as required, press the Set sales figures based on the SSP button to update this year’s sales budgets based on the budgeted quantity * the SSP for the period.


Year End Customer Budgets

Year End Customer Budgets

Year End Customer Budgets

 Previous topic Next topic

This process will year-end the customer budgets. The current year’s budgets will move to the last year’s budgets, and the future budgets will be set to the current year’s budgets. Please make sure that you have year-ended Pastel; this will ensure that the actuals are updated correctly.


Clear Empty Budgets

Clear Empty Budgets

Clear Empty Budgets

 Previous topic Next topic

This function will clear all records that have empty budgets. This means that This Year, Last Year and Future budget sets are empty.


Budget Values Only

Budget Values Only

Budget Values Only

 Previous topic Next topic

This method of customer budget is more simplified than budgeting at the customer level. It simply allows the user to specify a monthly sales budget and gross profit percentage if required.


Maintain Customer budget sales only

Maintain Customer budget sales only

Maintain Customer budget sales only

 Previous topic Next topic

The maintain customer budget screen allows the user to capture the monthly budgets and Gross Profit percentages for the selected customer range.

Select the customers to maintain based on the account range, customer category and sales rep associated with the default customer address. Once the settings have been made, press the Retrieve Customers to load the available customers into the drop-down selection list.

Use the Select Customer account to select a customer to capture budget information. If previous budgets exist, then they will be displayed.

The user can manually capture budgets for This Year, Last Year and the Future, or enter a total value and have the system equally spread the value across the periods. Each month can then be adjusted as required.

For each period, a Gross Profit Percentage can be selected, allowing the user to budget on the expected Gross Profit percentage and report on any variances.


Set Customer Budget Sales only

Set Customer Budget Sales only

Set Customer Budget Sales only

 Previous topic Next topic

This function is similar to the Set Customer Budgets for products; the difference is that it allows the user to set the monthly sales and GP% adjustments as required.

Select the range of customers to work on using the Account, Category and sales rep; the Period can also be set to indicate which values should be updated.

Set the rounding and how to set each budget type and the percentage increase (or decrease) values by. The process can also update the customer actuals during the process.


Maintain Prospect Budgets

Maintain Prospect Budgets

Maintain Prospect Budgets

 Previous topic Next topic

Monthly sales budgets can also be maintained for prospects. Select the Prospect range, using the prospect account number, the category and the sales rep code associated with the default contact address. Once the selections have been made, press the Retrieve Prospects button to start the retrieval process.

Use the Select prospect account to select a prospect to capture budget information. If previous budgets exist, then they will be displayed.

The user can manually capture budgets for This Year, Last Year and the Future, or enter a total value and have the system equally spread the value across the periods. Each month can then be adjusted as required.

A Gross profit Percentage can be selected for each period, allowing the user to budget on the expected Gross Profit percentage and report any variances.


Year end Sales budgets

Year end Sales budgets

Year end Sales budgets

 Previous topic Next topic

This process will include the year-end monthly sales budget values. The process will transfer current to last year’s and future to this year’s budgets. You should check that a Pastel year-end has been completed so that the new actuals are updated correctly.


Create Customer Pricing

Create Customer Pricing

Create Customer Pricing

 Previous topic Next topic

This process will create customer-specific pricing based on the Customer levels and inventory category discounts (defined within the customer category discounts screen).

Select the Customer account range, customer pricing levels and product categories to create pricing for. The store, rounding and expiry date can also be adjusted as required.

The Create Pricing button will start creating customer-specific product pricing based on the discount percentages and the selected selection range.

Once the process has been completed a second screen will appear giving the user the option to create a pricing file for the selected accounts and customer levels. The file created is a simple CSV (Comma separated values) file, containing the customer account number, item code, discount percentage, exclusive and inclusive pricing and the expiry date of the price (as shown below). This has been used in some cases for uploading to a web site store front that requires customer specific pricing.

"Account","Item_Code","Discount_%","Discounted_Excl","Discounted_Incl","Expire_Date"

"ABB029","ACC/LOC",5.0000,2850.0000,3249.0000,20120418

"ABB029","SOHO/200",5.0000,4626.5000,5274.2100,20120418

"ABB029","VEC/400",5.0000,3633.7500,4142.4800,20120418


Create Customer Pricing file

Create Customer Pricing file

Create Customer Pricing file

 Previous topic Next topic

This process will create a file containing the customer-specific prices for the given customer account range and customer levels. The file created is a simple CSV (Comma-separated values) file containing the customer account number, item code, discount percentage, exclusive and inclusive pricing and the expiry date of the price (as shown below). In some cases, this has been used for uploading to a website storefront that requires customer-specific pricing.

"Account","Item_Code","Discount_%","Discounted_Excl","Discounted_Incl","Expire_Date"

"ABB029","ACC/LOC",5.0000,2850.0000,3249.0000,20120418

"ABB029","SOHO/200",5.0000,4626.5000,5274.2100,20120418

"ABB029","VEC/400",5.0000,3633.7500,4142.4800,20120418


Delete customer prices

Delete customer prices

Delete customer prices

 Previous topic Next topic

This function will delete the customer-specific pricing for the customer account and level ranges.

Once the selections have been made, press the Delete customer pricing button to start the process and delete the specified pricing.


Customer category - additional discount

Customer category - additional discount

Customer category - additional discount

 Previous topic Next topic

PDi CRM can create pricing based on Sage50c Pastel Customer Categories and additional discounts.

The Update Categories button will populate the grid will the customer categories directly from Sage50c Pastel Accounting. Enter the additional discount used when creating the pricing by category. Categories are retrieved from the PDi CRM temporary data tables. If categories do not exist, use the Help > Update Pastel brief data to get the list up to date.


Maintain Customer / Category Pricing

Maintain Customer / Category Pricing

Maintain Customer / Category Pricing

 Previous topic Next topic

Customer / Category pricing function allows for the creation of pricing for Categories, or customers based on three pricing types

Test Entry | Creation of a pricing module for customers or categories with selected products to see the effect on GP% and additional discounts assigned to a customer category
Work in Progress | The creation of a pricing module that will most likely become a final price but needs to be completed
Final Price | The actual pricing module for customers or categories that will be transferred to Sage50c Pastel Accounting

The Finder will display a list of previous created pricing modules for either customers or categories. The existing pricing module can then be loaded by selecting and press the Load selected prices button

If a new pricing module is required, make the selections and press the Load pricing button to start new pricing. If a pricing module exists with the same settings, then it will be loaded.

Pricing type

Select either customer category or customer

Limit to Code

The PDi CRM finder will is linked based on the Pricing type selected. If categories, then Sage50c Pastel customer categories will be loaded; otherwise, Sage50c Pastel customers are loaded into the finder.

Price date range

Enter the range starting and expiry date for the pricing module

Price type

Select the pricing type from the available Test Entry, Work in Progress and Final Price

Press Load pricing. If an existing price module exists with the selected parameters, it will be loaded otherwise a new pricing module will be created

When loading a price module, the ability to load missing products can be automatically added to the grid. This will load all Sage50c Pastel products (not blocked). If the answer is No, then only previously added item codes will be displayed, and for a new pricing module, it will be empty.

Once loaded the main parameters will be disabled until the End Price Update is pressed and the next pricing module can be loaded.

Delete duplicates | Remove the additional lines with the same product, code, date range, pricing type, and status type. Only one record should exist for each parameter type.
Change date range | Changes the starting and expiry (ending) date for the currently loaded pricing module
Change price type | Allows the pricing module to be changed from Test to Work in Progress, or to Final

Once the price module is loaded, new lines and products can be added and the exclusive price set.

Delete | Deletes the currently active product line
Delete expired | Deletes all the product pricing where the end price is before the current system date
Delete All | Deletes all the product pricing lines.
Export to Excel | Export the pricing grid to Excel
Print Prices | Generates a report containing the pricing, costs, GP % and additional pricing
Customer Price List | Generates a report that can be supplied to customers. As with all PDi CRM reports, this can be formatted to include company logos and font style.


Transfer customer/category pricing to Sage50c Pastel

Transfer customer/category pricing to Sage50c Pastel

Transfer customer/category pricing to Sage50c Pastel

Previous topic Next topic

Transfers the final pricing for the customer/category codes selected to Sage50c Pastel accounting customer or category pricing tables.

Transfer for account type | Select either customer category or customer
Transfer for Codes | This will either be a range of customer categories or customer codes. If only a single pricing module was created, these two codes would be identical.
Transfer for Date range |

Only the final price types for the selected code range and date range will be transferred if creating prices based on a customer category, then only the Sage50c Pastel customers assigned to those categories will be included.


Customer web price import

Customer web price import

Customer web price import

 Previous topic Next topic

The customer web price import function will import prices from a specified file, creating specific pricing for the customer based on the file contents.

Select the file (with the correct format) to import and the expiry date to set for the customer-specific prices import.

The format of the file to be imported is as follows:

Delimiter, the field separating each field: |

Fields to be included and order

Customer Account Number

Inventory Group

Product Code

Selling Price multiplied by 100 (i.e., 1.00 = 100)

Example of a valid file format

A02|001|001PB-CAR|1135

A02|001|001PW-COM|1349

A02|001|001PB-COM|1710

A02|001|001P-SPEC-COM|1710

A02|002|002B|1981

A02|002|002-SPEC|1981

A02|002|002W|1710

A02|005|PK01|1800

A02|005|PK02|1800


Customer Tag/Task Wizard

Customer Tag/Task Wizard

Customer Tag/Task Wizard

 Previous topic Next topic

PDiTags is a way to extract information for specific customers, prospects or suppliers. PDiTags can then target tagged records with specific marketing and tasks assigned to users. The Tag/Task Wizard gives eleven fixed methods to Tag customers; the final method uses SQL statements available within the OLAP cubing module. The user-definable option expands the ability to tag customers beyond the default options given within PDi CRM.

Sales this year | Enter an amount range to filter customers that have sales between the given value for this year
Sales last year | Enter an amount range to filter customers that have sales for last year between the given range
Sales between a date range | Filter customers based on a sales value range for transactions between the given date range
Products last purchased | Filter customers that have purchased the selected products between the given date range. Sequential or random products can be selected using the standard Windows CTRL-click and CTRL shift keys.
Products not purchase | Filter customers that have not purchased products. This is a great way to tag customers and then contact them to purchase products or services that the customers have not purchased
Customers not purchased since | Filter customers that have not purchased since the date entered. Flagging the older customers and sending marketing information to reestablish buying patterns.
Customers outstanding balance | Sage50c Pastel ageing fields are updated when statements are generated; this information can then be used to filter customers based on the amount outstanding. Enter -1 in a balance to exclude that from the check
Customers assigned to a given activity / task | Filter customers based on the selected activity/tasks. If the Tasks are one-off, you can check for multiple tasks that may have been assigned to the tasks. For example, give me all customers that have been assigned to Account Department or Service Renewal or Visit Required. If the option is turned off, it will be all customers assigned Account Department and Service Renewal and Visit Required.
Customers not assigned to an activity / task | Filter customers that have not been assigned to an activity/task between the given date range. Again tasks can be filtered using the and option with Tasks is one-off
Customer Category types | Filter customers based on the customer category assigned. Multiple categories can be selected by checking the boxes as required.
Customers based on user defined fields | Customers can be filtered based on the Sage50c Pastel accounting user-defined fields attached to each customer. User-defined fields are text-based, so an alpha text range can be specified for each.
User definable (OLAP SQL Statements) | Filter customers based on a cube SQL statement that has previously been defined. Select the available OLAP-Cube source and complete any parameters that may be requested.

Once the method has been selected, and the [Next] button pressed, the matched customers will be loaded.

Create or use a previous task and assign the action to a user if an activity/task is created.

If tasks are to be created with the tagging, users can make calls and follow up as required. Press the Create Task Defaults to assign to customers to display the following screen and set the required information.

Once all settings have been made, press the [Create Tasks] and then the Finish button to complete the process, create tasks for the selected customers, and assign the new PDiTag.


Create Customers/Prospects from Email Messages

Create Customers/Prospects from Email Messages

Create Customers/Prospects from Email Messages

 Previous topic Next topic

When the PDiCRM service locates emails with the matching subject assigned to one of the form submission definitions, it will populate the email message table. This grid will display all emails waiting to be used to create customers or prospects.

Select the type of records to create, either customers or prospects and press the Load Messages button. The grid will load with all the records that have not been processed.

An individual record can be selected to "Process", or multiple records can be selected, and the [Turn "Process" on] or [Turn "Process" off] buttons are used to block select.

Set customer name to upper case | if ticked this will covert the customer name to upper case when the messages are loaded.
Separate customer name with | if for some reason you need the customer name separated with a particular character rather than a space, enter the character here.
Select task/activity code to create | if a task is required to be created for the user, then select the task code from the drop-down tree. To stop a task from being processed, delete the task text by pressing the [Del] key. This task can be used to follow up on the processed email form.
Action by user | Select the user that the task will be assigned to
Create account records | this function will create the customer or prospect records, assigning the mapped fields to the master and primary contact record. If an error occurs during the process, all records will be rolled back, and the reason message will be displayed.
Flag as already processed | this function will flag the selected records as processed and skip the creation process.
View previously processed | this function will display messages already processed between a given date range.
View original text | the original email body (in plain text) will be stored in the email forms table; this button will display that original text.


View Previously Processed Emails

View Previously Processed Emails

View Previously Processed Emails

 Previous topic Next topic

Processed customer/prospect emails will display all records previously processed between the given date range. Select the start and end date range and press the [Load] button. The [Filter] button can be used to filter the extracted records to another level.


Start Document Approval

Start Document Approval

Start Document Approval

 Previous topic Next topic

This process will start the approval process for the selected document.

Select the document type, the document number and the document flow that the document show take. The document flow is created via the setup menu and indicates the maximum approval value for each user and the relevant department.

Pressing the Create Document Approval Flow... button will create the document flow for the initial user and mark the document as on-hold. While it would typically be a supplier invoice that is marked for document approval, you can have document approval for any Pastel document, including credits, invoices, etc.


Document Approval

Document Approval

Document Approval

 Previous topic Next topic

This screen will list all documents that the currently logged in user has received a notification to approve.

Double-clicking on the relevant document allows the user to view the full document (either as a report or directly on screen). Click the Approve cell for the document line to approve and confirm that this document is ready for approval. The document approval will close the record and remove the 'On Hold' flag within the Pastel document


Open Sales Orders

Open Sales Orders

Open Sales Orders

 Previous topic Next topic

The screen will display all currently open and active sales orders with the detail lines expanded below. This can be used to see all open sales orders and create back-to-back supplier documents. Select a document and use the Generate Document button to display the Request for Quote or generate a Sage50c Pastel Purchase order .


Product Sales

Product Sales

Product Sales

 Previous topic Next topic

The product sales process allows the user to retrieve a list of sales based on a given item category range, Item code range and date range.

Once the selection criteria have been made, pressing the [Load Sales] button will populate the grid with the sales that match the criteria specified. Double-clicking on the grid allows either the document to be re-printed or the document details viewed to screen.

The grid can be exported to Excel for further comparison and manipulation.

The Charts tab allows the user to view the grid information in chart format (and export the chart to BMP format for inclusion within presentation documentation if required).

The chart can be formatted to show the required data, graph type, and value being graphed.

The information must be changed by dragging the required data level to the first position (the information can also be filtered by pressing the select value option).

The type of graph can also be changed by pressing the graph type and selecting the required format from the drop-down list. The available graphs include Column Diagram (vertical bar), Bar diagram (horizontal bar), Line diagram, Area Diagram and the Pie diagram.

The graph can also be customised by pressing the Customize chart, which allows the user to select the type of value to graph (for this graph, it can be Total Sales or unit Price) and the options for the graph, including the position of the legends, alignment, orientation, title positions etc.

Drill down on the graphs is also available, enabling the user to drill down to a graph of the products making up the item category sales and the customers who purchased the products, down to the sales codes. The order of the drill depends on the Data level order selected by the user. To return to the original graph (top-level), press the Reset chart data groups/levels to reset the information to the topmost level.


Product Purchases

Product Purchases

Product Purchases

 Previous topic Next topic

The screen will display all purchases based on the parameters entered, giving a complete list of the purchases in grid and chart format. The data can be exported to Excel and charts in BMP format.

Item Category | Specify the inventory item category range
Product Range | Enter the inventory item product range
Date Range | Enter the date range of the purchases
Include Inventory Journals | Tick to include inventory journals as well as purchases
Top Level Tags | Select the tags assigned to suppliers that products were purchased from. This allows purchases to be loaded based on a given tag, such as a special sale or particular product run.
Load Purchases | Generate the list of purchases based on the selected parameters
Export grid to Excel | Export all of the records in the grid to export
Export grid to HTML | Export the records of the grid to an HTML file
Reset Chart Data Groups | If the drill down has been used in the chart to view the information. This will reset the chart back to the top level of the data (Supplier)
Export to BMP | Exports the currently active chart to the BMP report
Expand All | Expand all groups
Collapse All | Collapse all groups


Document User Defined Fields

Document User Defined Fields

Document User Defined Fields

 Previous topic Next topic

Pastels document processing allows user-defined field information to be added to a document’s header. This screen allows the user to update the two fields specified within the CRM setup. Document user-defined fields.

The CRM Age Analysis / Statement report function uses the information within these fields.

NB: Please note this is a particular function and may not be available on all installs of CRM

The user can specify the Customer account range, document number range, date range and the document type to amend the specified user details. Once the selections have been made, pressing the Load button will populate the grid with the document header information based on the criteria specified.

The two end columns, in this case, the Org. Document No and Postal Receipt Date can then be updated, and the changes saved back to the Pastel Document Header User Defined Table (using the Save Changes button). Pressing the Cancel Changes will abort all changes and leave the Pastel data table not updated.


Sales Rep. Commission Percentages

Sales Rep. Commission Percentages

Sales Rep. Commission Percentages

 Previous topic Next topic

The Sales Rep Commission report by inventory category uses the commission % entered within this wizard for each sales rep code.

Enter or use the PDi CRM finder to locate the required Sales rep code and then Next view the inventory categories within Pastel and then capture the commission %.


Maintain Sales Code Budgets

Maintain Sales Code Budgets

Maintain Sales Code Budgets

 Previous topic Next topic

PDi CRM can report on budgets by Sales Codes against actual sales from Sage50c Pastel. The maintenance screen will allow for the budgets for this year, last year, and future years to be maintained. Budgets can be maintained for actual quantities and actual sales.

Sales code start | Enter or use the finder to select the sales rep analysis code
Sales code end | Enter or use the finder to select the sales rep analysis code
Retrieve Budgets | Press to load the budgets for the selected sales rep analysis code range.
Select sales code to maintain | The drop-down list will be populated with the sales rep analysis codes based on the selection made. Select the sales rep description to maintain. The grid will be loaded with the quantity and sales budgets for each period this year, last year and the future.
Save | Save changes to budgets
Cancel | Cancel any changes and revert
Clear Figures | Clear all figures and start from zero
Set Values to apply | The quantity or sales values can be set based on a single value divided between the 12 periods. Select the value type to apply (quantity or sales) and enter the value to spread across either This Year, Last Year or Future balances. Press the [GO] button to apply the values across the required columns.


Set Sales Codes Budgets

Set Sales Codes Budgets

Set Sales Codes Budgets

 Previous topic Next topic

Sales code budgets can be set by increasing Actuals, Budgets or skipping the values and do not update.

Sales Code range | Enter or use the finder to select the range of sales rep codes to work on.
Set for Periods | Set which periods should be updated 1 to 13
Round quantity | Enter the number of decimals to round updated quantities to
Round Sales | Enter the number of decimals to round updated sales to
Re-generate sales code actuals | CRM has to extract actual sales from Sage50c Pastel; use this option to regenerate the sales automatically, mainly if an automatic method is not being used.
Set Qty Budgets | Select how to update the quantity budget for each budget set. This can be one of the following This year’s actuals, Last Year’s actuals, This Year’s Budgets, Last Year’s Budgets, Future Budgets, and enter the percentage value to increase by (a negative will decrease the budget amount)
Set Sales Budgets | Select how to update the sales budget for each budget set. This can be one of the following This year’s actuals, Last Year’s actuals, This Year’s Budgets, Last Year’s Budgets, Future Budgets, and enter the percentage value to increase by (a negative will decrease the budget amount)
Start | Once all parameters have been set, press the Start button to commence the process. Depending on the number of sales rep codes to process and the number of sales, this process may take a while.


Year End Sales Budgets

Year End Sales Budgets

Year End Sales Budgets

 Previous topic Next topic

This process will complete the year-end for sales rep code sales and quantities. This Year will move to Last Year, and the future budgets will be transferred to the This Year’s budgets. The actual quantities can be regenerated after the Sage50c Pastel Year-end has been completed.


Reporting

Reporting

Reporting

 Previous topic Next topic

CRM includes its built-in report designer; this allows existing reports to be altered to fit your required layout. External data sources can be added to extend the available data on the reports.

Each report screen allows the users to add additional reports to run other than the default report (if no report is selected, the default report will be run). Reports must be based on the original as the report screen will expect specific parameters and data sources to be available. However, the report designer does allow the user to add additional data sources to extend linked data.

Select the report from the available list and press the [Start report] button to use a different report from the default.

Add User report - this screen will be displayed when the Add Report button is pressed; the report can be linked to your own CRM User ID or available to all users. As PDi CRM includes alternative languages, the report can also be linked to a unique language code.


Mailing Labels

Mailing Labels

Mailing Labels

 Previous topic Next topic

Generate mailing labels in the format that is required using the mailing label's function and the PDi CRM inbuilt forms designer

Print labels for | Select which master data to use for the mailing labels Customers, Prospects or Suppliers
Account code range | Enter or use the finder to select the account code range
Category | Select the category range to filter the selected customer, prospect or supplier records
Analysis / sales code | Enter or use the finder to select the sales analysis / rep code
Label layout report file | Select the label layout to use
Order labels | Select the order the labels will be generated Company Name, Account Nr, Postal Address 1-5, Delivery Address 1-5
Report destination | Select the report destination
 | Once the selections have been made press the Start Report button to continue


Mail Merge address records

Mail Merge address records

Mail Merge address records

 Previous topic Next topic

This screen allows you to select which contacts (customers, prospects and suppliers) to include mail-merge.

Indicate which records the criteria should be applied against. The criteria can then be used to limit the records that are returned.

Accounts to apply | Select which accounts the filter will be applied against Load customers, Load prospects or Load suppliers
Account code range | The account code starting and ending range that should be filtered
Address 1 - 5 | The returned data can be filtered based on the address details; if you have captured addresses in a specific way, you can filter on the town, country, and postal code if your addresses are captured correctly.
Sales Category | For customer and prospects, you can limit based on the sales category code assigned
Purchase Category | For suppliers you can limit based on the purchase category code assigned

Once the selections have been made, press the Load Accounts button to retrieve all the account details that match your entries. Once the records have been retrieved, the records can be limited further based on sales, user-defined contact codes etc.

The number of records included in the mail merge is displayed in the green indicator.

If required, the user can select that the mail merge is recorded as an event for future follow-up. Tick the Record mail merge event check box and complete the available fields as required.

Subject: Brief details of the event for quick reference within a grid view

Activity type: Select the activity type this activity/event should be assigned to

Follow up on: Enter the date that this event should be followed up on; if the No Follow up required is not ticked:

Notes: Enter any generic follow-up notes as required; for example, this could include details of the purpose of the mail merge

Internal Letter Layout

This function will generate a mail merge with the selected records using a PDI Internal Report layout. This can be easier to generate than a Mail Merge if you have Word and security settings issues.

Report name: Select the FR3 (PDI Report layout) file you wish to use in the mail merge. Using the Design button, you can use the crmMerge_letter.fr3 as a starting point and make changes as required. This will load the report in the designer, allowing you to change the text of the letter, layout etc.

Save PDF output: Enter the PDF filename that you wish to save the output to

[Design internal letter/label...] - this will allow you to create and design the required labels or letters to be sent to the mail-merge list

[Start mail merge Internal letter...] - this will start the process of creating the letter based on the selected customers

HTML Email

This section allows you to send an HTML email - this is only available when you send emails via SMTP.

Email Subject - Enter the subject that should appear in the emails

HTML Layout - This should be created using your favourite HTML designer. You can include images and variables available to the mail-merge to customise and personalise your mail-out (See the Email Variables tab)

[Add Attachment] - add attachments that you wish to include in the email

[Start Email merge] - this will start the process of sending the email merge

Plain Text Email

This section allows you to send a plain text email using your MAPI client. This will only be available if you are not sending emails via SMTP.

Email message: Select the file containing the plain text email you wish to send. This can include variables to customise and personalise your mail-out (see the Email Variables tab)

Email subject: Enter the email subject that you wish to appear on the emails

[Design/Load plain email text...] - this will load the filename entered in the email message box, allowing you to edit the layout and add the required variables

[Start Email merge] - this will start the process of sending the email merge

[Add Attachment] - add attachments that you wish to include in the email

Email Message plain text

This screen is displayed when the [Design/load plain email text...] button is pressed. Enter your text as required, and insert the Contact variables as required. If you are processing it as HTML files, this can be a pure HTML file, including the merge variables as required. We recommend creating your HTML output within an HTML designer and then copying and pasting the HTML into the email message.

When creating a HTML Document, we recommend that you only include the <html><body></body></html> tags, the normal HTML format will include a <head></head> section which can cause problems when the email is received in clients such as Outlook. Limit CSS styles to a minimum as some email clients will block the email completely. Keep images external, and make good use of tables for layout design, as not all email clients will read your CSS files correctly.

Email Variables

This tab will list all the available codes used within the HTML and Plain emails.

NB: Please note that with version 4.4.0.3, variable fields changed from <<Field>> to {%Field%}


Age Analysis/Statement Reporting

Age Analysis/Statement Reporting

Age Analysis/Statement Reporting

 Previous topic Next topic

The Age Analysis / Statement report is a special report that may not be available to all installed versions. The reports are linked to the User Defined document field set up process and will not function if this is not completed.

To execute these reports, data must be retrieved from Pastel’s open item table, allowing for updating allocation information held with CRM.

Retrieve / Update transactions: This process will retrieve the transactions and update all allocations, ensuring that the reported transactions will be up to date.

Clear fully allocated transactions: This will remove the full allocated transactions from the transaction file, reducing the size and making the reporting process quicker.

Clear all records on retrieval: if this is ticked, all existing transactions will be deleted before retrieving. This will ensure that no erroneous transactions exist within the reporting table.

Make the selections to produce the required report.

Report producing: Select either the Age Analysis style or statement style report. If the statement style report is selected, some options will not be available. Including a Separate page for each sales code, Report Type, suppress individual transactions and note types.

Report Date: Enter the date of the report; this will determine the ageing of outstanding values

Account number range: Enter the starting or ending account number to produce the required report against

Sales analysis range: Enter the starting or ending sales analysis code range to produce the report against

Customer category: Select the starting and ending customer category range to produce the report against

Separate page for each sales code: If this is ticked, then each salesperson(s) / analysis code will appear on separate pages

Report type: Select the age analysis report to produce; this can either be a Standard Report or an Age analysis grouped by sales code.

Suppress individual transactions: If this is ticked, then only the outstanding period balances will be displayed; if left not ticked, all outstanding individual transactions will be included in the report.

Statement message: If you are printing a statement style report, this message can be added to the report design. Enter the message you wish to appear on the statement; this may be general information, special comments to all clients, notifications etc.

Note types: If you are printing an age analysis style report, you can indicate which note types (activity types) should be included on the note. This makes the valuable report for credit chasing, giving the user of the last notes/comments for each customer.

Once the required selections have been made, press the [Start Report] button to begin the report creation process.


Document Printing

Document Printing

Document Printing

 Previous topic Next topic

This process will allow the creation of documents using the CRM internal report designer (several examples have been included).

Select the Print document type to generate and then the method to produce the documents, either by Document range or the document status (Unposted/Posted) and the date range to produce.

The destination and document layout to generate can also be selected, either the main document, the supporting (or alternative document), and a printed document summary.

For each type, the destination of the report can also be selected, including Window, Printer, PDF (all as one PDF) or Email PDF to each of the recipients.

If you intend to create a PDF document for emailing, you should make sure that you use a standard font across all operating systems. Otherwise, the recipient may not be able to view the PDF correctly.

Several example reports have been included, based on the Pastel Style layout and various combinations of layouts. Use one of the pre-defined styles as the beginning of your customised layout.


Customer age analysis

Customer age analysis

Customer age analysis

 Previous topic Next topic

This standard age analysis allows a standard (forward balance style) age analysis and includes call notes from prior account chasing.

The user should make the required selections for the customers to include on the report, the report date to indicate the ageing and the activity types on the age analysis.

The age analysis will show the note types selected for each customer, the aged outstanding values (based on the report date selected).


Customers Created

Customers Created

Customers Created

 Previous topic Next topic

The report generated will list all customers created in Sage50c Pastel between the given date range. Enter the date range, select the report destination and report file, and press the Start report button to generate the output.


Customer information sheet

Customer information sheet

Customer information sheet

 Previous topic Next topic

This report can be generated for a single or range of customers giving information about the customer. The report also includes the top x products sold (based on the setting made); select the date range for the documents to be listed.

The report will display the main customer information including

Main postal address

Credit limit

Last Credit Date

Currency

Category

Sales this year and last

Last ageing based on last Pastel statement

Top x number of products

Price List

VAT Reference

User defined field settings

Additional contact information

Contact history for the client

Example of the first page of the report


Customer listing

Customer listing

Customer listing

 Previous topic Next topic

The customer listing report generates a list of the customer’s main postal address and additional contact information (one customer per page (or multiples)).

If they Include Tasks/Activities also ticked, open or closed notes can also be included on the report.

Filter the report based on the selections available, including customer account range, category range and user-defined field settings.


Customer Order regularity

Customer Order regularity

Customer Order regularity

 Previous topic Next topic

The customer order regularity report creates a simple statistical report allowing for further analysis within the organisation. The report allows the user to limit the customers based on customer category range and sales code range and exclude customers already blocked within Partner Accounting.

The report can then be grouped by Customer category or sales analysis code to give a breakdown required at the higher level.

Set the number of days since a customer’s invoice to mark that customer as inactive on the final report.

The report will display the following information, extracted from the Partner History tables (so if you clear history, this may not be a complete snapshot)

The date the first invoice was received, the total number of invoices raised against the customer, the total days they have been a customer, and the average number of days between orders.

The report also gives the total invoice value, the average total invoice value, and the last invoice posted against the customer's account. The number of credits and credit values are also included to see if there is an issue with customer performance. If the current date is based on the number of days since the last invoice was posted, the customer will be flagged as Not active.

The report can look at customer loyalty, issues within specific customer categories, or sales analysis codes. If you use sales analysis codes to track advertising, you can see the result of orders from a given advertising campaign.


Email Customer Price List

Email Customer Price List

Email Customer Price List

 Previous topic Next topic

Generate formatted price lists and email to the required customers

Customer account range | Enter or select the customer range to generate and email pricing
Product code range | Enter the product range to include on the price-lists
Inventory Category | Enter or select the category range to limit which products are included in the price list
Email contacts with job title | To limit the customers further, select the Job title to send the price list to
Preview | Preview the output of the report
Email price lists | Send the price list as email to the filtered customers
Email Text | Display a text box to enter the email text sent with the email. The subject and body text can include the contact name and email address.


Accumulated budget report

Accumulated budget report

Accumulated budget report

 Previous topic Next topic

The accumulated budget report has two versions, the Accumulated Budgets by Sales Rep and Customer and the Accumulated Budget by Inventory Category and Product; select the required report to produce using the Report type drop-down list.

Use the report filter options to limit the reported data, including Account Number, Category, Sales rep code, Item category, Item code and the Period Rage.

We recommend using the PDI Spirit Report format, as this will generate quicker.

Refresh Actuals - tick this box if you wish the actuals to be updated before the report is run. You should use the Actuals update application (crmactuals.exe), running overnight, always to have the latest actuals.

Refresh pastel Report link: CRM has some simple master tables that contain essential information (i.e. descriptions) for customers, categories, products, sales codes etc. If you find that descriptions are missing, you can press this button to update the tables. Depending on the size of your Pastel data will determine how long it takes to refresh the report data. We recommend that one user has the Load_Brief_ReportData_OnStartup setting set on so that when the user starts CRM, it automatically updates the Brief Reporting data.

The brief reporting data can also be updated from the Help menu.

The example report below shows the accumulated budget, actuals and variance report by Sales Analysis code.

Accumulated Budget Report - Example

Accumulated Budget Report - Example


Customer budget report

Customer budget report

Customer budget report

 Previous topic Next topic

Filter the data you wish to include on the report by setting the ranges for Customer Account, Customer Category, Sales Rep (Analysis) code, Item Category and Item code range.

Report Type: The customer budget report has two main reports, Budget This Year / Last Year Month to Date or Actuals -v- Budgets Monthly.

Depending on the report type will determine what Budget types will be available. If you have selected the Actuals -v- Budgets Monthly report type, then you can select the budget type from This Year (Sales), Last Year (Sales), Future (Sales), This Year (Qty), Last Year (Qty), and Future (Qty).

If the other type of report is selected, then you can set the Month to Date and limit which items are shown either the Value % Variance is more significant than a certain amount or the Qty % Variance greater than the amount specified.

Group Order: Select the grouping on the report; this can be by Customer, Customer Category, Sales Rep or Product Category.

Summary Report: If a summary only reports is required, then tick this and the report will hide all the details and leave the totals for the selected grouping order. The summary report is only available for the Actuals-v-Budgets monthly report type.

Refresh Actuals - tick this box if you wish the actuals to be updated before the report is run. You should use the Actuals update application (crmactuals.exe), running overnight, always to have the latest actuals.

Refresh pastel Report link: CRM has some simple master tables that contain essential information (i.e., descriptions) for customers, categories, products, sales codes etc. If you find that descriptions are missing, you can press this button to update the tables. Depending on the size of your Pastel data will determine how long it takes to refresh the report data. We recommend that one user has the Load_Brief_ReportData_OnStartup setting set on so that when the user starts CRM, it automatically updates the Brief Reporting data.

The brief reporting data can also be updated from the Help menu.

Customer Budgets report Actuals -v- Budget Monthly

Customer Budgets report Actuals -v- Budget Monthly


Customer calendar year budget

Customer calendar year budget

Customer calendar year budget

 Previous topic Next topic

The calendar year budget report allows a report based on a calendar year comparison rather than a fiscal year. Enter the starting date of the calendar year (always January 1st of the selected year).

Limit the report by customer account range, Customer category and sales rep code (analysis). Press the [Start Report] button to view the report; an example is shown below.

Calendar Year Actuals / Budget

Calendar Year Actuals / Budget


Customer Sales Budget Report

Customer Sales Budget Report

Customer Sales Budget Report

 Previous topic Next topic

As not every user will need budgeting at the customer item level, CRM also allows for the creation of monthly budgets only.

The data being reported can limit by selecting an Account Range, Customer Category and Sales Rep (analysis) code.

The budget type can be one of the following: This Year Monthly, This Year to Date, Last Year Monthly, Last Year to Date, and setting the Period to report on.

The report can also be printed in a Summary format showing all the totals, but with the ability to include category details if required.

The Refresh Actuals option allows the actual monthly values to be updated before generating the report.

If budgets for prospects are being maintained, those can also be included in the report.


Customer 12 Month Budget Report

Customer 12 Month Budget Report

Customer 12 Month Budget Report

 Previous topic Next topic

This function will generate a 12-month report for the selected Account number, Customer Category and Sales Rep (Analysis) code.

The budget types reported can be This Year Budgets -v- Actuals, Last Year Budgets -v- Actuals or Future Budgets Only.

If prospects are also being maintained with budgets (only), they can be included in the report.

The Refresh Actuals option will update the actual customer figures from Pastel before running the report.

Monthly Budget Sales examples

Monthly Budget Sales examples


Prospect Listing

Prospect Listing

Prospect Listing

 Previous topic Next topic

The prospect listing report lists the prospect’s main postal address and additional contact information (one prospect per page (or multiples)).

If the Include Tasks/Activities is also ticked, open or closed notes can also be included in the report.

Filter the report based on the selections available, including prospect account range, category range and user-defined field settings.


Prospect Sales Budget Report

Prospect Sales Budget Report

Prospect Sales Budget Report

 Previous topic Next topic

The prospect sales budget report will show the budgeted Sales and GP% only. The reporting data can be filtered based on the Prospect range, Category and Sales rep (analysis) code. The report can only be generated based on a given period and printed in summary mode if required. As this report is for prospects only, no actuals can be included.

Monthly Prospect Budget Report

Monthly Prospect Budget Report


Prospect 12 Month Budget

Prospect 12 Month Budget

Prospect 12 Month Budget

 Previous topic Next topic

The prospect 12-month budget report will generate a 12-month column report for the selected Account, Category and Sales Rep (analysis) code report. The report can be produced for This Year, Last Year, or Future budgets. As this is the prospect only report, no actuals can be included in the report.

Prospect 12 Monthly Sales Report

Prospect 12 Monthly Sales Report


Internal Product List

Internal Product List

Internal Product List

 Previous topic Next topic

This report will generate a list of internal products expiring between the given date range. The report can also be filtered based on the account number, product groups and internal products. The report can be grouped either by Account or by Product Group.

This report can be used to keep track of internal products that are expiring or could be leased that are expiring, or contracts that are due for renewal. Just because it says 'Internal Products' does not mean it is limited to that.

CRM Internal List

CRM Internal List


Product Catalogue

Product Catalogue

Product Catalogue

 Previous topic Next topic

This report will create a simple product catalogue including images, details and pricing. A screen similar to the following will be displayed when this function has been selected.

The report can be filtered on an item code range and an inventory category range using the finders to limit the specific products.

The report can include any of the Pastel price regimes and select a price to default the internal report price variable to.

Once the required selections have been made, press the [Start Report] to generate the report.

The default layout includes a cover page and basic contents that include active links when viewed in the window. The layout can be altered to include the required fields using the internal report designer, as with all the CRM reports.

The SQL statement used to generate the report can also be overridden by creating an SQL statement file named sql_productcat.sql within the \pdireports folder (see the sql_productcat_ex.sql file for an example). The statement must include the WHERE statement with the %s indicator to set the required SQL "where" component. For example, the user can add to the default where a statement by adding an AND statement.

WHERE %s and A.BLOCKED=0

This will add the checking of the inventory blocked value to the default where the statement is applied.


Serial History

Serial History

Serial History

 Previous topic Next topic

A serial number history report generates a document of the complete serial number details, the service documents, and the serial number’s assigned tasks.

The report can be limited by setting the starting and ending item code and store and transaction dates.


Serial Next Service

Serial Next Service

Serial Next Service

 Previous topic Next topic

The following serial number service will generate a list of all the serial numbers that have a service due between the dates entered. The report can also be limited based on item and store code ranges.


Serial No(s) assigned to Task

Serial No(s) assigned to Task

Serial No(s) assigned to Task

 Previous topic Next topic

Serial numbers assigned to the tasks report list all serial numbers for the selected date, item, store, and serial number range. The report can also be limited based on the task status and the status assigned to the task entry itself.


Call List

Call List

Call List

 Previous topic Next topic

The call list allows the user to generate a report of outstanding tasks for the action date selected and include open tasks/activities before the selected action date.

The report can also be filtered based on the user ID assigned for action, allowing single users’ open activities to be printed for a range of users.

Each user’s transactions will be included on a separate page; the private notes will not be included on the activity report.


Products assigned to Tasks

Products assigned to Tasks

Products assigned to Tasks

 Previous topic Next topic

This report will list activities that have the selected product range. The report can highlight issues with products/services within your organisation. It gives a more apparent breakdown of products with products or credit requests.

Select the activity types (specific ones can be defined for this purpose) and the product range to print. The date range will default to the current month but can be changed by entering the date or using the drop-down calendar to select a wider range of activities.

The report can be grouped by Activity type, and then product or the report can be run in Product order and then activity; select the option using the order sequence.


Task Listing

Task Listing

Task Listing

 Previous topic Next topic

The Task /Activity Listing report will generate a list of activities based on the selections made.

Enter the account number range, indicate whether this range covers all account types, customers, prospects or suppliers only and the activity status type (open or closed).

Specify the activity type range and the date the notes were created. Check this box if you only wish to print notes assigned to you for follow-up.

If you print all notes, if a note is private, it will not be listed unless you are the person linked for the follow-up.


Sales Code Commission by Category

Sales Code Commission by Category

Sales Code Commission by Category

 Previous topic Next topic

Generate the commission report for Sales codes based on the commission percentage and the filters applied , and the filters applied.

Sales date range | Enter the date range of sales to generate commissions figures
Sales code range | Enter or use the finder to select the sales rep analysis code
Customer range | Enter or use the finder to select the customer range to calculate sales history
Report type | Select the report type Summary by sales person Summary by sales person / customer Summary by sales person / item Summary by sales person / inventory category Detailed by sales person Detailed by customer


Sales Code Budget Report

Sales Code Budget Report

Sales Code Budget Report

 Previous topic Next topic

Generate budget reports based on sales code and budgets and actuals previously captured.

Sales analysis code range | Enter or use the finder to select the sales code to report on
Report type | Select the report type to product This Year Actuals -v- Budgets, Last Year Actuals -v- Budgets, Future Budgets Qty Only
Values to include | Select the values to include on the report Sales, Qty or Profit
Report Layout | Select the report layout to use 12 Month budget report, Single period and year to date
Period nr for current period | Select the period number if using the single period option
Refresh actuals | If the automatic refresh is not being used, then check the box to regenerate actuals. Tick the Force complete regenerate to remove all prior actuals and start from the beginning.
Report Destination | Select the destination of the report output


Summary List

Summary List

Summary List

 Previous topic Next topic

This will generate a summary list of all sales opportunities (if none are selected) or just a summary list of selected sales opportunities.

Default report layout

Default report layout


Full Listing

Full Listing

Full Listing

 Previous topic Next topic

The full listing report will give you a report of the full details of the selected sales opportunities based on the customer/prospect range and sales opportunity reference number range. If no sales status details are selected, then all opportunities, irrespective of the status; otherwise, only the sales opportunities with the selected status will be included in the final report.

Full listing Default Report

Full listing Default Report


Expected / Variance

Expected / Variance

Expected / Variance

 Previous topic Next topic

The expected / variance report will show the expected sales and actual sales based on the customer/prospect range and date range (this will either be the starting or completion date). If no sales status details are selected, then all opportunities, irrespective of the status; otherwise, only the sales opportunities with the selected status will be included in the final report.

Sales Opportunity Expected / Variance Default report

Sales Opportunity Expected / Variance Default report


Forecast by Employee

Forecast by Employee

Forecast by Employee

 Previous topic Next topic

The sales opportunity report will give you a list of outstanding sales opportunities grouped by the employee. The In Progress sales opportunities are the only records included within this report. Select the employee (users) you wish to include in the report and indicate whether they shop to be kept to their pages (for easier distribution).

Default report for Sales Opportunity by Employee

Default report for Sales Opportunity by Employee


Over Due

Over Due

Over Due

 Previous topic Next topic

This sales opportunity report will list all transactions with an estimated closed date before the expected date entered. The report can be filtered by user and limited to a single employee by page (for easier distribution). Only the sales opportunities flagged as in In-progress and still open are included in the report data.

Over due default report

Over due default report


Funnel by Responsible person

Funnel by Responsible person

Funnel by Responsible person

Previous topic Next topic

Display a funnel style report to show the status of all the selected users.

Person responsible | Select the responsible user range to generate the sales funnel with
Created date range | Enter the range to select the sales opportunity to report on
Report Destination | If printing the graph select the destination of the output
Start Report | Will use the generated graph in the selected report
Display Chart | Generate the chart based on the parameters entered


Forecast by Sales Code

Forecast by Sales Code

Forecast by Sales Code

 Previous topic Next topic

Generate a forecast report for in-progress sales opportunities and the selected sales code range

Sales code range | Enter or use the finder to select the range of sales codes to report on
One sales code per page | Tick to create a page per sales code
Report Destination | Select the report destination of the report


Overdue by Sales Code

Overdue by Sales Code

Overdue by Sales Code

 Previous topic Next topic

Generate a report of sales opportunities that should have been completed before the date entered.

Sales code range | Enter or use the finder to select the range of sales codes to report on
All open opportunities | Enter the date to include all in-progress sales opportunities that should have been completed before the date.
One sales code per page | Tick to create a page per sales code


Funnel by Sales Code

Funnel by Sales Code

Funnel by Sales Code

 Previous topic Next topic

Display a funnel style report to show the status for all the selected sales codes

Sales code range | Enter or select the sales code range to generate the funnel on
Created date range | Enter the range to select the sales opportunity to report on
Report Destination | If printing the graph select the destination of the output
Start Report | Will use the generated graph in the selected report
Display Chart | Generate the chart based on the parameters entered


Summary List

Summary List

Summary List

 Previous topic Next topic

This will generate a summary list of all sales opportunities (if none are selected) or just a summary list of selected sales opportunities. The report is filtered and grouped by the sales opportunity category

Default report layout

Default report layout


Full Sales List

Full Sales List

Full Sales List

 Previous topic Next topic

The full listing report will give you a report of the full details of the selected sales opportunities based on the customer/prospect range and sales opportunity reference number range. If no sales status details are selected, then all opportunities, irrespective of the status, otherwise only the sales opportunities with the selected status will be included in the final report. The report can be filtered and grouped by sales opportunity category code.

Full listing Default Report

Full listing Default Report


Expected / Variance

Expected / Variance

Expected / Variance

 Previous topic Next topic

The expected / variance report will show the expected sales and actual sales based on the customer/prospect range and date range (this will either be the starting or completion date). If no sales status details are selected, then all opportunities, irrespective of the status; otherwise, only the sales opportunities with the selected status will be included in the final report. The report can be filtered and grouped by sales opportunity category code..

Sales Opportunity Expected / Variance Default report

Sales Opportunity Expected / Variance Default report


Forecast by Employee

Forecast by Employee

Forecast by Employee

 Previous topic Next topic

The sales opportunity report will give you a list of outstanding sales opportunities grouped by the employee. The In Progress sales opportunities are the only records included within this report. Select the employee (users) you wish to include in the report and indicate whether they shop to be kept to their pages (for easier distribution). The report can be filtered and grouped by sales opportunity category code.

Default report for Sales Opportunity by Employee

Default report for Sales Opportunity by Employee


Over due by employee

Over due by employee

Over due by employee

 Previous topic Next topic

This sales opportunity report will list all transactions with an estimated closed date before the expected date entered. The report can be filtered by user and limited to a single employee by page (for easier distribution). Only the sales opportunities flagged as in In-progress and still open are included in the report data. The report can be filtered and grouped by sales opportunity category code.

Over due default report

Over due default report


Forecast by Sales Code / Category

Forecast by Sales Code / Category

Forecast by Sales Code / Category

 Previous topic Next topic

Generate a sales opportunity forecast of sales opportunities by category and sales code range

Opportunity category | Select the opportunity category range
Sales code range | Enter or use the finder to select the range of sales codes to report on
One sales code per page | Tick to create a page per sales code
Report Destination | Select the report destination of the report


Overdue by Sales Code / Category

Overdue by Sales Code / Category

Overdue by Sales Code / Category

 Previous topic Next topic

Generate a report of sales opportunities that should have been completed before the date entered and by sales code and opportunity category.

Opportunity Category | Select the range of opportunity categories
Sales code range | Enter or use the finder to select the range of sales codes to report on
All open opportunities | Enter the date to include all in-progress sales opportunities that should have been completed before the date.
One sales code per page | Tick to create a page per sales code


CRM Business Information desktop

CRM Business Information desktop

CRM Business Information desktop

Previous topic Next topic

The CRM Business Information desktop/dashboard gives the allowed users a graphical view of critical business information. The graphs can be exported to the required Bitmap file.


Customers

Customers

Customers

 Previous topic Next topic

The customer dashboard gives the following graphical information.

Customer Monthly Sales

Top x Customers - the X can be set to any number required.

Bottom x Customers - the X can be set to any number required.

Sales by Sales Code - listing total sales for each sales analysis/rep code

Sales by category - listing total sales by customer category.

Customer ageing - this is based on the last time the Pastel statement was run; re-run the Pastel statements from within Pastel to update this graph as required.


Supplier

Supplier

Supplier

 Previous topic Next topic

The Supplier dashboard gives access to the following graphical analysis

Supplier Monthly Sales

Top X Supplier - where the user can define X

Bottom X Suppliers - where the user can define X

Purchases by Supplier category - this graph is only applicable since Pastel introduce supplier categories

Supplier Ageing - based on the last remittances run from within Pastel


General Ledger

General Ledger

General Ledger

 Previous topic Next topic

The General Ledger graphical dashboard is split into three different tabs. The first allows the user to load the ratios by first loading the Year to date figures for each of Pastel’s financial categories (as per the first tab)


Fiscal Ratios

Fiscal Ratios

Fiscal Ratios

 Previous topic Next topic

The Fiscal Ratios tab gives the ratio for each period; this is the grid used to create the General Ledger charts.


Fiscal Charts

Fiscal Charts

Fiscal Charts

 Previous topic Next topic

The fiscal charts can be selected by a click on the Data Levels > Financial Ratios; the graphs that can be selected are:

Acid Test Ratio

Asset Financing Ratio

Current Ratio

Customer Days

Inventory Days

Inventory Turn Over

Profitability (%)

Return on Equity ($)

Solvency

Supplier days


Inventory

Inventory

Inventory

 Previous topic Next topic

The graphical inventory dashboard displays the following graphs.

Inventory Monthly Sales

Top X Inventory items (by store)- where the user can set the Top X value

Bottom X Inventory items (by store)- where the user can set the Bottom X value

Sales by Inventory category (by store)

Total Sales by Inventory group (by store)

Inventory ageing (by store) will show ageing based on a basic balance forward, in either monetary or quantity values.


Ratio Definitions

Ratio Definitions

Ratio Definitions

 Previous topic Next topic

Acid Test Ratio - A stringent indicator that determines whether a firm has enough short-term assets to cover its immediate liabilities without selling inventory. The acid-test ratio is far more strenuous than the working capital ratio, primarily because the working capital ratio allows for the inclusion of inventory assets.

Asset Financing Ratio - Financing for which assets are converted into working cash in exchange for a security interest in those assets. The most common kind of asset financing is to extend loans against accounts receivable, but other kinds of asset financing, such as lending against inventories, are becoming more common.

Current Ratio - The current ratio is a financial ratio that measures whether or not a firm has enough resources to pay its debts over the next 12 months. It compares a firm's current assets to its current liabilities.

Customer Days

Inventory days - The average number of days goods remain in inventory before being sold.

Inventory turnover - In accounting, Inventory turnover measures the number of times inventory is sold or used in a period such as a year.

Profitability (%) - A class of financial metrics used to assess a business's ability to generate earnings compared to its expenses and other relevant costs incurred during a specific period. For most of these ratios, having a higher value relative to a competitor's ratio or the same ratio from a previous period is indicative that the company is doing well.

Return on Equity (%) - The amount of net income returned as a percentage of shareholders’ equity. Return on equity measures a corporation's profitability by revealing how much profit a company generates with the money shareholders have invested.

Solvency - the ability to meet maturing obligations as they come due

Supplier Days

definition source various including Wikipedia, investopedia.com


CRM DOLAP

CRM DOLAP

CRM DOLAP

 Previous topic Next topic

Online analytical processing (OLAP in this case, desktop OLAP) allows the user to quickly analyse different Online analytical processing (OLAP in this case, desktop OLAP) allows the user to analyse different scenarios of the extracted data quickly. This means that if, for example, we are looking at sales, we can look at the Sales, Revenue or quantities based on a salesperson (sales code), then quickly add to that a break down by inventory category. The user can filter out specific sales codes or inventory categories and produce simply charts and reports.

The layout can be saved as a scheme or layout to use later to apply against the raw data, or a cube can be saved, which includes all the data and the layout. The cube can be supplied to another user/manager for further analysis with the actual need for connection to the corporate database.

OLAP is an attempt to reflect a 3D cube in a 2D world; you can rotate just the slices (fields of information) and place them as required to get the breakdown of information required.

CRM's OLAP interface comes with standard SQL statements to extract required data and some basic schemes/layouts to interpret the raw data. The user can create their SQL statements to either extract information from Pastel or CRM's own data tables and create and save scheme layouts for reuse.

The OLAP screen is split into four different sections.

Cube data source

This tab displays the currently saved SQL statements (or views of the data) for CRM and Pastel

DOLAP Area

This is the main desktop area for creating the scheme/layout required, producing simple cross tab reports

DOLAP Chart

Simple charting of the currently active data represented in the DOLAP area

Raw Data

This is a grid representation of the raw data only


Cube Data Source

Cube Data Source

Cube Data Source

 Previous topic Next topic

This screen allows the user to select a previously saved SQL statement to retrieve the required data and create new ones.

The data source can either be from the CRM Firebird data or the Pastel Pervasive data (the source can not be both).

The SQL is executed, and data is extracted with the user DBL-Clicks on the cube details in the grid or selects a cube data source and presses the Open Data for cube use... button.

The SQL statement can be edited using the Edit SQL button and tested for errors using the Test SQL... button.

If you wish the user to include other selections when the SQL statement is executed, parameters can be included in the WHERE section of the SQL Statement. Parameter names are prefixed with a colon (:) before the name. So, for example, if we wanted to limit the document date range of data extracted from Pastels history tables, then our where statement might include

WHERE A.DOCUMENTDATE >= :DateStart and A.DOCUMENTDATE <= :DateEnd

When the SQL statement is executed, a parameter screen is displayed, allowing the user to enter the required date range (and any other parameters) to limit the amount of data returned.

Give the parameter a meaningful name so that the user understands what information is required.

Limiting data is not always required; it depends on the amount of data you require to analyse and if you want to limit it for a specific period.

When the data source is opened, and the data extracted, the DOLAP Area will be opened.


Toolbar

Toolbar

Toolbar

 Previous topic Next topic

Export the grid to Excel, HTML, XML as required

Turn hints for buttons and columns on and off

Hide rows that contain all zeros

Hide columns that contain all zeros

Row Sort type - sort by axis value, sort by measure totals, sort by focused columns

Column Sort type - sort by axis value, sort by measure totals, sort by focused rows

Edit measures, this screen allows the aggregation to be changed, for example, changing our GP, which is currently a sum to an average. It also gives access to the script tool, that allows for values to be created based on existing measures and dimensions.

The data marker allows the currently focused measure to change its colour based on a given value range, which is ideal for highlighting values. In the example below, we can change the colour of the revenue measure based on a given range, 0.00 - 3,000 red, 3001.00 to 8,000, then orange and 8,000 and over the green. This gives the ability to spot values and problems quickly with a large amount of data.

This allows the formatting of the selected measure to be changed, allowing the configuration of date, number format etc.

Displays a list of fields, filters and measures and allows the ability to select fields and them to the required area

Gives basic statistic information

CRM Security information for the OLAP form, allowing security policies to be applied

Open a previously saved cube - a cube contains the data the last time the cube was saved and the layout. It allows the cube to be supplied to colleagues without them having to re-run queries or have access to the original data.

Save the cube to a cube data file. The file can be supplied to a colleague for them to access the data and layout that was created with this file

Clear the grid and start over

Open a previously saved layout. This will open a scheme / layout and apply against the currently active data. The scheme needs to be based on the data being used

Save a layout for later use and apply against the same data source. This allows the creation of a layout and then use it in the future.

This will generate a simple cross tab style report based on the active OLAP desktop

This will generate a report based on the active OLAP desktop, using a report format that can be adjusted as required


DOLAP Area

DOLAP Area

DOLAP Area

 Previous topic Next topic

This is the main area for creating the scheme layout or opening an existing layout or cube.

1. The first step is to select from the Field List the information you wish to display in the rows. We select our required fields and move them to the section that says "Move row fields here."

In this example, we use the Sales Analysis data extracted from Pastels history tables and added the Inventory category name and Sales Analysis name fields.

2. The next step is select values that will be used as a summary and average counts as required. The Revenue, Profit and GP Percentage from the Field List have been added to the Move measure fields here, which will place them in the Measures drop-down list.

The measures can then be moved to the Move column fields to give us our basic layout. We now have our OLAP area, giving us a breakdown of revenue, profit and GP by Item category and sales analysis code. We can switch this easily to Sales Analysis and then item category by dragging the sales analysis column before the item category, as in the second sample.

We can filter the item categories or sales analysis codes by clicking on the filter icon [image] or by any other field by dropping the field in the Move Filter fields here section.

Additional columns can also be added so that we can generate further analysis. For example, extra date information is added for all date fields. So, in the case of the sales analysis, we can add the calendar quarter indicator based on the document date so that we can see values by calendar quarter as well.

We can continue adding fields to our rows and columns to increase our analysis as required. The view can be changed by dragging columns as required and filtering what information is displayed.

Right-clicking on a header displays the context-sensitive menu that allows the user to define whether totals are included, collapse and expand the dimensions (fields in the rows), alter alignments etc.

Drill Down

If the cell containing values is double-clicked, then the raw data that makes up the value will be displayed and exported to Excel, Word or HTML as required.

Some layouts have been included to give a feel of what can be achieved. Still, if the information is available within CRM or Pastel and a SQL Select Statement can be generated, you can create any view and analysis of the data.


OLAP Chart Area

OLAP Chart Area

OLAP Chart Area

 Previous topic Next topic

This section gives a very basic charting area based on the represent data. The chart format can be changed, the properties adjusted and the chart template saved for later recall and application against future OLAP views.

Charts are of course only meaningful if the selected data is meaningful.


Examples

Examples

Examples

 Previous topic Next topic

CRM contains some example Scheme Layouts and SQL Data extractions.

SQL Data Statements

When the OLAP function is started the first time, the following SQL statements are added

1. CRM Sales Opportunities - extracts information based on the Sales opportunity header and associated tables.

2. CRM Task Analysis - allows users to create cubes based on how Tasks are before and perhaps the time between opening and closing

3. Customer sales - looking at the top-level customer master balances, with the ability to include customer category and default salesperson

4. Purchase Orders - data extracting open purchase orders

5. Sales analysis - extracting sales information from Pastels history tables. This gives endless abilities to create cubes based on item codes, customer categories, sales analysis codes, cost codes, delivery addresses, customer addresses (mainly if one field is always used for country or region) etc., etc

6. Sales Orders - data extracting open sales orders to allow for production planning or looking at what products need to be ordered

7. Sales Quotes - extraction and analysis of quotations issued to customers and captured within Pastel.

Scheme Layouts

Some example layouts are also included and can be used and adjusted as required. These samples are saved in the \reports\pdiReports\olap\Layout folder.

1. CustomerSales.mds - this year’s sales by Customer categories and customers

2. CustomerSales_Address.mds - sales by, Address (4) and customer this year. Any address can be used, mainly if a specific address field is used to hold the region or country

3. CustomerSales_Category_Variance.mds - this year, last year and calculated variance by customer category

4. CustomerSales_SalesCode.mds - this year, last year and variance by default customer salesperson and customer category type

5. SalesAnalysis_Name_Category_ItemCategory.mds - revenue, profit and average GP on all sales by Sales Person, Customer category and item category levels

6. SalesAnalysis_Sales_Grp_Product.mds - Revenue and profit by Year, Salesperson code, Customer Category and item code

7. SalesOpp_Status_Year_Responsible.mds - CRM Sales opportunities estimated sales by Status, Year and responsible person

8. SalesOrders_OpenOrder_byItemCode_Category.mds - Open Order quantity by Item Category, Item code and week number

9. SalesQuotes_OpenOrder_byCode.mds - Open quotation quantities by Item code and week number

10. Tasks_OpenClosed_by_action.mds - Open / Closed Tasks by Action user, Open / Closed Status and Task Details


Most profitable Customer / Products

Most profitable Customer / Products

Most profitable Customer / Products

 Previous topic Next topic

This report will show a list of customer or product profitability based on the Total Profit figure for the customer/product or the GP Margin %.

Select the report type to generate either the Customer Profitability or the Product Profitability from the drop-down list, and select a starting and ending date range. How far back you can include will depend on the amount of history you have within Pastel.

Also, the more extensive the data range, the longer the report will take to generate; for example, running the report for a two-year spread will be quicker than running for an eleven-year spread.

Select the order to base the report on either Total Profit or GP Margin.

Set the Number of records you wish to list, leave as zero to view all records.

Once the selections have been made, press the Start Report button to begin the report creation process.


Top x Item Report(s)...

Top x Item Report(s)...

 Previous topic Next topic

Top x Item Report(s)...

 Previous topic Next topic

This function gives the ability to create a Top N style report based on the values selected.

There are two reports associated with this screen; the first lists the turnover for the period selected for this year and last year, current period volume, cost of sales, profit and gross profit percentage. The second report shows the volume sold for the current year period, last year period, volume variance between the two years and variance from the budget of the items (from the customer budgets).

The report can be filtered based on the item code and category range, and the period range can also be selected, allowing the user to run for a full fiscal year or any range of periods required.

Select the Report to produce either the 'turnover period comparison' report or the 'volume period comparison' report. The sort options will depend on the report selected, and these will determine the order of the Top n report.

For the 'turnover period comparison' report, the report can be sorted by 'Last Year Turnover', 'Current Year Turnover' and 'Last Year Volume Sold'. The 'volume period comparison' can be sorted by 'Last Year volume' or 'Current Year volume'. If you select an invalid comparison, i.e., running the 'turnover period comparison' and selecting the current year volume will give a beep, the report will not be executed.


Reports Desktop

Reports Desktop

Reports Desktop

Previous topic Next topic

PDi CRM allows for the creation of the user-definable report; these can be limited to individual users and then assigned to the reports desktop view. This gives the user a single source to execute the created report.

Double-click the report to run, select the report, and press the Run Report button.

If the report requires parameters to run, a dialogue box will be displayed with the required options to generate the report, as in the below examples.


User Reports

User Reports

User Reports

 Previous topic Next topic

CRM uses Fast-Reports as the internal report designer and engine. This allows the user to create reports against any data source that allows an ADO connection (via a direct OLE driver or an ODBC data source).

You can create reports against the CRM data and Pastel reports and any other data not even connected to Pastel or PDi CRM.

When a user report is added to the system, the user can indicate whether it should be made available in the report menu. If it is, then the reports will be listed under this menu option.

In this example, we have three user-defined reports, a History Lines Report, a list of open tasks and a simple label. How the report is set up will determine if we get any parameters to run the report against or if the report runs with the designed query.

If the History Lines Report is selected, we will get a report parameter box requesting the dates to return transactions for

NB: Important, the reports will run against the data selected during the report’s design. User reports will not be updated or altered.

Some example user-defined reports are installed during the default installation process.


CRM Options

CRM Options

CRM Options

 Previous topic Next topic

This screen holds global options that can be set for all users within CRM; as functionality increases that may affect existing installations and bespoke development of CRM for individual customers, the settings available may change.

General Options

Default Document Path | When adding documents to master records, this path will be used. System environmental variables can be used, such as %UserProfile%. This can be used when a link to a cloud source has been added to Windows. Using this option will mean that all documents can be loaded and viewed from that cloud source.
PDi DMS Link | If PDi DMS (Document Management system) has been purchased, then enter the path to your DMS database. Documents link to customers, suppliers or inventory will then be available within CRM
Outlook folder for projects | Sales opportunities can link messages from an Outlook store. A project folder is created in the message store, and then sub-folders are created for each sales opportunity. Emails relating to the sales opportunity can then be added to the folder. If using a global message store, then select from the list of available stores or leave blank to use your default Outlook profile
Master file blocked records | When PDi CRM is started, it loads all customers, suppliers, prospects and inventory items into the sidebar. Use this option to exclude master records that are flagged as blocked. They can still be accessed via the PDi CRM finder, but they will not appear in the sidebar lists.

Customer Options

Customer user defined field for language | PDi CRM documents and statements can be generated using a language layout; select the customer user-defined field within Sage50c Pastel that will hold the language codes.
Customer sidebar load method | Select which customers should be loaded Use the user setup method View All Limit based on user access settings View only those linked to the user’s sales code
Contact date field to use for birthdate | Select the PDi CRM user define date field that will contain the contact’s birth date. This can then use within reports and other data extraction methods.
Field for club members | The general sales import routine can flag which customers user-defined field or tag to use to indicate Club members
Field for newsletter | The general sales import routine can flag which customer user-defined field or tag to indicate newsletter.
Field for VIP | The general sales import routine can flag which customer user-defined field or tag to use to include VIP status

Sales Opportunity Options

Next Sales Opportunity Number | Set the following sales opportunity number when creating and assigning a reference to the sales opportunity. The following sales opportunity number can also be set via the Setup|Sales Opportunity menu. The two options are the same; the check box for sales codes just looked alone.
Set sales code on sales opportunity based on contact | By default, when a new sales opportunity is created, the sales code is left blank and can be assigned independently of the sales code assigned to the contact. Tick this box to have the system set the sales code on the sales opportunity header based on the sales code assigned to the customer contact.
Sales opportunity document print line order | Suppose you wish to specify a different order for the item lines to appear on the sales opportunity documents, use this drop-down to set. The available settings are Line nr, Your Line Ref, Product Code, Line Type & Product.
Sales opportunity cc email address | Enter the email address that will receive carbon copies of the email PDF document of the sales opportunity
Sales opportunity bcc email address | Enter the email address that will receive the blind copy of the email PDF document of the sales opportunity
Sales opportunity default days to complete | Enter the default days to complete for the date within the sales opportunity
Display new Task screen on creating new sales opportunities | When a new sales opportunity is created, and this option is ticked, a new Task screen will be displayed
Add the following option to all purchase orders | When generating a purchase order from a sales opportunity, we can include the customer/client name as remark links by selecting Add Customer/Client Name as Remark Line.

Slack.Com Integration

Slack web hook | Enter the web-hook link that has been created within your Slack.com website
Slack default channel | Enter the default channel that will receive the slack messages
Enable Slack integration | Tick to allow slack integration with CRM
Confirm sending with user | This will force the user to confirm that a message will be sent to the Slack channel. If not ticked and a slack channel is linked to a task, then it will go automatically.
Channels | Enter the channels that have been created within Slack, and that can receive messages from PDi CRM. This list is also used to select the default channel.

Tasks

F4 Timestamp position | The F4 button within the Task screen can be used to add a timestamp this option indicates where that timestamp should be placed Add to bottom of notes or Add to the top of notes
Outlook deferred email days | An Outlook calendar entry can be created from a task, and an appointment email can be sent x number of days before the appointment. Enter the number of days before the appointment
Outlook deferred email in minutes | The deferred email connection message can include the number of meetings to remind before the connection is required

Service Defaults

Default service interval | Following service dates can be set based on the default days entered here.
Next Service Document | The next document number that will be used
Default Labour Costs | Service documents can use a labour cost proportioned across the items issued to the service
Service Integration | Select how the service records will be integrated - either create documents in Pastel, Sales Opportunities or Inventory Journals
Repair Integration | Select how the repair records will be integrated - either create documents in Pastel, Sales Opportunities or Inventory Journals
Include Labour charge | If ticked then labour cost assigned to the service document will be posted as a GL code line, if the integration method is Sales Order, Sales Invoice or Sales Opportunity.
Labour GL Code - Service | Enter the GL code to use if service integration is to a document
Labour GL Code - Repair | Enter the GL code to use if repair integration is to a document

PDi CRM Service

PDi CRM comes with a service module installed on a single machine (Server). This can run certain functions automatically and stop a user from using excessive resources.

Update CRM Ageing Figures - tick to force the service to run this function

Next Update - Indicates the following date and time to run.

PDiCRM Service configuration file | The service uses a configuration file to indicate the firebird settings and passwords (use the crmsvcencrypt.exe utility to create the encrypted password). Multiple connections can be created by setting the Connection_cout and [Connection_n] server and database information.
Interval in minutes | Enter the number in minutes that the service should check if functions should be run
PDi CRM Ageing | The PDi CRM ageing utility will retrieve Open Item information directly from Pastel; use this option to retrieve new Open Item transactions daily Map Pastel terms to CRM - Indicate if Pastel terms should be mapped to new PDi CRM Terms.
PDi CRM Actuals / Budgets | To generate accurate budget figures, PDi CRM must retrieve and update actuals; this will force the process to run and ensure that users don't waste time manually running it.
PDi CRM Customer Budget | To generate accurate budget figures, PDi CRM must retrieve and update actuals; this will force the process to run and ensure that users don't waste time manually running it.
PDi CRM Sales Code | To generate accurate budget figures, PDi CRM must retrieve and update actuals; this will force the process to run and ensure that users don't waste time manually running it.

Account change notification - the service can send emails when specific account information changes; use this screen to indicate which accounts should be monitored and where emails should go.

Type | Select the type of account to monitor Customer, Supplier, General Ledger, Inventory Code or Sales Code
Code | Enter the code link to the type selected
Store | If this is an inventory item then select the store to link to
Details | The code description will be display here
Check Type | Value has changed - The value has changed since the last time the process was run. Value <= - The value is less than or equal to the amount entered Value >= - The value is greater than or equal to the amount entered <= Change (+/-) - The value has changed by the amount less than or equal >= Change (+/-) - The value has changed by more than the amount entered % Change (+/-) - The amount has changed by the percentage value entered
Check Value | If a value is being checked against then enter the amount
Check for Product last Cost | This is used to check if checking an inventory item’s last cost
Check Value (2) | The amount to check if checking on the inventory cost last change

Email Form Processing - PDiCRM service can process email subscription forms; so that customer and prospects can be created from the supplied information.

WooCommerce Link

WooCommerce Shop

Enter the shop details to be linked; this includes the Shop URL, the WooCommerce consumer key, and the WooCommerce secret key generated within the WooCommerce/Word Press website.

Pastel Store - Enter the store code that product shipments will come from

Prefix Pastel Account - Enter the prefix when creating new customer accounts. This can be used to indicate that the orders are coming on-line

Add Remark Link

If you have abbreviation code that is the same as the Sage50c Inventory code, then tick this box to have the remark link populated when a sales opportunity line is created

Abbr. Code and Remark Lines

Abbreviation codes can automatically add more than one remark line to the sales opportunity. Enter then abbreviation codes using the code available from the finder.

SharePoint

PDi CRM can add documents from a single Share point site, enter the details on this screen

SharePoint domain | Enter the domain of your SharePoint install
SharePoint Site name | Enter the site name for your SharePoint install
SharePoint Document Folder | Enter the folder name to add/link documents from


Email Form Processing

Email Form Processing

Email Form Processing

 Previous topic Next topic

The PDiCRM Service will check for email forms based on this setup screen. You must complete the POP3 settings before capturing the forms to process. Otherwise, the process will not know which mailbox to download and validate emails.

You can define multiple forms to process the different submission forms you may receive from customers.

New | this will create a new form definition that will then be linked to the fields to process.
Cancel | abandon the changes and revert to the previously saved entry.
Save | save the changes made.
Delete | Delete the form details and linked fields
Email form title | enter a title to make it obvious what the form is and the source.
Email form description/details | enter a more detailed entry regarding the form's purpose.
Process emails with a subject containing | when your website sends this form, the resulting email will contain a subject; enter the standard portion of the subject here. An email containing this subject will be processed to the mapped fields.
The email data is below the field label | if this is ticked, then the process will expect the data for the field to be below the actual field text.
Email field data separator | if the data is not below the field label, enter the separator between the label and the data; this may be a colon (:). A change may need to be made to your website submission form.
Email field mappings | this section allows the field labels to be mapped to the available fields within the message processing table.
Get email fields | pressing this button will attempt to find an email with the matching subject and then load the found text into the drop-down box.
Text of email field | the text of the field label associated with the text can either be entered or use the [Get email fields] button to populate the drop-down box.
Map to field name | select the field that will receive the text for the associated email field. The available fields to map to are: Customer Name Address 1 Address 2 Address 3 Address 4 Address 5 Contact Name Telephone No. Cell Phone No. Email Birthdate

The PDiCRM service will populate the "Email Forms message" table and then use the [Create Customer/Prospects from Email Messages] function to use the data to create new customers directly into Sage Pastel or as Prospects/leads.


CRM Next Numbers

CRM Next Numbers

CRM Next Numbers

 Previous topic Next topic

Set the next PDi CRM next numbers for the indicated modules

Sales Opportunity Number | Enter the next sales opportunity reference number
Request for quote number | Enter the following request for the quote number used when sending RFQ to suppliers from either open sales orders or sales opportunities


Maintain PDi Tags

Maintain PDi Tags

Maintain PDi Tags

 Previous topic Next topic

Use this setup screen to maintain existing tags and add new ones. If a tag is already linked to at least one master record, it can not be deleted and should be blocked.


Account Access

Account Access

Account Access

 Previous topic Next topic

Some Customer, Prospect and Supplier accounts may contain information that you do not want all users to view. This is especially true for large customer accounts or supplier accounts used for director loans or corporate credit cards.

This function allows for defining which accounts a user CAN NOT have access to. If they navigate through or select an account from the zoom on the primary customer, prospect and supplier dashboard and are not allowed to view the details, the account will not be selected.

Select the User ID you wish to set up and then press the [Load Accounts] button to populate the grid with the currently defined accounts.

When adding a new account, please select the account type Customer, Prospects, or Supplier and select the account number.

Changes can be saved using the Save button and removed from the list of accounts not allowed access using the Delete button.

Once all the required changes have been made, press the [End Update] to select another user.


Document Flow

Document Flow

Document Flow

 Previous topic Next topic

PDi CRM has a simple document flow and approval processes for document types within Pastel. The process points the document on hold until the final stage of approval.

The set-up options within this menu define the settings required to use the document flow process.


CRM Departments

CRM Departments

CRM Departments

 Previous topic Next topic

The CRM Department screen allows for the definition of departments that can be used to define which documents need to be approved by which departments.

The Dept. Code is an alpha numeric 3-digit code and can be any combination as required. In the screenshot below, we have used a 3-digit numeric code, padded with leading zeros, but that does have to be the case. We could have used ENG for an engineer, ACC for sales, WRK for workshop etc.

Use the New button, Cancel, Save & Delete buttons to add, save and remove department codes. To leave a code in place but not make it available, mark the code as Blocked


Manager List

Manager List

Manager List

 Previous topic Next topic

The Setup Manager list screen allows the definition of managers assigned to documents for approval. A three-digit alpha numeric manager ID can be assigned (perhaps the manager’s initials) and then linked to a CRM user already defined. The maximum document value the manager can approve an email address and the maximum document value can be set here.


Document Approval Flow

Document Approval Flow

Document Approval Flow

 Previous topic Next topic

The document approval flow set-up screen allows for the definition of document approval flows. The flows can be assigned to different CRM departments and Pastel Document types.

Add Starting point: This is the first approval level (zero) up to a maximum level; additional sub-steps can be captured using the [Add next step] button.

The Manager’s details, Maximum level, Document type and department (if a starting point) can be assigned and updated in the entry area below the tree.

In the example below, Tax Invoices assigned to the Engineering department can be approved by Simon Blackwell to a maximum value of 10,000. If the value exceeds that amount, it can be approved by the System administrator value up to a total cost of 25,000.

Document approval flows can be defined as required for the document types used to create approval flow.


Document Reports

Document Reports

Document Reports

 Previous topic Next topic

PDi CRM can print documents using data from Pastel Partner. This setup screen allows for the definition of the report layout to use and for which reports. You can define global document layouts to cover all users or define which document layouts to use.

Document type | Select the document type to assign the layout to; this can be Default Report for all reports or specific Pastel document types.
Report name | The report layout to use for the main document
Alternative document | You can print supporting documents for a report, and this can have different layouts from the main document. If not specified, then the default report will be used.
Printer for main document | Select the printer to use when printing the main document
Printer for support document | Select the printer to use when printing the supporting document. For example, picking slips may need to go directly to the warehouse printer.
Paper bins for reports | If you wish to use different paper sizes from different bins then you can specify the bin to be selected
No. of copies | Enter the number of copies to print when a report is printed to the selected printer

To define reports for a specific user, remove the tick from the Define global document information box, select the user and press the Load Documents. Once the required changes have been made, or new documents entered, press the End Update to complete the process and re-enabled the principal functions.

Several example layouts have been included during the installation process.


Document User Defined Fields

Document User Defined Fields

Document User Defined Fields

 Previous topic Next topic

The Process > Document user defined fields function requires that the Pastel document user-defined field is defined and the document user-defined date field is defined. These will hold the original document number and postal receipt date as required.

If this information is not set, then the special age analysis/statement report may not function correctly, and the last retrieval date and by which user will not be updated.


Branch / Store Code

Branch / Store Code

Branch / Store Code

 Previous topic Next topic

PDi CRM allows the user to assign a branch/store code to Task / Activity; the available codes are defined within this screen. The store codes can be loaded directly from Pastel, plus you can add your codes, which is especially useful if you do not have the Pastel multi-store module.


Message Stores

Message Stores

Message Stores

 Previous topic Next topic

Default messages can be created and used linked to Tasks and Outlook appointment messages and emails.

Type | Select the type of message store to create. Multiple messages can be created for each type. New Task - Message to send when a new task is created Close Task - Message to send when a task is closed Outlook Appointment - The text for the Outlook appointment that is being sent Outlook Appointment cancelled - The text to send when an Outlook Appointment is cancelled. Outlook Connection Info - The message to send when a connection request is required Outlook Deferred email - The message to use on the appointments deferred email.
Subject | The subject of the email message or Outlook appointment; the message can include field variables
Message | Enter the message to send for the email or appointment; use the field variables as required to create a personalised message.


Task Activity Codes

Task Activity Codes

Task Activity Codes

 Previous topic Next topic

Task / Activities assigned to customers, prospects or suppliers can be linked to a specific activity. This activity controls the number of days, type of notes, document templates and email addresses to use (if applicable).

An activity can either be the main activity or a sub-activity hanging off the main activity. The default follows up days can be specified for a default follow-up date, which can be altered when the task/activity is created.

Task Description

Enter the description for the task displayed on all grids and task drop-down objects.

Follow up day(s)

The default number of days to set as the follow-up date

% Toward completion

If this is part of a sequence of tasks to reach the required outcome, enter the percentage of that sequence this task covers

Create task type

Select the type of task this should create, a Standard Note. The note is captured, and no more processing is required. Create email from a note, an email will be created using the note captured and sent to the address specified under the Email.

Next reference number

The task can be assigned a unique reference number for each activity type; enter the following reference number to assign here.

No New reference

If ticked, this will not change the assigned reference number. For example, if you have a parent activity/task code that assigns the task reference number and sub-activity/task codes that are stages and do not want the reference to be changed, then tick each sub-item. If the activity/task code is changed for a record and this is ticked, the reference number will not be reset.

If this is not ticked and the activity/task code is changed the reference number will be set to the next number or blank (if not reference number is defined).

Link to branch/store

If you wish to link this task / activity to a particular store / branch / department (however you have defined them), then select the code here from the available list

Document template

Will generate a document based on the template specified under the 'use document template' field. The document can be a word document or using a document defined with the PDI Internal Document (see taskletter.fr3 for an example)

Default Calendar Colour

Select a colour from the predefined list or use the Custom button to build your colour. PDi CRM Task Calendar will use this calendar, and grids will display the task activity using the background colour selected.

Block Activity

This will remove the activity from the list of available activities

Reoccurrence Activity

If this activity is to reoccur (this means when the task/activity is closed, a new task/activity is created x days from the close date (based on the follow-up days)

Reoccur week days only

This should be set if the next due date for the task/activity must always be on a weekday (the reoccur function is excellent for service calls, license renewals, inspections etc.)

Auto close linked task

The PDi CRM service will automatically close this task based on the action date.

Whiteboards default

Set the task to appear on the Whiteboards screen automatically.

Position nr

Use to indicate the position number of the sub-tasks with the main task.

Email Address to use | The email address can be one of the following:- Use the Customer / Supplier email address, Use the Activities email address (the one captured as the activity email address), request an email address when the note is sent as an email or Use the customer/supplier email address and use the activities email address.
cc Email Address | If you require all tasks / activities to be sent to a given cc email address(es) then enter the email address here (this only relates to tasks that are set up to be emailed)
bcc Email Address | If you require a bcc email address(es) to receive notification of the task/activity then enter the email address here (this only relates to tasks that are set up to be emailed)
Exclude signature from task activity emails | If this is checked, then the user’s auto signature (from user settings) will not be added to the email.
Set up activity with reminder turned on | If you wish the activity to display a reminder pop-up, then tick this box (this can be overridden when the task/activity is created)
Default reminder mins, before | Enter the number of default minutes the reminder should be displayed before the actual activity start time

Send Message on new activity | Select the message layout to use if a new message is to be set. The Message store button will take the user to the message setup utility.
Message to send | Select the message to send when a new message is created.
Send Message on close activity | If a message needs to be sent when an activity is a closed, tick this box.
Message to send | Select the message to send when the activity is marked as closed
Send message as | The message on new and close can be sent using one of the following - Email, SMS, Email & SMS, none
Create a closed activity | To track the messages sent, a closed activity can be created when the message is sent on a new or closed activity

Outlook Appointment | Select the message to use when an Outlook appointment is created with this task
Outlook deferred message | Select the message to send on the deferred email that will be used when the reminder regarding the appointment is used
Outlook Connection | Select the message to send if an email with the connection details is required
Outlook Appointment Cancelled | Select the message to send when an appointment is cancelled within PDi CRM

Send message to channel | If a message is to be sent to Slack then tick to activate the functionality
Send to Channel | Select the channel to send the Task / Activity message
URL icon | Enter the icon to use when sending the Slack - see slack.com
Emoji code to use | Enter the emoji code to use - see slack.com

The PDiCRM service module can retrieve emails from a POP3 mailbox and then assign them task based on the values in the subject

Check email subject contains | If an incoming message is sent to the link POP3 mailbox and contains the value entered with the subject, a new task will be created with this activity/task code. The details will be added to the activity/task code if the subject includes this subject and a matching task reference number.
Assign task to CRM User | Select which user these activities should be assigned to, the user could re-assign once they appear on their list


Task Templates

Task Templates

Task Templates

 Previous topic Next topic

This setup screen allows the user to define multiple tasks/activities that need to be completed one after the other to receive the outcome.

The first step is to define your template codes - we have created a single code INSTALL - which covers the installation of a unit.

The Maintain template tasks button can then be pressed to define the activities that are to be assigned to the template.

When you create a new activity/task linked to a template, the application will display the list of available templates and the actions to be completed. You can set the first entry date, the subject, notes, assign the task, and the time allocated for the activity. The application will then create all the activities, as shown below from the list of activities linked to the template. All the tasks are linked, so if the follow-up date is changed for the 1st, 2nd, and 3rd activity, all activities are bumped based on the number of default days in the activity code. This allows for linked activities to be moved if a stage beforehand has not been completed and the timing needs to be adjusted.

Activities that will be selected

Created linked tasks / activities created for the customer, based on the template list and order

NB: You have may refresh the task list to see the updated action dates, as these are calculated by the server


Customer Discount Levels

Customer Discount Levels

Customer Discount Levels

 Previous topic Next topic

PDI CRM allows for a customer type to be assigned to a customer, then used to calculate a percentage discount and customer-specific pricing created. The customer levels can be named and designed as required; the screenshot below is only one possible way to define customer levels that can be used on the customer pricing levels screen.


Customer Level & Inventory category discounts

Customer Level & Inventory category discounts

Customer Level & Inventory category discounts

 Previous topic Next topic

A discount matrix can be defined based on the customer levels defined and the inventory categories created within Pastel. Capture the default discounts for each customer discount level (these can be overwritten for each customer). Once the discounts have been captured, press the Save Discounts to write the information back to the required table.


Extra user field titles

Extra user field titles

Extra user field titles

 Previous topic Next topic

Customer, prospect, and supplier contact codes can capture additional information. These fields depend on the labels defined within this setup screen. Additional information is split between field types and includes Text, Numeric, Date and True/False (Yes/No) fields.

In the example below, we have named the first 'Date field' as Birthday, so the user can capture the birthdate of the contact and the second 'Date field' will be the contact’s anniversary date.

The screenshot below shows the contact screen with our user-defined fields of 'Birthday' and 'Anniversary'.

The user-defined text fields allow for selecting pre-defined text and random text values. Use this tab to enter the required pre-defined text values.


Internal Product Groups

Internal Product Groups

Internal Product Groups

 Previous topic Next topic

PDi CRM Internal products require groups defined so that products can be assigned to them, enabling internal product reports to be filtered by certain groups.

Group codes can be alphanumeric (3 characters) and any combination of letters and numbers (the example below has used numeric numbers prefixed with leading zeros). Capture a meaningful Group Description that will be used to group like products of type or from the same company together. If your group should be set that only one of the products from that group can be assigned to a customer, then tick the 'Allow one group per customer' check box.


Internal Product Codes

Internal Product Codes

Internal Product Codes

 Previous topic Next topic

Internal product codes are not related to Pastel codes and are used within the Internal product system that allows the expiry dates and a serial number of products to be tracked. It doesn't need to be only used by Pastel dealers and consultants, but it could be used to track properties, leases, and rental agreements.

Capture a product code for the record, the description of the product and the internal product group that product is assigned to.


Job Titles

Job Titles

Job Titles

 Previous topic Next topic

Job titles can be linked to customer, prospect and supplier details. The link is not a hard link (i.e., changing the title within the setup does not populate across all contacts) and the job title within the contact screens is free text. This allows extra text to be captured that does not yet exist within the system.

Job titles are used mainly for visual reference and within the mail-merge screen for advanced data filtering that needs to be merged.

Use this setup screen to pre-define job titles for users to select from. Job titles can only be removed if they are not assigned to a contact record.


Define Language Codes

Define Language Codes

Define Language Codes

 Previous topic Next topic

PDi CRM allows multiple languages to be defined; approximately 99% of all literals (the text on screens) and system messages can be defined. This screen allows for the definition of the language codes used to define the literal text; this doesn't necessarily need a language code; it could be your definition of what some of the fields are used for.

Capture the 3-character language code and meaningful description related to that new code or existing code.


Document Reports by Language

Document Reports by Language

Document Reports by Language

 Previous topic Next topic

This screen allows the user to define the layouts for each document type. The screenshot below shows the Afrikaans language selected and the default report used for customers assigned the Afrikaans language. Documents can also be defined for unique layout types, such as quotations, sales orders, invoices and credit notes.

Document type: Select the document type to assign the layout to; this can be Default Report for all reports or specific Pastel document types.

Report name: The report layout to use for the main document

Alternative document: You can print supporting documents for a report, and this can have different layouts from the main document. If not specified, then the default report will be used.

Printer for the main document: Select the printer to use when printing the main document

Printer for support document: Select the printer to use when printing the supporting document. For example, picking slips may need to go directly to the warehouse printer.

Paper bins for reports: If you wish to use different paper sizes from different bins, then you can specify the bin to be selected

No. of copies: Enter the number of copies to print when a report is printed to the selected printer

A sample layout has been included in pastelinvoice100afr.fr3 that shows how you can define the report and link a different inventory description for the language code.


Language Translations

PDi CRM allows for 99% of the literal text within the application to be translated. This function allows you to alter the translations

Select the language to maintain and press the [Load translations] button to load the grid. You can then move through the grid, translating the text in the Literal Text column. The grid can be formatted by section so that a single screen at a time.

When starting a new translation, we recommend that you copy from the ENG/English to the new language code so that you at least have a starting point. Select the ENG language as the copy from and then enter your new Language (existing code) and press the Copy Translation button. All settings will then be copied to the new language code, and translation can proceed.

Export Translations: This will export the current translations into the language folder below the main application. This will contain insert SQL scripts that can be amended manually and then imported using the [Import translations] function to run the SQL insert script. When you amend the literal this way, be sure not to remove any commas or speech quotations, as this could affect the import of translations.

If you wish to translate a literal on a screen that doesn't seem to exist within the translation screen, you can see what literals are available by opening the required screen and pressing the F9 button. This will save a text file to the \Lng\Controls\ below the main application screen. This will create a text file containing the objects that contain a caption that can be translated. Once finished, you can open the text file to view the contents and add the required object names and section information.

Caption=Hide Account Details

lblSelectUser.Caption=Select User ID:

lblAccessDetails.Caption=Capture accounts that the selected user is NOT allowed access to. This can be used to hide sensitive supplier information for example, such as director loan information.

btnLoad.Caption=Load Accounts

btnEndUpdate.Caption=End Update

colActType.Caption=Account Type

colAccountNo.Caption=Account No

colAccountName.Caption=Account Name

btnNew.Caption=&New

btnCancel.Caption=Cancel

btnSave.Caption=&Save

btnDelete.Caption=&Delete...

btnClose.Caption=&Close


Annual license fee text

Annual license fee text

Annual license fee text

 Previous topic Next topic

The annual license fee is an additional category assigned to a sales opportunity. Using CRM's language definition, this can be renamed to anything as required.


Annual license fee due text

Annual license fee due text

Annual license fee due text

 Previous topic Next topic

The annual license fee due is an additional category that can be assigned to a sales opportunity. Using CRM's language definition, this can be renamed to anything as required.


Budget Levels

Budget Levels

Budget Levels

 Previous topic Next topic

Sales opportunities can have a monetary value assigned to the customer’s expected budget. This can be a complicated item to extract from the client, you can also define text narratives to identify the customer’s budget status. Default levels will be created as shown below; these can be amended. Additional budget levels can also be added to the screen that can then be assigned to the sales opportunity.

The defaults can be defined as following: -

Available - A budget is available for the project

Not certain - it is not clear if a budget is even available for the project

Possible - it seems that there may be a budget for the project


Categories

Categories

Categories

 Previous topic Next topic

Sales opportunities have internal status/categories (In Progress, Completed, Not Successful) etc. This may not be enough to specify the status or category of the sales opportunity.

Define the category codes that represent are required to be assigned to sales opportunities; this can be a sequential process where each category goes towards the 100% completion of the sales opportunity.


Lead Source

Lead Source

Lead Source

 Previous topic Next topic

Sales opportunities can be assigned to the lead source, defined using this setup menu. The lead source can be used to analyse your sales opportunities with defined cubes and reports created using the reports designer. Default entries will be made as shown below. The defaults can be edited, and additional lead sources can be created as required.


Document Layouts

Document Layouts

Document Layouts

 Previous topic Next topic

Sales opportunities have many uses from organisation to organisation and within an organisation. This results in the requirement of different documents to be printed based on what the sales opportunity is being created for. This set-up screen allows the user to assign different CRM report formats to the select document title.

In the example below, four different forms have been defined, covering the different areas of the business model.

The document layout can be assigned to the sales opportunity, and when the [Print Details] it will use the form indicated to generate the required output.


Matrix Headings

Matrix Headings

Matrix Headings

 Previous topic Next topic

Sales Opportunities can be used to enter pricing based on a single quantity and value. If the user needs to create pricing based on a price break matrix, this screen allows for the definition of multiple matrix headings. The headings are just narratives, and a single price can be assigned to the sales opportunity line.

Create a new record and enter the title for the matrix header, the heading definitions (up to a maximum of 15) can then be defined to hold the quantity breaks. As shown in the image above, the quantities can be as required and may differ depending on the type of matrix title you create.

Using this method, the user doesn't need to enter multiple lines on a sales opportunity related to a price based on the amount ordered. The line can be linked to a matrix type, and then the unit prices are entered from the matrix screen within the sales opportunity module.


Next Sales Opportunity Number

Next Sales Opportunity Number

Next Sales Opportunity Number

 Previous topic Next topic

Allows the setting of the next sales opportunity that will be used within the Process > Sales Opportunities

Enter the following sales opportunity number; if using a number only, we suggest padding with leading zeros to ensure that the number sorts correctly in grids.


POP3 Server

POP3 Server

POP3 Server

 Previous topic Next topic

The PDi CRM Service Module can process emails from the selected mailbox and create activity/task codes based on the contents of the subject.

Server address | Enter the server address of your mail server and POP3 mailbox
Port Number | Enter the port number used to connect to the POP3 mailbox
Username | Enter the user name associated with the mail box to connect to
Password | Enter the password used to access the mail box with the above user's name
TLS/SSL Connection | If your POP3 mailbox requires a TLS / SSL connection, then check the box.
Leave Messages on server | Tick this box to leave the messages on the server after they have been processed
 | Use the Test button to check the settings entered and correct entries if errors exist. Save the settings


SMTP Settings

SMTP Settings

SMTP Settings

 Previous topic Next topic

Some functions with PDi CRM allow for sending emails, such as tasks / Activities, Sales Opportunities, and reports via PDF.

This setup screen allows the setup and definition of SMTP settings or your current MAPI application if not set.

SMTP Server address: Enter the address of the SMTP server

SMTP Port no: Enter the port number that your SMTP server is expecting connections on

SMTP authentication: Select the type of authentication your SMTP server requires, including no authentication, username and password, and SASL authentication required.

SMTP user name: If your SMTP server requires authentication, then enter a valid user name

SMTP Password: Enter the password that matches the user's name entered above

SSL version if required: Select the SSL version required by your SMTP server if applicable.

SMTP SSL: Select the TLS type required if applicable

Request read receipt: If this is ticked, then the additional read-receipt header will be added when sending emails via SMTP. If the receiving email client doesn't know how to process read receipts, it will be ignored, and of course, the customer can ignore the request anyway.

Send mail via SMTP: If this is not checked, emails will go via your email client. Tick the box to switch to emails going via SMTP

To test your SMTP settings, press the Send test mail via SMTP. This will send a simple message to the email address entered so that you be sure that the settings are correct.


SMS Provider

SMS Provider

SMS Provider

 Previous topic Next topic

PDI CRM allows you to link with one of two SMS gateway providers.

This Setup screen allows you to define which gateway provider you have selected and entered your details accordingly.

Clickatell - www.clickatell.co.za or www.clickatell.com - is a gateway provider based in South Africa. If you wish to use this provider, you need to sign up for a developer centre gateway account. This will generate an API key that you can capture in the set-up grid shown above. The port number and HTTP address will be set automatically but can be changed if required. The port number can be changed to 443 rather than port 80 to use an HTTPS connection. In the case of Clickatell, the reply email does not need to be, so this field will not only be any editing. Once you have completed your sign-up, you will receive an SMS user and password that can be used with your API key.

TextAnywhere - www.textanywhere.net - is a UK based SMS gateway provider. Set up your account via the website to give you the required user name and password. An API key is not supplied or required for the TextAnywhere account; however, it is recommended that you supply an email address that will receive any replies to SMS messages. Some mobile networks will not deliver the message if this is left blank.

Use for SMS - to use SMS functionality within PDi CRM, you must check the [Use for SMS] box to enable the required gateway. Only one gateway can be used to send SMS messages.

Test area - Use the test area to ensure that your settings are correct for the selected SMS gateway provider. Enter a mobile number in the correct format for the provider and the message to send, the message will be sent, and the result will be displayed. The [Check your credit balance] can be used for both gateways to check how many available credits you have. The [Check coverage on the number entered] is only available with the Clickatell provider, and this will display if the message can be delivered and the number of credits that will be used (Clickatell requires a US number service (short or long) to be purchased if you are sending messages to a US network provider).

Cell phone formatting - How the cell number is formatted will depend on the gateway provider. Suppose you are using the Clickatell gateway provider. In that case, the cell phone must be formatted without the international + or leading zeros, so if sending a message, a South African number should be formatted (275555555), UK (445555555), France (335555555).

Suppose you are using the TextAnywhere gateway provider. The system will format based on your default country, so if you have set up your default country like the US. You send a number to the server as 275555555; it will format it as a US number and become +1275555555, which may fail to be delivered (but you will be charged the appropriate credits). So, if you are sending to multiple countries, ensure that your cell phone numbers are formatted with a leading + to indicate international and the complete number, so enter your cell phone number as +275555555; this will stop TextAnywhere from automatically formatting the number.

Sending single SMS messages

The customer, prospect and supplier contact grids cell phone column now include an SMS button within the editor - smscontact. If this button is pressed, a screen similar to the following will be displayed, allowing you to send an SMS message to your cell phone number.

The number of characters will be displayed and will change to bold if you go other 160 characters. Within the gateway provider, you can determine how many messages packages you can send if you enter a message over the 160 characters; remember that each message package will be charged the appropriate number of credits.

Press the [Send Message] to transfer the message details to the SMS gateway provider defined.

The [View Prior messages] will display all previous messages sent to the number shown, allowing you to view and find the current status of the message.

If you are currently using an SMS provider that includes a free developer API interface, please send us the details, and we may look at adding the gateway to our list.

PDI Spirit takes no responsibility for any lost credits which are due to incorrectly formatting cell phone numbers or due to issues with the service provided by the gateway

NB: If using TextAnywhere, ensure that your Internet Options have SSL 1.0 and SSL 1.1 are turned off.


System Parameters

System Parameters

System Parameters

 Previous topic Next topic

When a connection is made to a PDI CRM database, it needs to know what Pastel data to link up with and what ODBC definition it needs to use for REPORTING ONLY. This screen allows the global settings to be made (user settings can be made if you have a user that needs to use a completely different set of parameters).

Link to Pastel company: Enter the path (which, as shown below, can be a UNC path) of your Pastel data. We recommend using a shared mapped drive across all users if you are using a mapped drive. You can set up different parameters per user; it makes it easier to keep a single global parameter setting.

Shared Report path: Reports by default (if left blank) will be loaded from the reports folder below the application folder. However, if you wish to use a shared path to keep all reports in the exact location, making updating and specific layouts available across all users, then set the shared report path.

Shared PDF report for internal reports generator: If you do not specify a path, all PDFs will be created in a PDF folder below the application folder. If you wish to keep PDFs within a central location, enter the path here (UNC path can be set here).

Reporting: The system requires an ODBC connection to your data for reports to function correctly. If the default PDi CRM ODBC name specifies, then the pervasive named database settings will be updated. You must specify the location of your Pervasive server's name, user name and password (if required) and the data location relative to the Pervasive server.

Depending on your installation of Pervasive, then you may not get a successful result from this (especially if you are using the Client/Server version of Pervasive).

This will typically be down to security issues of remotely updating Pervasive named database settings.

For this reason, you can set up your own ODBC / Pervasive named database and set this information. Because the ODBC name is not PDi CRM, the application will not attempt to alter the settings, even if you capture information in the fields below.

If you need more information on setting up named databases within Pervasive and ODBC creation, then visit our website at www.pdispirit.com


System Reports

System Reports

System Reports

 Previous topic Next topic

As you run reports within the system, they will be added to this grid. This grid allows the definition of which reports using for each report type and even for each user and language.

Therefore, you can define a special report for a given user; you can define a report in a selected language.

So, for example, we can specify the PDI CRM internal reports format for Age Analysis for a given user and language ID; if all these settings are valid, this report will be used for the user.


User Details

User Details

User Details

 Previous topic Next topic

PDi CRM uses the Firebird security module, and so a Firebird user ID needs to be defined and linked to a Pastel user ID for each user that you wish to log in to CRM. This screen allows the system administrator to control user access details and settings.

User ID | This is the Pastel User ID
CRM ID | Enter a log-in ID that user will use to access PDi CRM
User Name | Enter the full name of the user
Initial View | Select which view/desktop will be loaded after the user logs in
Link to Sales Code | Link the user details to a Sage50c Pastel Code
Customer Grid Load | Select how the customer sidebar loads the customers, either All, only those linked to the sales code for this user, or based on the account access.
Document Access | Select which documents the user can create from the Sales Opportunity screen
User Email Method | Select which method to use for sending emails, the system default, MAPI, SMTP or direct to outlook.
Email | Enter the email address of the user,
SMTP User | If connecting to SMTP then enter the users SMTP User ID to connect to the server
SMTP Password | Enter the password use to connect the with the supplied SMTP User
Create user in Firebird | This will create the user CRM ID within the Firebird security table if it does not already exist
Grant Access to Tables | Give access to the selected user
Revoke Access to tables | Revoke access to the tables for the selected user
Set / Change user password | By default the initial password will be LETMEIN use this function to alter the password to a new one
Create user specific system parameter entries | If you have a user who can not use the global parameters because their Pastel data is on a different mapped drive or the ODBC name is different, use this button to create the user-specific details.

Email Signature | Enter the simple email address to add to emails send from within CRM
Interactive with MAPI | If sending an email to your default MAPI client, this will attempt to show the email before sending
Skype Address | For display use only (obsolete)
Default word template | Enter / select the default word template that will be used for activities / task that do not have a template set
Default Activity type | Set the default activity type for a user when creating a new task/activity.
Security Level | Select the basic security level to use, this limits some functionality before the main security level is applied
Last Update | The last time the user accessed PDi CRM
Updated by | The last time the user details where updated
Last Accessed | The date the system was last accessed
Last Access Time | The last time the system was accessed

Access count | The number of times the user has accessed PDi CRM
Labour Cost | For service records labour costs can be linked to the specifically logged in user
Connection Information | If an activity / task is linked to send a connection information email the details will come from this field
Sales Opp Outlook Project folder | This will link a specific Outlook folder for the user to create and read Sales Opportunities
SharePoint password | This is used for the user to access the SharePoint site (along with the email address) when adding / viewing documents linked to Share Point.
User Document Folder | Specify the document folder that the user can access

SharePoint sitename | Link the user to a specific Share Point site name
SharePoint document folder | Link the user to a specific document folder within SharePoint


User/Group Membership / Menu security

User/Group Membership / Menu security

User/Group Membership / Menu security

 Previous topic Next topic

Security allows security policies to be defined and assigned to individual users or groups. It must be completed in a specific sequence. Otherwise, you could lock yourself out of a menu function because no one has been assigned to it.

The first stage is to use the Setup menu - to set the different permission levels you require, for example, below.

Different policies for Allowing access to Setup (Allow_Setup) and allowing access to the Process Menus (Allow_Process)

VERY VERY VERY VERY IMPORTANT - before you add the Setup_MainSecurity and SetupUserGroup menu options to a group, ensure that at least one user has been assigned to the group (you will add it to) … otherwise all users will not have access to those setup menus. Therefore you will not be able to assign users. So, leave these two menu options out until at least one user has been assigned to the Allow_Setup form policy before continuing

A security button has been added to a number of the forms to allow security profiles to be created for those.

So, the Administrator can limit user access and object access on several essential forms, so limited down to which fields, buttons, grids, and pages can be accessed/viewed by a user.

Once you have created your form policies, you can use the User/Group settings menu option to create groups and assign form policies to those groups. I have created different groups, Administrator, Allow_Company_edit and Allow_Transfers.

We can then assign the users ALLOWED to use those functions; everyone else will not be allowed access to those functions. (This is based on whether a function has been assigned to a security policy - so if I don't assign a report to a policy, then all users will have access)

If everything has been completely mucked up and security functions have been set incorrectly, and menus can not be accessed, you can press CTRL-SHIFT-9 to remove all security settings and start from scratch. Only the user with full access can achieve this type of hard reset.


PDF Export Options

PDF Export Options

PDF Export Options

 Previous topic Next topic

When using the internal PDi CRM report's function, the PDF settings can be altered if required.

Select the user you wish to update and press the [Load user settings]. If you set an Owner password, then the document will not be allowed to be modified unless the correct password is given. If you set a user password, the PDF will be locked from even being opened if the correct password is not supplied.

Allow document to be printed - the PDF document can be printed.

Allow document to be modified - the document can be altered.

Allow text and objects to be copied - the objects and text can be copied and pasted into other applications.

Allow annotations and text to be added to the document.

If the Open document after the PDF has been created, it will be opened in your PDF viewer.

Display options screen before creating; this will display the default PDF Export screen giving the user more options and settings for the PDF creation.


Spelling Options

Spelling Options

Spelling Options

 Previous topic Next topic

This setup screen allows the user to define how the spelling functions, the dictionary to use, and the user’s custom dictionary.


Language

Language

Language

 Previous topic Next topic

Change the language used within the system to one of the valid options; setting to Original will revert everything to the application default.


Thesaurus (F11)

Thesaurus (F11)

 Previous topic Next topic

Thesaurus (F11)

 Previous topic Next topic

When a piece of text is selected within a control, press the F11 button or select this menu option to display related words to the selected word.


Fast Reports Designer

Fast Reports Designer

Fast Reports Designer

 Previous topic Next topic

PDI CRM uses the Fast Reports designer to create and maintain reports. When editing an existing report, we recommend that you run the required report to the window and then press Ctrl+Shift+R to launch the designer with that report loaded. This will ensure that all required data objects are available and that sample data will give a preview of the report.

The actual design is outside of this help file; we recommend that you use the FRUser.chm help file for details on designing and creating reports.


Update Pastel brief data

Update Pastel brief data

Update Pastel brief data

 Previous topic Next topic

Some reports (such as the budget reports) use brief data from Pastel stored within CRM. Use this function to update that report data. The length of time the report takes depends on the number of customers, categories, and products within your Pastel data.


User Reports

User Reports

User Reports

 Previous topic Next topic

PDI CRM can run user-defined reports created with the internal report designer that connect to Pastel data, CRM data, or any external data. This screen allows those User Reports to be added to and run from within PDI CRM.

When adding a report, select the report you have created. Select the report destination. If it is a User Report (available for only that user), select this option and pick the relevant user. If you would like to add the report to the Reports > User Reports menu option, tick the Show in report menu tick box. This will give you quick access to the report as and when required.


Widget Creation Wizard

Widget Creation Wizard

Widget Creation Wizard

 Previous topic Next topic

PDi CRM has a desktop that will display widgets to access information from PDi CRM, Pastel, or both. Widgets can display data in graph format, data cube (pivot style), report or grid layout. This gives the user information in an easy to view representation.

Save widget definition | Enter or select the file to save the widget to. If the widget already exists, the information can be loaded to create a new widget (by changing the save to filename) or update the existing widget.
Title for Widget | Enter the title of the widget that will appear on the Widget desktop
Widget display type | Select the type of widget o display Graph, Report, Data Grid or Data Cube (Pivot table)
Layout file | Select the layout file to save, and it will be used as the default for the widget. This will either by the graph settings, data grid, report or data cube method.
Set Parameter to current value | If the widget is linked to the current master value, tick this box and select the master source. This will allow the report to run against the current customer, supplier, prospect or inventory code.
Master source for current value | Select the master source for the current value Customer, Supplier, Prospect or Inventory
Widget Panel can be closed | Tick if the user can close the widget
Widget Panel can be sized | Tick to allow the user to size the panel (this should be ticked)
Widget Panel can be moved | Allow the user to move the widget around with the Widget Desktop
Auto-Refresh widget date | Set to the number of minutes that the widget should be refreshed and the current data updated
Data Cube - Allow fields to be added | If the widget display type is a data cube (pivot), then tick this if the users can add additional fields to the designed data cube.
Colour of widget caption | Set the colour of the caption to display for this widget
Reset | Reset the settings back to default
Test Widget | Use to view the widget once it has been fully created

Create / Pastel SQL | This step will create the SQL statement used to retrieve data from Sage50c Pastel, CRM or a combination. Enter (or Paste) the SQL statement into the text area. If this is a combination of data sources, then the Sage50c, CRM and combined SQL statements. The Build Query button will display a simple drag, drop and tick to create a simple SQL Statement.
Test Query | This will execute the SQL Statement and view the results. You can then adjust the SQL statement if the information retrieved is not as expected.

Data Results

The results will be displayed if the SQL is not tested and the Next button is pressed

Graph

Data groups | Select the type of information to display; this can be used to drill down
Data Series | Select the actual values that will be used within the graph
Chart type | Select the chart type to view Pie, Line, Bar, Area Graph
Legend Position | Select the position of the legend for the data displayed
Categories per page | If using a Pie, Line, bar enter the number of categories to display on each page
Key Fields | Indicate the unique values from the table, may be multiple separate with;
Title Position | Select the position of the graph title
Select field for category | Select the field to use for the main category

Key Fields

Enter or select the unique field that is used within the data results. This can be a multiple of fields separated with ;

Show/Hide

Press to the indicate which fields should be included in the grid.

The [image] icon will display a list of the fields, which can then be ticked on/off to include them in the grid

Columns can be re-positioned by clicking on them, holding the button down, and dragging them into the required position.

Resize the column widths by clicking on the line between columns and then increasing or decreasing the size of the column.

Summaries

The summaries grid displays the columns that already have summary values and allows new columns to be added.

Press the Add button to create a new entry and select the column to include a summary from the drop-down list.

Summary kind - Select the kind of summary to apply the column Sum, Count, Max, Min, Average.

Summary format: Enter or select the type of format to apply to the column summary

Once changes have been made, press the Update button to apply them to the column. Remove summaries by pressing the Delete button.

Data-Cube (Pivot)

Fields

Drag fields from the field list to the primary data area (In the example, where customers and products are displayed).

To create summaries (measures), drag value fields to the measured area.

Measures and data slices can be managed using the context-sensitive menu or the toolbar to make changes.

See CRM Dolap for settings and functions

Report Layout

Design Report | This will display the main report designer
Auto Create | This will create a basic report layout by selected the detailing fields and group fields, as shown below


Tip of the Day

Tip of the Day

Tip of the Day

 Previous topic Next topic

Will display a random tip or quote. The tip of the day will be displayed automatically when starting the application if the Show Tips on Start-up is ticked.


Connected Users

Connected Users

Connected Users

 Previous topic Next topic

This will display all users connected to the current CRM database; this could include other applications, not just the CRM application itself.


About

About

About

 Previous topic Next topic

The PDI CRM About screen gives you access to information regarding the current settings the system is using. This can be helpful if you need to make adjustments or register your application past its trial period.

Licensed to: This will display the company/user that the application is licensed to

Version: The current version of the application you are running and the current database version - this is the internal CRM data version, not the version of Firebird

Days Left and Expires on: This will display the number of days you have until the application expires.
Pastel data: The path to the current Pastel data that CRM is reading from

CRM Data: The location, including the server details of your Firebird database

User local folder: This is the location of the users' local settings, including configuration settings for Firebird, last know grid settings. Double-click the folder to browse to this folder location. Please note that the folder location depends on the version of Windows you are using and may not be the same as shown above.

Reports Folder: The folder that reports are being loaded from

Reports engine: The version of the reports engine used for the report.

Remote Sessions allowed: If your license allows remote desktop connections to run the application, this will appear as Yes.

Maximum Allowed connections: Indicates the number of concurrent connections you are allowed in a Terminal Service or remote desktop environment.

FB Client version: Displays the version of the FBCLIENT.DLL component you are using to connect to the Firebird server

FB Version: The version of the Firebird RDBMS server you are using

Client library: The location of the FBCLIENT.DLL that is being used by the application to transmit data between the client and server

Access to Pastel Data format: This will indicate which versions of Pastels data you are licensed to connect to

Use PDI Internal reports: We recommend that this be ticked and that the internal reports engine is used rather than crystal reports. In coming versions, Crystal reports will be removed as the report engine.

Refresh: This will refresh the settings on the above screen

Register CRM: complete the registration form and submit it to your local PDI Spirit dealer. Once payment has been made, your license file will be returned.

INI Settings: Several settings are unique to the local user and are stored within a text information file. Use this screen to make the changes as required. Changes should only be made if you have been instructed to do so.


Help

Help

Help

 Previous topic Next topic

Gives access to this help file.


Online Help

Online Help

Online Help

 Previous topic Next topic

This will load the online version of this help file http://www.pdispirit.com/help/crm/index.html


Check latest version

Check latest version

Check latest version

 Previous topic Next topic

This will poll the PDI Spirit version server for the latest version of PDI CRM for Partner Accounting. If you are not on the current version, you will be given the option to open the CRM download page.

If you do not have access to the internet, this function will fail.


Create PVSW DSN

Create PVSW DSN

Create PVSW DSN

 Previous topic Next topic

PDi CRM for Partner Accounting uses an ODBC data source to generate the reports. The ODBC is named via the system parameters screen and if left as the default PDi CRM the application will attempt to update the ODBC and named database within pervasive.

In some cases, such as restricted access or a Client/Server install of pervasive, this may fail, and so a specific ODBC and named databases MUST be created.

This screen will allow for creating the named database using Pervasive DTO calls, but the ODBC creation on a local machine may fail if sufficient privileges are not available.

The PCC (Pervasive Control Centre) allows for creating the named database within pervasive; a Windows ODBC can then be created connecting to that named database. Pervasive installs these named databases within the DBNAMES.CFG file, while Windows keeps the ODBC information within the Windows Registry.

This screen replicates the functionality of the PCC, which can still be used for manual creation if the user does not have sufficient access.

Pervasive server: Enter (or select) the computer name of the pervasive server that you wish to create the named database and DSN. This can be left blank if local, or the local computer name can be entered.

Username / Password: Enter the relevant details here if the Pervasive server requires a user name and password.

Connect - Press this button to make a connection to the Pervasive server. If the information is not valid or the pervasive server is unavailable, a message dialogue box will be displayed.

Database name: Select an existing named Pervasive database existing on the server or enter a new database (no spaces)

Description for the DSN: Enter a meaning description that will be displayed in the Windows ODBC (data sources) screen. This may be ODBC for the PDI CRM application or anything that allows the user/administrator to identify the user.

Path to Pervasive Data: Enter (or select) the location of the Pastel data; if the location is a mapped drive on a remote machine, then the path will be converted to UNC format

Press the Create DSN button to create the required settings

The Pervasive DTO will create/update the named database with the path entered and create a System ODBC DSN on the specified server.

If the local machine is not the same as the server, a User DSN will be created using the Pervasive Client ODBC connecting to the pervasive remote server.

If multiple users are connecting from the same workstation, it is recommended that the USER DSN be deleted from the local machine and a system DSN be created. The application will not attempt to create a Windows system ODBC as it is likely to fail due to insufficient user rights.

Create user local DSN only - if this button is enabled, the pervasive server entered is not the same as the local computer. Only the local Pervasive Client ODBC entry will be created for the current user ONLY if this button is used. When using this function, only the Database name and Description for the DSN need to be supplied, as the named database gives the data path within Pervasive's DBName.cf configuration file.


PDi CRM Videos

PDi CRM Videos

PDi CRM Videos

 Previous topic Next topic

Several videos are available on the PDi Spirit website and can be found here - https://pdispirit.com/category/kb/crm/ and https://pdispirit.com/pdi-spirit-videos-tutorials/


Favourite

Favourite

Favourite

 Previous topic Next topic

PDi CRM menus and toolbars can be customised to include additional toolbar icons or move menu items to the Favourite menu.

Click on the small drop-down arrow in the top-right of the menu bar and select [image] then select the customize option

Locate the [Commands] that you wish to add Favourite toolbar and then drop them into the menu.

The same method can be used to add items to the toolbar

Video tutorial here - https://youtu.be/ThYaV5ThXTM


Task - Create Outlook Calendar Appointment

Task - Create Outlook Calendar Appointment

Task - Create Outlook Calendar Appointment

 Previous topic Next topic

The Activity / Task entry screen allows creating an Outlook Calendar Appointment using the message linked to the Activity / Task Code.

Status | Select the Outlook appointment status Free, Tentative, Confirmed, Out of Office or Working else where
Follow-up by user | Enter the email address of the user that will be following up the appointment
Send email to | Enter the email address of the person/company receiving the appointment request
Email body details | The body will be set based on the activity/task, replacing all variables with the field values.
Deferred Email | Set to indicate that the deferred email will be sent and the date / time it should be set
Deferred Connection Email | Set to indicate if a deferred email with the connection settings should be sent and what time
Create Appointment and emails | Press to create the appointment in Outlook and create the deferred emails
Delete Outlook Appointment | If an appointment has already been created, press this button to remove the appointment. The deferred emails must be deleted manually.


PDi DMS Link

PDi DMS Link

PDi DMS Link

 Previous topic Next topic

PDi Document management is a PDi application that allows documents to be scanned and assigned to individual depositories (filing cabinets). Linking documents to individual customers, suppliers or inventory items will enable them to be viewed directly within PDi CRM.

Linking PDiCRM to the PDiDMS database will cause the PDiDMS tab in the customer, supplier and inventory screens to display different views within the PDI DMS Link tab. Only the tabs flagged as linked to the relevant master information will be displayed.

The documents assigned to the linked depositories and the master code will be loaded. Double-click the document to view the document. Email documents using the [Add file to attachment list] and then the [Email attachments] once all documents have been assigned.


Supplier Document Requests / Creations

Supplier Document Requests / Creations

Supplier Document Requests / Creations

 Previous topic Next topic

Sales Opportunities and sales orders can be used as the starting point to generate supplier requests for quotations and generate purchase orders directly within Sage50c Pastel Partner.

The supplier document screen will load all the valid item codes from the Sales Opportunity or Sales Order. Multiple requests can be made by entering the supplier account and pressing the Generate Document button. A document will be generated for sending to the supplier(s). The document layout can be adjusted with all reporting and document layouts within PDi CRM.

Previous requests for quotes can be re-printed using the [Re-print prior document] button. A simple finder will display all the previously generated documents for all suppliers.

Double-click the required document to re-generate the supplier document.

If the document type is changed to Create Purchase Order, then additional pricing columns will be displayed within the grid.

Enter the pricing agreed with the supplier and select the lines to include on the purchase order. Pressing the [Generate Document] button will generate a supplier document within Sage50c Pastel and generate a purchase order using the PDi CRM document layout. The supplier document will then be available within Sage50c Pastel for general processing, linking to Goods Received notes, purchase invoices etc.


Add Audit Logging

Add Audit Logging

Add Audit Logging

 Previous topic Next topic

This is an advanced function that will record all updates, insert and deletions from the tables that have been selected to include audit logging. All changes on an audited table are recorded at the field level. Support team;, and IT departments can use the audit table to locate any changes or records that have been removed.

Select the CRM Database to review/change audit logging and press the Connect button. The grid will display all tables that currently have logging applied. Use the Add Auditing column to turn on audit logging for the select table. If audit logging has already been turned on, it can be turned on by ticking the Remove Auditing column.

There is no reason to turn on audit logging for all tables; this could increase the size of the CRM database and slow down functionality if all tables are auditing field changes.

We recommend that only the main Tasks / Sales Opportunity type table are turned on if Audit logging is required.

tipbulb Not all fields appearing in audit log

If fields are not being audited, it may be a new field that has been added since you turned on auditing. Simply remove and add back audit logging to include all new fields.

No existing records will be removed


View record audit log information

View record audit log information

View record audit log information

 Previous topic Next topic

Audit logging is an advanced feature not designed for all users to access. We recommend that only the main information tables have audit logging enabled. These could be the Task and Sales opportunity tables, as this is where most information is captured.

IT departments can use external tools to interrogate the PDILOGAUDIT table to find when users changed certain information.

The PDILOGAUDIT table contains a record ID (RECID) that links back to the master table and the audit table (AUDITTABLE) where the record is contained. The IT department can find the record in question within the audit logging master table and then query the PDILOGAUDIT table using the matching record ID.

View Audit Log records

Not every organisation has an IT department with the time to hunt for records, so the Task and Sales Opportunity screens contain the following button.

Click the button to display a grid that will display all changes to the selected record. In addition, the grid will display the table and the master record ID; right-click the title to copy the table and ID to enable external interrogation.

Deleted Records

If a record has been deleted, then we cannot use this method to locate when the record was deleted, by whom and previous data. However, the File>Maintenance menu within PDi CRM has a function titled "Deleted Audited Records." This function will display all deleted records between a given date range and for the selected, audited table. The process will first locate the "Deleted" records and then all the updates and inserts for the same record id. This information can determine when the record was deleted, by which user, date and time, and any prior changes made before the deletion.

Use the PDi CRM menu security and form security to limit access to these functions.


Outlook Office365 Email Integration

Outlook Office365 Email Integration

 Previous topic This is the last topic

Outlook Office365 Email Integration

 Previous topic This is the last topic

Starting October 2022 Microsoft requires OAuth2 authentication to be used when sending or reading emails from the Office365 / Outlook server(s).

Changes and additional setup will be required to send emails from within CRM to the outlook.office365.com email server.

SMTP and POP3 email screens will now include an Azure Directory settings option screen, if you are linking to the office365 server. A settings page will be available if the POP3 or SMTP server is set to outlook.office365.com

Create Azure App Registration for use with POP3 and SMTP

1) Go to https://portal.azure.com/#home

login to your Microsoft account (we recommend you use an admin account)

then go to Azure Active Directory

2) Click On App Registrations

3) Click on "+ New registration"

4) Name your App and Click Register.

Name - Enter a name that will enable you to recognize the integration purposes

Redirec URL - Select "web" and then user "http://localhost:9017/" - the port can be any available port and will also be defined in the CRM settings. *DO NOT USE HTTPS

5) You created an App in Azure. Click on "Add a certificate or secret"

*Also copy the application (Client) ID, you'll need it later.

6) Click on "+ New client secret"

7) Give the Client Secret a Description and Expiration, then Click Add

8) Copy the secret value by clicking the icon that is to the right of the partially shown secret.

COPY THE VALUE NOW, AS IT WILL NOT BE VISIBLE IF YOU RETURN

9) Your App Registration is finished

You will need the following information

1) Your Application (Client) ID

2) Your client secret Value

3) The localhost port number

4) The End Points (Authorization and Token)

Important Information: CRM Service and Schedule Report Emails

Emails sent from the CRM Service and Schedule reports module will use Access Tokens linked to CRM User 0.

You must ensure that the default log-in settings (User name and password) match the details for the that user. Otherwise issues may arise with the sending of emails via the outlook.office365.com server for these two modules.